!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:39             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_2407) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_817)**2d0)/(48d0*pi&
                        **2d0)
      coupl(nGC_2956) = coupl(nGC_2056)*db_QED2 + coupl(nGC_2057)*dZee_QED2 +  &
                        coupl(nGC_2058)*dcw_QED2 + coupl(nGC_2059)*da_QED2
      coupl(nGC_TS_GC_47_Hl) = -coupl(nGC_47)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2403) = (Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_206) + Nc*cMB &
                        **2d0*cima*coupl(nGC_1)*coupl(nGC_209) + Nc*cMC**2d0*  &
                        cima*coupl(nGC_2)*coupl(nGC_207) + Nc*cMC**2d0*cima*   &
                        coupl(nGC_2)*coupl(nGC_210) + Nc*cMD**2d0*cima*coupl(  &
                        nGC_1)*coupl(nGC_206) + Nc*cMD**2d0*cima*coupl(nGC_1)* &
                        coupl(nGC_209) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(  &
                        nGC_206) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(nGC_209 &
                        ) + Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_207) + Nc* &
                        cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_210) + Nc*cMU**2d0&
                        *cima*coupl(nGC_2)*coupl(nGC_207) + Nc*cMU**2d0*cima*  &
                        coupl(nGC_2)*coupl(nGC_210) + cME**2d0*cima*coupl(     &
                        nGC_208)*coupl(nGC_4) + cME**2d0*cima*coupl(nGC_211)*  &
                        coupl(nGC_4) + cMM**2d0*cima*coupl(nGC_208)*coupl(nGC_4&
                        ) + cMM**2d0*cima*coupl(nGC_211)*coupl(nGC_4) + cMTA** &
                        2d0*cima*coupl(nGC_208)*coupl(nGC_4) + cMTA**2d0*cima* &
                        coupl(nGC_211)*coupl(nGC_4) + cMW**2d0*cima*coupl(     &
                        nGC_199)*coupl(nGC_3) + cMW**2d0*cima*coupl(nGC_817)*  &
                        coupl(nGC_847) - cMW**2d0*coupl(nGC_205))/(8d0*pi**2d0)
      coupl(nGC_3133) = coupl(nGC_1563)*dyt1_QED1_QCD2 + coupl(nGC_1564)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_2408) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 2d0*Nc*cMC** &
                        2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl&
                        (nGC_1)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0  &
                         + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMU &
                        **2d0*cima*coupl(nGC_2)**2d0 + 2d0*cME**2d0*cima*coupl(&
                        nGC_4)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 2d0&
                        *cMTA**2d0*cima*coupl(nGC_4)**2d0 + cMW**2d0*cima*coupl&
                        (nGC_3)**2d0 + cMW**2d0*cima*coupl(nGC_817)**2d0 - cMW &
                        **2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_3135) = coupl(nGC_1689)*dyup1_QED1_QCD2 + coupl(nGC_1690)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_3134) = coupl(nGC_1688)*db_QED2 + coupl(nGC_1689)*dyup1_QED3 + &
                        coupl(nGC_1690)*dyup2_QED3
      coupl(nGC_TS_GC_251_Hh) = -coupl(nGC_251)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3389) = coupl(nGC_38)*dZG0/2d0
      coupl(nGC_2813) = 5d0*cima*(Nc*coupl(nGC_334)*coupl(nGC_337)**3d0 + Nc*  &
                        coupl(nGC_340)**3d0*coupl(nGC_343) + Nc*coupl(nGC_346)*&
                        coupl(nGC_349)**3d0 + Nc*coupl(nGC_364)*coupl(nGC_367  &
                        )**3d0 + Nc*coupl(nGC_370)*coupl(nGC_373)**3d0 + Nc*   &
                        coupl(nGC_382)*coupl(nGC_385)**3d0 + coupl(nGC_352)*   &
                        coupl(nGC_355)**3d0 + coupl(nGC_358)*coupl(nGC_361)**  &
                        3d0 + coupl(nGC_376)*coupl(nGC_379)**3d0)/(24d0*pi**2d0&
                        )
      coupl(nGC_2812) = cima*(5d0*Nc*coupl(nGC_337)**4d0 + 5d0*Nc*coupl(nGC_340&
                        )**4d0 + 5d0*Nc*coupl(nGC_349)**4d0 + 5d0*Nc*coupl(    &
                        nGC_367)**4d0 + 5d0*Nc*coupl(nGC_373)**4d0 + 5d0*Nc*   &
                        coupl(nGC_385)**4d0 + 6d0*coupl(nGC_100)**2d0 + 6d0*   &
                        coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**2d0 + 3d0*   &
                        coupl(nGC_29)**2d0 + 5d0*coupl(nGC_355)**4d0 + 5d0*    &
                        coupl(nGC_361)**4d0 + 5d0*coupl(nGC_379)**4d0)/(24d0*pi&
                        **2d0)
      coupl(nGC_2811) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2810) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2815) = cima*(10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_337)**2d0  &
                         + 10d0*Nc*coupl(nGC_340)**2d0*coupl(nGC_343)**2d0 +   &
                        10d0*Nc*coupl(nGC_346)**2d0*coupl(nGC_349)**2d0 + 10d0*&
                        Nc*coupl(nGC_364)**2d0*coupl(nGC_367)**2d0 + 10d0*Nc*  &
                        coupl(nGC_370)**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl&
                        (nGC_382)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_100 &
                        )**2d0 + 6d0*coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**&
                        2d0 + 3d0*coupl(nGC_29)**2d0 + 10d0*coupl(nGC_352)**2d0&
                        *coupl(nGC_355)**2d0 + 10d0*coupl(nGC_358)**2d0*coupl( &
                        nGC_361)**2d0 + 10d0*coupl(nGC_376)**2d0*coupl(nGC_379 &
                        )**2d0)/(48d0*pi**2d0)
      coupl(nGC_2814) = 5d0*cima*(Nc*coupl(nGC_334)**2d0*coupl(nGC_337)**2d0 + &
                        Nc*coupl(nGC_340)**2d0*coupl(nGC_343)**2d0 + Nc*coupl( &
                        nGC_346)**2d0*coupl(nGC_349)**2d0 + Nc*coupl(nGC_364)**&
                        2d0*coupl(nGC_367)**2d0 + Nc*coupl(nGC_370)**2d0*coupl(&
                        nGC_373)**2d0 + Nc*coupl(nGC_382)**2d0*coupl(nGC_385)**&
                        2d0 + coupl(nGC_352)**2d0*coupl(nGC_355)**2d0 + coupl( &
                        nGC_358)**2d0*coupl(nGC_361)**2d0 + coupl(nGC_376)**2d0&
                        *coupl(nGC_379)**2d0)/(24d0*pi**2d0)
      coupl(nGC_2892) = (-4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_343)**2d0  &
                         - 4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_346)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_364)**2d0 &
                         + 5d0*Nc*cima*coupl(nGC_206)*coupl(nGC_210)*coupl(    &
                        nGC_343)**2d0 + 5d0*Nc*cima*coupl(nGC_206)*coupl(      &
                        nGC_210)*coupl(nGC_346)**2d0 + 5d0*Nc*cima*coupl(      &
                        nGC_206)*coupl(nGC_210)*coupl(nGC_364)**2d0 - 4d0*Nc*  &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_334)**2d0 - 4d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_370)**2d0 - 4d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_382)**2d0 + 5d0*Nc* &
                        cima*coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_334)**2d0 &
                         + 5d0*Nc*cima*coupl(nGC_207)*coupl(nGC_209)*coupl(    &
                        nGC_370)**2d0 + 5d0*Nc*cima*coupl(nGC_207)*coupl(      &
                        nGC_209)*coupl(nGC_382)**2d0 - 4d0*Nc*cima*coupl(      &
                        nGC_209)**2d0*coupl(nGC_334)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_370)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_382)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_343)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_346)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_364)**2d0 + 3d0*cima*coupl(    &
                        nGC_100)*coupl(nGC_195) - 4d0*cima*coupl(nGC_208)**2d0*&
                        coupl(nGC_352)**2d0 - 4d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_358)**2d0 - 4d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_376)**2d0 + 5d0*cima*coupl(nGC_208)*coupl(   &
                        nGC_212)*coupl(nGC_352)**2d0 + 5d0*cima*coupl(nGC_208)*&
                        coupl(nGC_212)*coupl(nGC_358)**2d0 + 5d0*cima*coupl(   &
                        nGC_208)*coupl(nGC_212)*coupl(nGC_376)**2d0 - 4d0*cima*&
                        coupl(nGC_212)**2d0*coupl(nGC_352)**2d0 - 4d0*cima*    &
                        coupl(nGC_212)**2d0*coupl(nGC_358)**2d0 - 4d0*cima*    &
                        coupl(nGC_212)**2d0*coupl(nGC_376)**2d0 + 3d0*coupl(   &
                        nGC_100)*coupl(nGC_199)**2d0 + 3d0*coupl(nGC_100)*coupl&
                        (nGC_847)**2d0)/(24d0*pi**2d0)
      coupl(nGC_3910) = coupl(nGC_3136) + coupl(nGC_335)*dZHa_QED2/2d0 + coupl(&
                        nGC_335)*dZcL_QED2/2d0 + coupl(nGC_335)*dZcR_QED2/2d0  &
                         + coupl(nGC_338)*dZG0Ha_QED2/2d0
      coupl(nGC_3502) = coupl(nGC_3052) + coupl(nGC_346)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_349)*dZdR_QED2/2d0 + coupl(nGC_349)*   &
                        dZuL_QED2/2d0
      coupl(nGC_TS_GC_52_Hh) = -coupl(nGC_52)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3045) = coupl(nGC_2227)*dZee_QED2 + coupl(nGC_2228)*dcw_QED2 + &
                        coupl(nGC_2229)*dsw_QED2
      coupl(nGC_TS_GC_52_Hl) = -coupl(nGC_52)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3042) = coupl(nGC_1691)*dZee_QED2
      coupl(nGC_3728) = coupl(nGC_3091) + coupl(nGC_342)*dZbL_QCD2/2d0 + coupl(&
                        nGC_342)*dZbR_QCD2/2d0
      coupl(nGC_4025) = coupl(nGC_2958) + 2d0*coupl(nGC_59)*dZHaG0_QED2
      coupl(nGC_3722) = coupl(nGC_13)*dZcR_QED2
      coupl(nGC_3720) = coupl(nGC_13)*dZcL_QED2
      coupl(nGC_3721) = coupl(nGC_13)*dZcR_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3181)
      coupl(nGC_2924) = (-8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_342)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_345)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_363)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209)*coupl(   &
                        nGC_342)**2d0 + 10d0*Nc*cima*coupl(nGC_206)*coupl(     &
                        nGC_209)*coupl(nGC_345)**2d0 + 10d0*Nc*cima*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_363)**2d0 - 8d0*Nc*  &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_333)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_369)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_381)**2d0 + 10d0*Nc*&
                        cima*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_333)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_207)*coupl(nGC_210)*coupl(   &
                        nGC_369)**2d0 + 10d0*Nc*cima*coupl(nGC_207)*coupl(     &
                        nGC_210)*coupl(nGC_381)**2d0 - 8d0*Nc*cima*coupl(      &
                        nGC_209)**2d0*coupl(nGC_342)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_345)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_363)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_333)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_369)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_381)**2d0 + 3d0*cima*coupl(    &
                        nGC_195)*coupl(nGC_77) - 8d0*cima*coupl(nGC_208)**2d0* &
                        coupl(nGC_351)**2d0 - 8d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_357)**2d0 - 8d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_375)**2d0 + 10d0*cima*coupl(nGC_208)*coupl(  &
                        nGC_211)*coupl(nGC_351)**2d0 + 10d0*cima*coupl(nGC_208 &
                        )*coupl(nGC_211)*coupl(nGC_357)**2d0 + 10d0*cima*coupl(&
                        nGC_208)*coupl(nGC_211)*coupl(nGC_375)**2d0 - 8d0*cima*&
                        coupl(nGC_211)**2d0*coupl(nGC_351)**2d0 - 8d0*cima*    &
                        coupl(nGC_211)**2d0*coupl(nGC_357)**2d0 - 8d0*cima*    &
                        coupl(nGC_211)**2d0*coupl(nGC_375)**2d0 + 3d0*coupl(   &
                        nGC_199)**2d0*coupl(nGC_77) + 3d0*coupl(nGC_77)*coupl( &
                        nGC_847)**2d0)/(24d0*pi**2d0)
      coupl(nGC_3503) = coupl(nGC_3053) + coupl(nGC_349)*dZdR_QCD2/2d0 + coupl(&
                        nGC_349)*dZuL_QCD2/2d0
      coupl(nGC_2703) = coupl(nGC_13)**2d0*coupl(nGC_197)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2929) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_336)**2d0 &
                         - coupl(nGC_339)**2d0 - coupl(nGC_348)**2d0 - coupl(  &
                        nGC_366)**2d0 - coupl(nGC_372)**2d0 - coupl(nGC_384)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_2702) = coupl(nGC_197)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl( &
                        nGC_1)*coupl(nGC_817) + coupl(nGC_199)*coupl(nGC_210   &
                        ) + coupl(nGC_2)*coupl(nGC_3) + 2d0*coupl(nGC_209)*    &
                        coupl(nGC_210) + coupl(nGC_209)*coupl(nGC_847))/(16d0* &
                        pi**2d0)
      coupl(nGC_2701) = (3d0*Nc*coupl(nGC_197)**2d0*coupl(nGC_209) - 3d0*Nc*   &
                        coupl(nGC_197)**2d0*coupl(nGC_210) + 3d0*coupl(nGC_197 &
                        )**2d0*coupl(nGC_211) - 3d0*coupl(nGC_197)**2d0*coupl( &
                        nGC_212) - coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_847 &
                        ) - coupl(nGC_199)*coupl(nGC_4)*coupl(nGC_817))/(24d0* &
                        pi**2d0)
      coupl(nGC_3129) = coupl(nGC_2357)*dyup1_QED1_QCD2 + coupl(nGC_2359)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_TS_GC_261_Hl) = -coupl(nGC_261)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2700) = coupl(nGC_13)**2d0*coupl(nGC_381)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2530) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_340) - coupl(  &
                        nGC_339)*coupl(nGC_372)*coupl(nGC_373) - coupl(nGC_341 &
                        )*coupl(nGC_373)*coupl(nGC_374) - coupl(nGC_342)*coupl(&
                        nGC_369)*coupl(nGC_373) - coupl(nGC_344)*coupl(nGC_371 &
                        )*coupl(nGC_373))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2534) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_349) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_349) - coupl(  &
                        nGC_345)*coupl(nGC_381)*coupl(nGC_385) - coupl(nGC_347 &
                        )*coupl(nGC_383)*coupl(nGC_385) - coupl(nGC_348)*coupl(&
                        nGC_384)*coupl(nGC_385) - coupl(nGC_350)*coupl(nGC_385 &
                        )*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_3352) = coupl(nGC_28)*dZHMinus_QED2 + coupl(nGC_2954)
      coupl(nGC_3603) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*          &
                        dZnu_muL_QED2 + coupl(nGC_3187)
      coupl(nGC_3602) = coupl(nGC_3063) + coupl(nGC_346)*dZdR_QCD2/2d0 + coupl(&
                        nGC_346)*dZuL_QCD2/2d0
      coupl(nGC_3054) = coupl(nGC_1499)*db_QED2 + coupl(nGC_1500)*dyd12x2_QED3 &
                         + coupl(nGC_1501)*dys2_QED3
      coupl(nGC_4018) = 3d0*coupl(nGC_17)*dZHh_QED2/2d0 + coupl(nGC_17)*       &
                        dZHl_QED2/2d0 + coupl(nGC_19)*dZHhHl_QED2/2d0 + 3d0*   &
                        coupl(nGC_20)*dZHlHh_QED2/2d0 + coupl(nGC_2988)
      coupl(nGC_3674) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsR_QED2 +   &
                        coupl(nGC_206)*dZZA_QED2/2d0 + coupl(nGC_3180)
      coupl(nGC_3057) = coupl(nGC_2327)*dyc1_QED1_QCD2 + coupl(nGC_2328)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2952) = coupl(nGC_1189)*dZee_QED2 + coupl(nGC_1190)*dcw_QED2
      coupl(nGC_3988) = coupl(nGC_I)*dZHMinus_QED2
      coupl(nGC_3348) = coupl(nGC_3070) + coupl(nGC_370)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_370)*dZbL_QED2/2d0 + coupl(nGC_370)*dZtR_QED2&
                        /2d0 + coupl(nGC_373)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_3349) = coupl(nGC_3071) + coupl(nGC_370)*dZbL_QCD2/2d0 + coupl(&
                        nGC_370)*dZtR_QCD2/2d0
      coupl(nGC_3612) = coupl(nGC_3094) + coupl(nGC_365)*dZHa_QED2/2d0 + coupl(&
                        nGC_365)*dZsL_QED2/2d0 + coupl(nGC_365)*dZsR_QED2/2d0  &
                         + coupl(nGC_368)*dZG0Ha_QED2/2d0
      coupl(nGC_3346) = coupl(nGC_3072) + coupl(nGC_340)*dZGMinusHMinus_QED2/  &
                        2d0 + coupl(nGC_343)*dZHMinus_QED2/2d0 + coupl(nGC_343 &
                        )*dZbR_QED2/2d0 + coupl(nGC_343)*dZtL_QED2/2d0
      coupl(nGC_3340) = coupl(nGC_3100) + coupl(nGC_376)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_379)*dZnu_tauL_QED2/2d0 + coupl(nGC_379&
                        )*dZtauMinusR_QED2/2d0
      coupl(nGC_3341) = coupl(nGC_379)*dZGMinus/2d0
      coupl(nGC_3614) = -coupl(nGC_3094) - coupl(nGC_365)*dZHa_QED2/2d0 - coupl&
                        (nGC_365)*dZsL_QED2/2d0 - coupl(nGC_365)*dZsR_QED2/2d0 &
                         - coupl(nGC_368)*dZG0Ha_QED2/2d0
      coupl(nGC_3343) = dZHMinusGMinus_QED2*(coupl(nGC_52) + coupl(nGC_53))/2d0
      coupl(nGC_2585) = coupl(nGC_13)**2d0*coupl(nGC_370)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2584) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_370) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_370) - coupl(  &
                        nGC_339)*coupl(nGC_343)*coupl(nGC_372) - coupl(nGC_341 &
                        )*coupl(nGC_343)*coupl(nGC_374) - coupl(nGC_342)*coupl(&
                        nGC_343)*coupl(nGC_369) - coupl(nGC_343)*coupl(nGC_344 &
                        )*coupl(nGC_371))/(32d0*pi**2d0)
      coupl(nGC_2587) = coupl(nGC_13)**2d0*coupl(nGC_334)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2628) = coupl(nGC_13)**2d0*coupl(nGC_891)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2583) = coupl(nGC_13)**2d0*coupl(nGC_343)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3941) = -coupl(nGC_213)*dZZA_QED2/2d0
      coupl(nGC_2624) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_801) -    &
                        coupl(nGC_351)**2d0*coupl(nGC_353) - coupl(nGC_353)*   &
                        coupl(nGC_354)**2d0 - coupl(nGC_353)*coupl(nGC_801)**  &
                        2d0 - coupl(nGC_353)*coupl(nGC_809)**2d0 + 8d0*coupl(  &
                        nGC_4)**2d0*coupl(nGC_801))/(32d0*pi**2d0)
      coupl(nGC_2627) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_891) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_891) - coupl(nGC_334 &
                        )*coupl(nGC_335)*coupl(nGC_364) - coupl(nGC_335)*coupl(&
                        nGC_337)*coupl(nGC_367) - coupl(nGC_363)**2d0*coupl(   &
                        nGC_365) - coupl(nGC_365)*coupl(nGC_366)**2d0 - coupl( &
                        nGC_365)*coupl(nGC_785)**2d0 - coupl(nGC_365)*coupl(   &
                        nGC_891)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2620) = coupl(nGC_13)**2d0*coupl(nGC_853)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2622) = coupl(nGC_13)**2d0*coupl(nGC_347)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2623) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_353) -    &
                        coupl(nGC_351)**2d0*coupl(nGC_801) - coupl(nGC_353)**  &
                        2d0*coupl(nGC_801) + 8d0*coupl(nGC_353)*coupl(nGC_4)** &
                        2d0 - coupl(nGC_354)**2d0*coupl(nGC_801) - coupl(      &
                        nGC_356)**2d0*coupl(nGC_801))/(32d0*pi**2d0)
      coupl(nGC_3750) = coupl(nGC_221)*dZZA_QED2 + coupl(nGC_29)*dZA_QED2 +    &
                        coupl(nGC_3041)
      coupl(nGC_3754) = -coupl(nGC_184)*dZHMinus_QED2/2d0 - coupl(nGC_184)*    &
                        dZHa_QED2/2d0 - coupl(nGC_184)*dZWMinus_QED2/2d0 -     &
                        coupl(nGC_3145)
      coupl(nGC_2996) = coupl(nGC_1706)*db_QED2 + coupl(nGC_1707)*dl3_QED4 +   &
                        coupl(nGC_1708)*dl2_QED4 + coupl(nGC_1709)*dl1_QED4 +  &
                        coupl(nGC_1710)*dl4_QED4 + coupl(nGC_1711)*dl5_QED4 +  &
                        coupl(nGC_1712)*da_QED2
      coupl(nGC_2997) = coupl(nGC_2026)*db_QED2 + coupl(nGC_2027)*dl3_QED4 +   &
                        coupl(nGC_2028)*dl2_QED4 + coupl(nGC_2029)*dl1_QED4 +  &
                        coupl(nGC_2030)*dl4_QED4 + coupl(nGC_2031)*dl5_QED4 +  &
                        coupl(nGC_2032)*da_QED2
      coupl(nGC_2994) = coupl(nGC_1963)*db_QED2 + coupl(nGC_1964)*dl3_QED4 +   &
                        coupl(nGC_1965)*dl2_QED4 + coupl(nGC_1966)*dl1_QED4 +  &
                        coupl(nGC_1967)*dl4_QED4 + coupl(nGC_1968)*dl5_QED4 +  &
                        coupl(nGC_1969)*da_QED2
      coupl(nGC_2995) = coupl(nGC_2172)*db_QED2 + coupl(nGC_2173)*dl5_QED4 +   &
                        coupl(nGC_2174)*dl4_QED4 + coupl(nGC_2175)*da_QED2
      coupl(nGC_2992) = coupl(nGC_1269)*db_QED2 + coupl(nGC_1270)*dl5_QED4 +   &
                        coupl(nGC_1271)*dl4_QED4 + coupl(nGC_1272)*da_QED2
      coupl(nGC_2990) = coupl(nGC_1782)*dl3_QED4 + coupl(nGC_1783)*dl2_QED4 +  &
                        coupl(nGC_1784)*dl1_QED4 + coupl(nGC_1785)*dl4_QED4 +  &
                        coupl(nGC_1786)*dl5_QED4 + coupl(nGC_1787)*da_QED2
      coupl(nGC_2991) = coupl(nGC_2280)*db_QED2 + coupl(nGC_2281)*dl3_QED4 +   &
                        coupl(nGC_2282)*dl2_QED4 + coupl(nGC_2283)*dl1_QED4 +  &
                        coupl(nGC_2284)*dl4_QED4 + coupl(nGC_2285)*dl5_QED4 +  &
                        coupl(nGC_2286)*da_QED2
      coupl(nGC_3465) = coupl(nGC_175)*dZAZ_QED2/2d0 + coupl(nGC_22)*          &
                        dZHMinus_QED2/2d0 + coupl(nGC_22)*dZHh_QED2/2d0 + coupl&
                        (nGC_22)*dZWMinus_QED2/2d0 + coupl(nGC_22)*dZZ_QED2/2d0&
                         + coupl(nGC_23)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_23&
                        )*dZHlHh_QED2/2d0 + coupl(nGC_2984)
      coupl(nGC_3464) = -coupl(nGC_173)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_173&
                        )*dZHhHl_QED2/2d0 + coupl(nGC_178)*dZHMinus_QED2/2d0 + &
                        coupl(nGC_178)*dZHl_QED2/2d0 + coupl(nGC_178)*         &
                        dZWMinus_QED2/2d0 + coupl(nGC_3148)
      coupl(nGC_3467) = coupl(nGC_197)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_3461) = coupl(nGC_24)*dZGMinus/2d0
      coupl(nGC_2998) = coupl(nGC_2230)*db_QED2 + coupl(nGC_2231)*dl3_QED4 +   &
                        coupl(nGC_2232)*dl2_QED4 + coupl(nGC_2233)*dl1_QED4 +  &
                        coupl(nGC_2234)*dl4_QED4 + coupl(nGC_2235)*dl5_QED4
      coupl(nGC_2999) = coupl(nGC_2194)*db_QED2 + coupl(nGC_2195)*dl3_QED4 +   &
                        coupl(nGC_2196)*dl2_QED4 + coupl(nGC_2197)*dl1_QED4 +  &
                        coupl(nGC_2198)*dl4_QED4 + coupl(nGC_2199)*dl5_QED4
      coupl(nGC_2448) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_2449) = cMM*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_3669) = coupl(nGC_244)*dZGMinus/2d0
      coupl(nGC_2440) = cima*(coupl(nGC_208)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_2441) = cima*(coupl(nGC_197)**2d0 + coupl(nGC_211)**2d0 + coupl&
                        (nGC_4)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3665) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_2445) = cima*coupl(nGC_13)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_2691) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_363) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_363) - coupl(nGC_333 &
                        )*coupl(nGC_334)*coupl(nGC_364) - coupl(nGC_333)*coupl(&
                        nGC_337)*coupl(nGC_367) - coupl(nGC_363)**3d0 - coupl( &
                        nGC_363)*coupl(nGC_365)**2d0 - coupl(nGC_363)*coupl(   &
                        nGC_366)**2d0 - coupl(nGC_363)*coupl(nGC_368)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2690) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_363) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_363) - coupl(nGC_333 &
                        )*coupl(nGC_334)*coupl(nGC_364) - coupl(nGC_333)*coupl(&
                        nGC_337)*coupl(nGC_367) - coupl(nGC_363)**3d0 - coupl( &
                        nGC_363)*coupl(nGC_366)**2d0 - coupl(nGC_363)*coupl(   &
                        nGC_785)**2d0 - coupl(nGC_363)*coupl(nGC_891)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2692) = coupl(nGC_13)**2d0*coupl(nGC_363)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2695) = coupl(nGC_13)**2d0*coupl(nGC_369)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2694) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_369) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_369) - coupl(nGC_340 &
                        )*coupl(nGC_342)*coupl(nGC_373) - coupl(nGC_342)*coupl(&
                        nGC_343)*coupl(nGC_370) - coupl(nGC_369)**3d0 - coupl( &
                        nGC_369)*coupl(nGC_371)**2d0 - coupl(nGC_369)*coupl(   &
                        nGC_372)**2d0 - coupl(nGC_369)*coupl(nGC_374)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2697) = coupl(nGC_375)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_375)**2d0 - coupl(nGC_378)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_793)**2d0 - coupl(nGC_819)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_2696) = coupl(nGC_375)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_375)**2d0 - coupl(nGC_377)**2d0 - coupl(     &
                        nGC_378)**2d0 - coupl(nGC_380)**2d0 + 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_2699) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_381) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_381) - coupl(nGC_345 &
                        )*coupl(nGC_346)*coupl(nGC_382) - coupl(nGC_345)*coupl(&
                        nGC_349)*coupl(nGC_385) - coupl(nGC_381)**3d0 - coupl( &
                        nGC_381)*coupl(nGC_383)**2d0 - coupl(nGC_381)*coupl(   &
                        nGC_384)**2d0 - coupl(nGC_381)*coupl(nGC_386)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_3166) = coupl(nGC_2303)*db_QED2 + coupl(nGC_2304)*da_QED2 +    &
                        coupl(nGC_2305)*dcw_QED2 + coupl(nGC_2306)*dZee_QED2 + &
                        coupl(nGC_2307)*dsw_QED2
      coupl(nGC_2526) = coupl(nGC_197)*(-Nc*coupl(nGC_335)*coupl(nGC_337) + Nc*&
                        coupl(nGC_340)*coupl(nGC_863) + Nc*coupl(nGC_349)*coupl&
                        (nGC_853) + Nc*coupl(nGC_367)*coupl(nGC_891) - Nc*coupl&
                        (nGC_371)*coupl(nGC_373) - Nc*coupl(nGC_383)*coupl(    &
                        nGC_385) + coupl(nGC_355)*coupl(nGC_801) + coupl(      &
                        nGC_361)*coupl(nGC_905) + coupl(nGC_379)*coupl(nGC_819 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2558) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_809) -    &
                        coupl(nGC_351)**2d0*coupl(nGC_356) - coupl(nGC_354)**  &
                        2d0*coupl(nGC_356) - coupl(nGC_356)*coupl(nGC_801)**2d0&
                         - coupl(nGC_356)*coupl(nGC_809)**2d0 + 8d0*coupl(nGC_4&
                        )**2d0*coupl(nGC_809))/(32d0*pi**2d0)
      coupl(nGC_2723) = (4d0*coupl(nGC_208)**3d0 + 4d0*coupl(nGC_208)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_211)*coupl(nGC_357)**2d0 +     &
                        coupl(nGC_211)*coupl(nGC_359)*coupl(nGC_905) + coupl(  &
                        nGC_211)*coupl(nGC_360)**2d0 + coupl(nGC_211)*coupl(   &
                        nGC_362)*coupl(nGC_865) + coupl(nGC_212)*coupl(nGC_358 &
                        )**2d0 + coupl(nGC_212)*coupl(nGC_361)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_3182) = coupl(nGC_1793)*dZee_QED2 + coupl(nGC_1794)*dsw_QED2
      coupl(nGC_3183) = coupl(nGC_2323)*dZee_QED2 + coupl(nGC_2324)*dcw_QED2 + &
                        coupl(nGC_2325)*dsw_QED2
      coupl(nGC_TS_GC_254_Hh) = -coupl(nGC_254)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3184) = coupl(nGC_1703)*dZee_QED2 + coupl(nGC_1704)*dcw_QED2 + &
                        coupl(nGC_1705)*dsw_QED2
      coupl(nGC_3185) = coupl(nGC_1487)*dZee_QED2 + coupl(nGC_1488)*dcw_QED2 + &
                        coupl(nGC_1489)*dsw_QED2
      coupl(nGC_3765) = -coupl(nGC_MMW_GF)*dZGMinusHMinus_QED2/2d0 - coupl(    &
                        nGC_TS_GC_173_Hh) - coupl(nGC_TS_GC_178_Hl)
      coupl(nGC_3769) = coupl(nGC_2970) + coupl(nGC_58)*dZHaG0_QED2 + coupl(   &
                        nGC_59)*dZG0Ha_QED2 + coupl(nGC_73)*dZHa_QED2
      coupl(nGC_3030) = coupl(nGC_531)*db_QED2 + coupl(nGC_533)*dvev2_QED1 +   &
                        coupl(nGC_535)*da_QED2 + coupl(nGC_537)*dl2_QED4 +     &
                        coupl(nGC_539)*dl1_QED4 + coupl(nGC_541)*dl4_QED4 +    &
                        coupl(nGC_543)*dl3_QED4 + coupl(nGC_545)*dvev1_QED1 +  &
                        coupl(nGC_547)*dl5_QED4
      coupl(nGC_3164) = coupl(nGC_1984)*db_QED2 + coupl(nGC_1985)*da_QED2 +    &
                        coupl(nGC_1986)*dcw_QED2 + coupl(nGC_1987)*dZee_QED2 + &
                        coupl(nGC_1988)*dsw_QED2
      coupl(nGC_3165) = coupl(nGC_2214)*dZee_QED2 + coupl(nGC_2215)*dcw_QED2 + &
                        coupl(nGC_2216)*dsw_QED2
      coupl(nGC_3009) = coupl(nGC_1399)*dZee_QED2 + coupl(nGC_1400)*da_QED2 +  &
                        coupl(nGC_1401)*dsw_QED2 + coupl(nGC_1402)*db_QED2
      coupl(nGC_3008) = coupl(nGC_1568)*dZee_QED2 + coupl(nGC_1569)*dcw_QED2 + &
                        coupl(nGC_1570)*dsw_QED2
      coupl(nGC_3160) = coupl(nGC_1617)*dZee_QED2 + coupl(nGC_1618)*dcw_QED2 + &
                        coupl(nGC_1619)*dsw_QED2
      coupl(nGC_3162) = coupl(nGC_1630)*dZee_QED2 + coupl(nGC_1631)*dcw_QED2 + &
                        coupl(nGC_1632)*dsw_QED2
      coupl(nGC_3163) = coupl(nGC_1366)*db_QED2 + coupl(nGC_1367)*da_QED2 +    &
                        coupl(nGC_1368)*dcw_QED2 + coupl(nGC_1369)*dZee_QED2 + &
                        coupl(nGC_1370)*dsw_QED2
      coupl(nGC_3003) = coupl(nGC_2203)*db_QED2 + coupl(nGC_2204)*dl3_QED4 +   &
                        coupl(nGC_2205)*dl2_QED4 + coupl(nGC_2206)*dl1_QED4 +  &
                        coupl(nGC_2207)*dl4_QED4 + coupl(nGC_2208)*dl5_QED4
      coupl(nGC_3002) = coupl(nGC_1346)*db_QED2 + coupl(nGC_1347)*dl3_QED4 +   &
                        coupl(nGC_1348)*dl2_QED4 + coupl(nGC_1349)*dl1_QED4 +  &
                        coupl(nGC_1350)*dl4_QED4 + coupl(nGC_1351)*dl5_QED4
      coupl(nGC_3001) = coupl(nGC_2221)*db_QED2 + coupl(nGC_2222)*dl3_QED4 +   &
                        coupl(nGC_2223)*dl2_QED4 + coupl(nGC_2224)*dl1_QED4 +  &
                        coupl(nGC_2225)*dl4_QED4 + coupl(nGC_2226)*dl5_QED4
      coupl(nGC_3000) = coupl(nGC_1502)*db_QED2 + coupl(nGC_1503)*dl3_QED4 +   &
                        coupl(nGC_1504)*dl2_QED4 + coupl(nGC_1505)*dl1_QED4 +  &
                        coupl(nGC_1506)*dl4_QED4 + coupl(nGC_1507)*dl5_QED4
      coupl(nGC_3007) = coupl(nGC_1139)*dZee_QED2 + coupl(nGC_1140)*dsw_QED2
      coupl(nGC_3006) = coupl(nGC_1726)*dZee_QED2 + coupl(nGC_1727)*dsw_QED2
      coupl(nGC_3005) = coupl(nGC_1749)*dZee_QED2 + coupl(nGC_1750)*dsw_QED2
      coupl(nGC_3004) = coupl(nGC_1777)*dZee_QED2 + coupl(nGC_1778)*dsw_QED2
      coupl(nGC_2840) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_206) + coupl(nGC_1)*coupl(nGC_209) + coupl(nGC_2)* &
                        coupl(nGC_207) + coupl(nGC_2)*coupl(nGC_210))/(32d0*pi &
                        **2d0)
      coupl(nGC_3034) = coupl(nGC_1574)*dl4_QED4 + coupl(nGC_1575)*dl5_QED4 +  &
                        coupl(nGC_1576)*dvev2_QED1 + coupl(nGC_1577)*dvev1_QED1&
                         + coupl(nGC_1578)*db_QED2
      coupl(nGC_2842) = cima*(-4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_340)*coupl(&
                        nGC_343) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_346)*  &
                        coupl(nGC_349) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(     &
                        nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_206)*coupl( &
                        nGC_210)*coupl(nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl( &
                        nGC_206)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349   &
                        ) + 5d0*Nc*coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_364 &
                        )*coupl(nGC_367) - 4d0*Nc*coupl(nGC_207)**2d0*coupl(   &
                        nGC_334)*coupl(nGC_337) - 4d0*Nc*coupl(nGC_207)**2d0*  &
                        coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_207)**&
                        2d0*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(      &
                        nGC_207)*coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337   &
                        ) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_370 &
                        )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_209 &
                        )*coupl(nGC_382)*coupl(nGC_385) - 4d0*Nc*coupl(nGC_209 &
                        )**2d0*coupl(nGC_334)*coupl(nGC_337) - 4d0*Nc*coupl(   &
                        nGC_209)**2d0*coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc*  &
                        coupl(nGC_209)**2d0*coupl(nGC_382)*coupl(nGC_385) - 4d0&
                        *Nc*coupl(nGC_210)**2d0*coupl(nGC_340)*coupl(nGC_343   &
                        ) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_346)*coupl(   &
                        nGC_349) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_364)*  &
                        coupl(nGC_367) - 4d0*coupl(nGC_208)**2d0*coupl(nGC_352 &
                        )*coupl(nGC_355) - 4d0*coupl(nGC_208)**2d0*coupl(      &
                        nGC_358)*coupl(nGC_361) - 4d0*coupl(nGC_208)**2d0*coupl&
                        (nGC_376)*coupl(nGC_379) + 5d0*coupl(nGC_208)*coupl(   &
                        nGC_212)*coupl(nGC_352)*coupl(nGC_355) + 5d0*coupl(    &
                        nGC_208)*coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_361   &
                        ) + 5d0*coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_376)*  &
                        coupl(nGC_379) - 4d0*coupl(nGC_212)**2d0*coupl(nGC_352 &
                        )*coupl(nGC_355) - 4d0*coupl(nGC_212)**2d0*coupl(      &
                        nGC_358)*coupl(nGC_361) - 4d0*coupl(nGC_212)**2d0*coupl&
                        (nGC_376)*coupl(nGC_379))/(24d0*pi**2d0)
      coupl(nGC_2963) = coupl(nGC_1807)*dl3_QED4 + coupl(nGC_1808)*dl2_QED4 +  &
                        coupl(nGC_1809)*dl1_QED4 + coupl(nGC_1810)*dl4_QED4 +  &
                        coupl(nGC_1811)*dl5_QED4 + coupl(nGC_1812)*da_QED2
      coupl(nGC_2961) = coupl(nGC_2081)*db_QED2 + coupl(nGC_2082)*dl3_QED4 +   &
                        coupl(nGC_2083)*dl2_QED4 + coupl(nGC_2084)*dl1_QED4 +  &
                        coupl(nGC_2085)*dl4_QED4 + coupl(nGC_2086)*dl5_QED4 +  &
                        coupl(nGC_2087)*da_QED2
      coupl(nGC_2960) = coupl(nGC_2329)*db_QED2 + coupl(nGC_2330)*dl3_QED4 +   &
                        coupl(nGC_2331)*dl2_QED4 + coupl(nGC_2332)*dl1_QED4 +  &
                        coupl(nGC_2333)*dl4_QED4 + coupl(nGC_2334)*dl5_QED4
      coupl(nGC_2849) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_334)*coupl&
                        (nGC_337) - coupl(nGC_340)*coupl(nGC_343) - coupl(     &
                        nGC_346)*coupl(nGC_349) - coupl(nGC_364)*coupl(nGC_367 &
                        ) - coupl(nGC_370)*coupl(nGC_373) - coupl(nGC_382)*    &
                        coupl(nGC_385))/(32d0*pi**2d0)
      coupl(nGC_2964) = coupl(nGC_2006)*db_QED2 + coupl(nGC_2007)*dl3_QED4 +   &
                        coupl(nGC_2008)*dl2_QED4 + coupl(nGC_2009)*dl1_QED4 +  &
                        coupl(nGC_2010)*dl4_QED4 + coupl(nGC_2011)*dl5_QED4
      coupl(nGC_3508) = coupl(nGC_3068) + coupl(nGC_364)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_364)*dZcL_QED2/2d0 + coupl(nGC_364)*dZsR_QED2&
                        /2d0 + coupl(nGC_367)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_2654) = coupl(nGC_13)**2d0*coupl(nGC_348)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3760) = -coupl(nGC_380)*dZG0/2d0
      coupl(nGC_2401) = cima*(-3d0*Nc*coupl(nGC_1)*coupl(nGC_206) - 3d0*Nc*    &
                        coupl(nGC_1)*coupl(nGC_209) - 3d0*Nc*coupl(nGC_2)*coupl&
                        (nGC_207) - 3d0*Nc*coupl(nGC_2)*coupl(nGC_210) - coupl(&
                        nGC_199)*coupl(nGC_3) - 3d0*coupl(nGC_208)*coupl(nGC_4 &
                        ) - 3d0*coupl(nGC_211)*coupl(nGC_4) - coupl(nGC_817)*  &
                        coupl(nGC_847))/(48d0*pi**2d0)
      coupl(nGC_2741) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_206)**2d0 - coupl(nGC_339)**2d0 - coupl(nGC_340)** &
                        2d0 - coupl(nGC_341)*coupl(nGC_895) - coupl(nGC_342)** &
                        2d0 - coupl(nGC_343)**2d0 - coupl(nGC_344)*coupl(      &
                        nGC_863))/(64d0*pi**2d0)
      coupl(nGC_3716) = coupl(nGC_207)*dZtR_QCD2
      coupl(nGC_3715) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_207)*dZZ_QED2/  &
                        2d0 + coupl(nGC_207)*dZtR_QED2 + coupl(nGC_3183)
      coupl(nGC_3714) = coupl(nGC_210)*dZtL_QCD2
      coupl(nGC_3713) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_210)*dZZ_QED2/  &
                        2d0 + coupl(nGC_210)*dZtL_QED2 + coupl(nGC_3184)
      coupl(nGC_3712) = coupl(nGC_11)*dZg_QCD2/4d0 + coupl(nGC_3049)/2d0
      coupl(nGC_3711) = coupl(nGC_205)*dZZA_QED2 - 2d0*coupl(nGC_3159) - 2d0*  &
                        coupl(nGC_8)*dZA_QED2 - 2d0*coupl(nGC_8)*dZWMinus_QED2
      coupl(nGC_3710) = -coupl(nGC_205)*dZZA_QED2/2d0 + coupl(nGC_3159) + coupl&
                        (nGC_8)*dZA_QED2 + coupl(nGC_8)*dZWMinus_QED2
      coupl(nGC_2652) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_348) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_348) - coupl(nGC_345 &
                        )**2d0*coupl(nGC_348) - coupl(nGC_346)*coupl(nGC_382)* &
                        coupl(nGC_384) - coupl(nGC_348)**3d0 - coupl(nGC_348)* &
                        coupl(nGC_843)**2d0 - coupl(nGC_348)*coupl(nGC_853)**  &
                        2d0 - coupl(nGC_349)*coupl(nGC_384)*coupl(nGC_385))/(  &
                        32d0*pi**2d0)
      coupl(nGC_2402) = cima*(coupl(nGC_199)*coupl(nGC_3) + coupl(nGC_817)*    &
                        coupl(nGC_847))/(48d0*pi**2d0)
      coupl(nGC_3719) = coupl(nGC_13)*dZcL_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3181)
      coupl(nGC_3487) = coupl(nGC_186)*dZA_QED2/2d0 + coupl(nGC_186)*          &
                        dZWMinus_QED2/2d0 + coupl(nGC_30)*dZZA_QED2/2d0 + coupl&
                        (nGC_3007)
      coupl(nGC_3486) = coupl(nGC_2992) + coupl(nGC_53)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_53)*dZHa_QED2/2d0 + coupl(nGC_53)*dZHl_QED2/ &
                        2d0 + coupl(nGC_62)*dZG0Ha_QED2/2d0 + coupl(nGC_63)*   &
                        dZHhHl_QED2/2d0
      coupl(nGC_3485) = coupl(nGC_53)*dZGMinus/2d0
      coupl(nGC_3484) = coupl(nGC_186)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3483) = coupl(nGC_2969) + 2d0*coupl(nGC_56)*dZGMinusHMinus_QED2&
                         + 2d0*coupl(nGC_65)*dZHMinus_QED2
      coupl(nGC_3482) = coupl(nGC_3000) + coupl(nGC_57)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_68)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_71)* &
                        dZHMinusGMinus_QED2 + coupl(nGC_74)*dZHMinusGMinus_QED2&
                        /2d0
      coupl(nGC_3481) = 3d0*coupl(nGC_57)*dZGMinus/2d0
      coupl(nGC_3480) = coupl(nGC_I)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_TS_GC_369_Hl) = -coupl(nGC_369)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3663) = coupl(nGC_3307) + coupl(nGC_MT)*dZtL_QED2/2d0 + coupl( &
                        nGC_MT)*dZtR_QED2/2d0 + coupl(nGC_TS_GC_369_Hl) + coupl&
                        (nGC_TS_GC_372_Hh)
      coupl(nGC_2406) = cima*(-6d0*Nc*coupl(nGC_1)**2d0 - 6d0*Nc*coupl(nGC_2)**&
                        2d0 - coupl(nGC_3)**2d0 - 6d0*coupl(nGC_4)**2d0 - coupl&
                        (nGC_817)**2d0)/(48d0*pi**2d0)
      coupl(nGC_2487) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_206&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_363)**2d0 + coupl(nGC_1&
                        )*coupl(nGC_365)*coupl(nGC_891) + coupl(nGC_1)*coupl(  &
                        nGC_366)**2d0 + coupl(nGC_1)*coupl(nGC_368)*coupl(     &
                        nGC_785) + coupl(nGC_2)*coupl(nGC_364)**2d0 + coupl(   &
                        nGC_2)*coupl(nGC_367)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2957) = coupl(nGC_1420)*dZee_QED2 + coupl(nGC_1421)*dcw_QED2 + &
                        coupl(nGC_1422)*dsw_QED2
      coupl(nGC_2660) = coupl(nGC_13)**2d0*sq2**2d0*(cMB*coupl(nGC_339) + cMC* &
                        coupl(nGC_336) + cMD*coupl(nGC_348) + cMS*coupl(nGC_366&
                        ) + cMT*coupl(nGC_372) + cMU*coupl(nGC_384))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_2661) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_366) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_366) - coupl(nGC_334 &
                        )*coupl(nGC_336)*coupl(nGC_364) - coupl(nGC_336)*coupl(&
                        nGC_337)*coupl(nGC_367) - coupl(nGC_363)**2d0*coupl(   &
                        nGC_366) - coupl(nGC_366)**3d0 - coupl(nGC_366)*coupl( &
                        nGC_785)**2d0 - coupl(nGC_366)*coupl(nGC_891)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2662) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_366) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_366) - coupl(nGC_334 &
                        )*coupl(nGC_336)*coupl(nGC_364) - coupl(nGC_336)*coupl(&
                        nGC_337)*coupl(nGC_367) - coupl(nGC_363)**2d0*coupl(   &
                        nGC_366) - coupl(nGC_365)**2d0*coupl(nGC_366) - coupl( &
                        nGC_366)**3d0 - coupl(nGC_366)*coupl(nGC_368)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2665) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_372) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_372) - coupl(nGC_339 &
                        )*coupl(nGC_340)*coupl(nGC_373) - coupl(nGC_339)*coupl(&
                        nGC_343)*coupl(nGC_370) - coupl(nGC_369)**2d0*coupl(   &
                        nGC_372) - coupl(nGC_371)**2d0*coupl(nGC_372) - coupl( &
                        nGC_372)**3d0 - coupl(nGC_372)*coupl(nGC_374)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2666) = coupl(nGC_13)**2d0*coupl(nGC_372)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2667) = coupl(nGC_378)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_375)**2d0 - coupl(nGC_377)**2d0 - coupl(     &
                        nGC_378)**2d0 - coupl(nGC_380)**2d0 + 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_2668) = coupl(nGC_378)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_375)**2d0 - coupl(nGC_378)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_793)**2d0 - coupl(nGC_819)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_2967) = coupl(nGC_1866)*db_QED2 + coupl(nGC_1867)*dl3_QED4 +   &
                        coupl(nGC_1868)*dl2_QED4 + coupl(nGC_1869)*dl1_QED4 +  &
                        coupl(nGC_1870)*dl4_QED4 + coupl(nGC_1871)*dl5_QED4
      coupl(nGC_2966) = coupl(nGC_1795)*dl3_QED4 + coupl(nGC_1796)*dl2_QED4 +  &
                        coupl(nGC_1797)*dl1_QED4 + coupl(nGC_1798)*dl4_QED4 +  &
                        coupl(nGC_1799)*dl5_QED4 + coupl(nGC_1800)*da_QED2
      coupl(nGC_3908) = coupl(nGC_26)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3909) = -coupl(nGC_184)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_TS_GC_49_Hl) = -coupl(nGC_49)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3903) = coupl(nGC_13)*dZdL_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3181)
      coupl(nGC_3900) = coupl(nGC_209)*dZdL_QCD2
      coupl(nGC_3901) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_206)*dZZ_QED2/  &
                        2d0 + coupl(nGC_206)*dZdR_QED2 + coupl(nGC_3186)
      coupl(nGC_3906) = coupl(nGC_13)*dZdR_QED2
      coupl(nGC_3907) = coupl(nGC_3112) + coupl(nGC_375)*dZHl_QED2/2d0 + coupl(&
                        nGC_375)*dZtauMinusL_QED2/2d0 + coupl(nGC_375)*        &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_378)*dZHhHl_QED2/2d0
      coupl(nGC_3904) = coupl(nGC_13)*dZdL_QED2
      coupl(nGC_3905) = coupl(nGC_13)*dZdR_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3181)
      coupl(nGC_TS_GC_381_Hl) = -coupl(nGC_381)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3422) = coupl(nGC_2952) + coupl(nGC_31)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_31)*dZHa_QED2/2d0
      coupl(nGC_2746) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_197)**2d0 + 4d0*coupl(nGC_209)**2d0 + coupl(nGC_345&
                        )**2d0 + coupl(nGC_347)*coupl(nGC_853) + coupl(nGC_348 &
                        )**2d0 + coupl(nGC_350)*coupl(nGC_843) + coupl(nGC_382 &
                        )**2d0 + coupl(nGC_385)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_3912) = -coupl(nGC_3136) - coupl(nGC_335)*dZHa_QED2/2d0 - coupl&
                        (nGC_335)*dZcL_QED2/2d0 - coupl(nGC_335)*dZcR_QED2/2d0 &
                         - coupl(nGC_338)*dZG0Ha_QED2/2d0
      coupl(nGC_3595) = coupl(nGC_3104) + coupl(nGC_353)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_356)*dZeMinusL_QED2/2d0 + coupl(nGC_356)*    &
                        dZeMinusR_QED2/2d0
      coupl(nGC_3137) = coupl(nGC_1187)*dyc1_QED1_QCD2 + coupl(nGC_1188)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_3097) = coupl(nGC_1329)*dyd13x3_QED1_QCD2 + coupl(nGC_1330)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3622) = dZHMinusGMinus_QED2*(coupl(nGC_247) + coupl(nGC_248))/ &
                        2d0
      coupl(nGC_2897) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_334)**2d0 &
                         - coupl(nGC_343)**2d0 - coupl(nGC_346)**2d0 - coupl(  &
                        nGC_364)**2d0 - coupl(nGC_370)**2d0 - coupl(nGC_382)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_3624) = coupl(nGC_2992) + coupl(nGC_53)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_53)*dZHh_QED2/2d0 + coupl(nGC_62)*dZHlHh_QED2&
                        /2d0 + coupl(nGC_63)*dZHaG0_QED2/2d0
      coupl(nGC_2484) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_358)**2d0*coupl(&
                        nGC_4) + coupl(nGC_361)**2d0*coupl(nGC_4))/(32d0*pi**  &
                        2d0)
      coupl(nGC_2485) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_376)**2d0*coupl(&
                        nGC_4) + coupl(nGC_379)**2d0*coupl(nGC_4))/(32d0*pi**  &
                        2d0)
      coupl(nGC_3629) = coupl(nGC_247)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_TS_GC_39_Hh) = -coupl(nGC_39)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2480) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(    &
                        nGC_211)**2d0*coupl(nGC_4) + coupl(nGC_351)**2d0*coupl(&
                        nGC_4) + coupl(nGC_353)*coupl(nGC_4)*coupl(nGC_801) +  &
                        coupl(nGC_354)**2d0*coupl(nGC_4) + coupl(nGC_356)*coupl&
                        (nGC_4)*coupl(nGC_809) + 4d0*coupl(nGC_4)**3d0)/(32d0* &
                        pi**2d0)
      coupl(nGC_2481) = coupl(nGC_4)*(4d0*coupl(nGC_208)**2d0 + coupl(nGC_357  &
                        )**2d0 + coupl(nGC_359)*coupl(nGC_905) + coupl(nGC_360 &
                        )**2d0 + coupl(nGC_362)*coupl(nGC_865) + 4d0*coupl(    &
                        nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2482) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(    &
                        nGC_211)**2d0*coupl(nGC_4) + coupl(nGC_357)**2d0*coupl(&
                        nGC_4) + coupl(nGC_359)*coupl(nGC_4)*coupl(nGC_905) +  &
                        coupl(nGC_360)**2d0*coupl(nGC_4) + coupl(nGC_362)*coupl&
                        (nGC_4)*coupl(nGC_865) + 4d0*coupl(nGC_4)**3d0)/(32d0* &
                        pi**2d0)
      coupl(nGC_2483) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_352)**2d0*coupl(&
                        nGC_4) + coupl(nGC_355)**2d0*coupl(nGC_4))/(32d0*pi**  &
                        2d0)
      coupl(nGC_3876) = coupl(nGC_3309) + coupl(nGC_MD)*dZdL_QED2/2d0 + coupl( &
                        nGC_MD)*dZdR_QED2/2d0 + coupl(nGC_TS_GC_345_Hl) + coupl&
                        (nGC_TS_GC_348_Hh)
      coupl(nGC_3877) = coupl(nGC_3310) + coupl(nGC_MD)*dZdL_QCD2/2d0 + coupl( &
                        nGC_MD)*dZdR_QCD2/2d0
      coupl(nGC_3874) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_3875) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_3872) = coupl(nGC_43)*dZG0
      coupl(nGC_3873) = coupl(nGC_2961) + coupl(nGC_35)*dZHlHh_QED2 + coupl(   &
                        nGC_39)*dZHaG0_QED2 + coupl(nGC_43)*dZHh_QED2
      coupl(nGC_3870) = coupl(nGC_211)*dZZ_QED2/2d0 + coupl(nGC_211)*          &
                        dZmuMinusL_QED2 + coupl(nGC_3189) + coupl(nGC_4)*      &
                        dZAZ_QED2/2d0
      coupl(nGC_3871) = coupl(nGC_208)*dZZ_QED2/2d0 + coupl(nGC_208)*          &
                        dZmuMinusR_QED2 + coupl(nGC_3188) + coupl(nGC_4)*      &
                        dZAZ_QED2/2d0
      coupl(nGC_2714) = coupl(nGC_13)**2d0*coupl(nGC_207)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2715) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_210) + 2d0*coupl(nGC_197)**2d0*&
                        coupl(nGC_847) + coupl(nGC_206)*coupl(nGC_339)**2d0 +  &
                        coupl(nGC_206)*coupl(nGC_341)*coupl(nGC_895) + coupl(  &
                        nGC_206)*coupl(nGC_342)**2d0 + coupl(nGC_206)*coupl(   &
                        nGC_344)*coupl(nGC_863) + coupl(nGC_207)*coupl(nGC_370 &
                        )**2d0 + coupl(nGC_207)*coupl(nGC_373)**2d0 + 4d0*coupl&
                        (nGC_209)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2716) = coupl(nGC_13)**2d0*coupl(nGC_209)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2717) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_206) + 4d0*coupl(     &
                        nGC_206)**3d0 + coupl(nGC_209)*coupl(nGC_339)**2d0 +   &
                        coupl(nGC_209)*coupl(nGC_341)*coupl(nGC_895) + coupl(  &
                        nGC_209)*coupl(nGC_342)**2d0 + coupl(nGC_209)*coupl(   &
                        nGC_344)*coupl(nGC_863) + coupl(nGC_210)*coupl(nGC_340 &
                        )**2d0 + coupl(nGC_210)*coupl(nGC_343)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_3878) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_3879) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_3597) = -coupl(nGC_3104) - coupl(nGC_353)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_356)*dZeMinusL_QED2/2d0 - coupl(nGC_356)*    &
                        dZeMinusR_QED2/2d0
      coupl(nGC_2599) = coupl(nGC_197)*(-Nc*coupl(nGC_333)*coupl(nGC_334) + Nc*&
                        coupl(nGC_342)*coupl(nGC_343) + Nc*coupl(nGC_345)*coupl&
                        (nGC_346) + Nc*coupl(nGC_363)*coupl(nGC_364) - Nc*coupl&
                        (nGC_369)*coupl(nGC_370) - Nc*coupl(nGC_381)*coupl(    &
                        nGC_382) + coupl(nGC_351)*coupl(nGC_352) + coupl(      &
                        nGC_357)*coupl(nGC_358) + coupl(nGC_375)*coupl(nGC_376 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3977) = coupl(nGC_13)*dZuR_QED2
      coupl(nGC_3976) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_13)*dZuR_QCD2 + &
                        coupl(nGC_3181)
      coupl(nGC_3975) = coupl(nGC_13)*dZuL_QED2
      coupl(nGC_3974) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_13)*dZuL_QCD2 + &
                        coupl(nGC_3181)
      coupl(nGC_2820) = (Nc*cima*coupl(nGC_1)*coupl(nGC_206)**3d0 + Nc*cima*   &
                        coupl(nGC_1)*coupl(nGC_209)**3d0 + Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_207)**3d0 + Nc*cima*coupl(nGC_2)*coupl(    &
                        nGC_210)**3d0 + cima*coupl(nGC_195)*coupl(nGC_205) -   &
                        2d0*cima*coupl(nGC_199)**3d0*coupl(nGC_3) + cima*coupl(&
                        nGC_208)**3d0*coupl(nGC_4) + cima*coupl(nGC_211)**3d0* &
                        coupl(nGC_4) - 2d0*cima*coupl(nGC_817)*coupl(nGC_847)**&
                        3d0 + coupl(nGC_195)*coupl(nGC_199)*coupl(nGC_3) +     &
                        coupl(nGC_195)*coupl(nGC_817)*coupl(nGC_847) + coupl(  &
                        nGC_199)**2d0*coupl(nGC_205) + coupl(nGC_205)*coupl(   &
                        nGC_847)**2d0)/(8d0*pi**2d0)
      coupl(nGC_3794) = coupl(nGC_250)*dZG0
      coupl(nGC_2821) = cima*(5d0*Nc*coupl(nGC_333)*coupl(nGC_336)*coupl(      &
                        nGC_337)**2d0 + 5d0*Nc*coupl(nGC_333)*coupl(nGC_336)*  &
                        coupl(nGC_367)**2d0 + 5d0*Nc*coupl(nGC_333)*coupl(     &
                        nGC_337)*coupl(nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl( &
                        nGC_336)*coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_367   &
                        ) + 5d0*Nc*coupl(nGC_337)**2d0*coupl(nGC_363)*coupl(   &
                        nGC_366) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)**2d0*  &
                        coupl(nGC_342) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)* &
                        coupl(nGC_369)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_339)* &
                        coupl(nGC_342)*coupl(nGC_373)**2d0 + 5d0*Nc*coupl(     &
                        nGC_340)**2d0*coupl(nGC_369)*coupl(nGC_372) + 5d0*Nc*  &
                        coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_372)*coupl(    &
                        nGC_373) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_348)*coupl( &
                        nGC_349)**2d0 + 5d0*Nc*coupl(nGC_345)*coupl(nGC_348)*  &
                        coupl(nGC_385)**2d0 + 5d0*Nc*coupl(nGC_345)*coupl(     &
                        nGC_349)*coupl(nGC_384)*coupl(nGC_385) + 5d0*Nc*coupl( &
                        nGC_348)*coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_385   &
                        ) + 5d0*Nc*coupl(nGC_349)**2d0*coupl(nGC_381)*coupl(   &
                        nGC_384) + 5d0*Nc*coupl(nGC_363)*coupl(nGC_366)*coupl( &
                        nGC_367)**2d0 + 5d0*Nc*coupl(nGC_369)*coupl(nGC_372)*  &
                        coupl(nGC_373)**2d0 + 5d0*Nc*coupl(nGC_381)*coupl(     &
                        nGC_384)*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_174)*coupl&
                        (nGC_180) + 6d0*coupl(nGC_21)*coupl(nGC_23) + 5d0*coupl&
                        (nGC_351)*coupl(nGC_354)*coupl(nGC_355)**2d0 + 5d0*    &
                        coupl(nGC_357)*coupl(nGC_360)*coupl(nGC_361)**2d0 + 5d0&
                        *coupl(nGC_375)*coupl(nGC_378)*coupl(nGC_379)**2d0)/(  &
                        24d0*pi**2d0)
      coupl(nGC_2778) = (Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_206) + Nc*cima*   &
                        coupl(nGC_1)**3d0*coupl(nGC_209) + Nc*cima*coupl(nGC_2 &
                        )**3d0*coupl(nGC_207) + Nc*cima*coupl(nGC_2)**3d0*coupl&
                        (nGC_210) - 2d0*cima*coupl(nGC_199)*coupl(nGC_3)**3d0  &
                         + cima*coupl(nGC_205)*coupl(nGC_9) + cima*coupl(      &
                        nGC_208)*coupl(nGC_4)**3d0 + cima*coupl(nGC_211)*coupl(&
                        nGC_4)**3d0 - 2d0*cima*coupl(nGC_817)**3d0*coupl(      &
                        nGC_847) + coupl(nGC_199)*coupl(nGC_3)*coupl(nGC_9) +  &
                        coupl(nGC_205)*coupl(nGC_3)**2d0 + coupl(nGC_205)*coupl&
                        (nGC_817)**2d0 + coupl(nGC_817)*coupl(nGC_847)*coupl(  &
                        nGC_9))/(8d0*pi**2d0)
      coupl(nGC_3437) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_209)*dZZ_QED2/  &
                        2d0 + coupl(nGC_209)*dZbL_QED2 + coupl(nGC_3185)
      coupl(nGC_2911) = cima*(20d0*Nc*coupl(nGC_336)**4d0 + 20d0*Nc*coupl(     &
                        nGC_339)**4d0 + 20d0*Nc*coupl(nGC_348)**4d0 + 20d0*Nc* &
                        coupl(nGC_366)**4d0 + 20d0*Nc*coupl(nGC_372)**4d0 +    &
                        20d0*Nc*coupl(nGC_384)**4d0 + 3d0*coupl(nGC_224)**2d0  &
                         + 20d0*coupl(nGC_354)**4d0 + 20d0*coupl(nGC_360)**4d0 &
                         + 20d0*coupl(nGC_378)**4d0 + 6d0*coupl(nGC_77)**2d0)/(&
                        16d0*pi**2d0)
      coupl(nGC_3930) = -coupl(nGC_218)*dZZ_QED2/2d0 - coupl(nGC_26)*dZAZ_QED2/&
                        2d0 - coupl(nGC_3165)
      coupl(nGC_3561) = coupl(nGC_3113) + coupl(nGC_353)*dZHa_QED2/2d0 + coupl(&
                        nGC_353)*dZeMinusL_QED2/2d0 + coupl(nGC_353)*          &
                        dZeMinusR_QED2/2d0 + coupl(nGC_356)*dZG0Ha_QED2/2d0
      coupl(nGC_3128) = coupl(nGC_2357)*dyup1_QED3 + coupl(nGC_2358)*da_QED2 + &
                        coupl(nGC_2359)*dyup2_QED3
      coupl(nGC_2430) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_197)**2d0 - coupl(&
                        nGC_209)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1007) = coupl(nGC_I)*dZG0
      coupl(nGC_3455) = coupl(nGC_3005) + coupl(nGC_76)*dZHl_QED2
      coupl(nGC_3538) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_3537) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcR_QED2 +   &
                        coupl(nGC_207)*dZZA_QED2/2d0 + coupl(nGC_3179)
      coupl(nGC_3536) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_3535) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcL_QED2 +   &
                        coupl(nGC_210)*dZZA_QED2/2d0 + coupl(nGC_3179)
      coupl(nGC_3534) = coupl(nGC_201)*dZWMinus_QED2/4d0 + coupl(nGC_3045)/2d0
      coupl(nGC_3533) = coupl(nGC_2978) + coupl(nGC_54)*dZHMinusGMinus_QED2/2d0&
                         + coupl(nGC_54)*dZHaG0_QED2/2d0 + coupl(nGC_55)*      &
                        dZG0Ha_QED2/2d0 + coupl(nGC_55)*dZGMinusHMinus_QED2/2d0&
                         + coupl(nGC_72)*dZHMinus_QED2/2d0 + coupl(nGC_72)*    &
                        dZHa_QED2/2d0
      coupl(nGC_TS_GC_213_Hl) = -coupl(nGC_213)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2809) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_342)** &
                        2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_345&
                        )**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(    &
                        nGC_363)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_209)*   &
                        coupl(nGC_342)**2d0 - Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_209)*coupl(nGC_345)**2d0 - Nc*cima*coupl(nGC_1)*   &
                        coupl(nGC_209)*coupl(nGC_363)**2d0 - Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_207)*coupl(nGC_333)**2d0 - Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_369)**2d0 - Nc*  &
                        cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_381)**2d0 - &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_333)**2d0&
                         - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_369)**&
                        2d0 - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_381&
                        )**2d0 + cima*coupl(nGC_205)*coupl(nGC_77) - cima*coupl&
                        (nGC_208)*coupl(nGC_351)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_208)*coupl(nGC_357)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_208)*coupl(nGC_375)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_351)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_357)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_375)**2d0*coupl(nGC_4) + coupl(    &
                        nGC_199)*coupl(nGC_3)*coupl(nGC_77) + coupl(nGC_77)*   &
                        coupl(nGC_817)*coupl(nGC_847))/(8d0*pi**2d0)
      coupl(nGC_3147) = coupl(nGC_2313)*dZee_QED2 + coupl(nGC_2314)*da_QED2 +  &
                        coupl(nGC_2315)*dsw_QED2 + coupl(nGC_2316)*db_QED2
      coupl(nGC_3566) = coupl(nGC_2983) + coupl(nGC_56)*dZHMinusGMinus_QED2 +  &
                        coupl(nGC_57)*dZGMinusHMinus_QED2 + coupl(nGC_74)*     &
                        dZHMinus_QED2
      coupl(nGC_2807) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_339)** &
                        2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_348&
                        )**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(    &
                        nGC_366)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_209)*   &
                        coupl(nGC_339)**2d0 - Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_209)*coupl(nGC_348)**2d0 - Nc*cima*coupl(nGC_1)*   &
                        coupl(nGC_209)*coupl(nGC_366)**2d0 - Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_207)*coupl(nGC_336)**2d0 - Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_372)**2d0 - Nc*  &
                        cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_384)**2d0 - &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_336)**2d0&
                         - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_372)**&
                        2d0 - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_384&
                        )**2d0 + cima*coupl(nGC_205)*coupl(nGC_77) - cima*coupl&
                        (nGC_208)*coupl(nGC_354)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_208)*coupl(nGC_360)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_208)*coupl(nGC_378)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_354)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_360)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_378)**2d0*coupl(nGC_4) + coupl(    &
                        nGC_199)*coupl(nGC_3)*coupl(nGC_77) + coupl(nGC_77)*   &
                        coupl(nGC_817)*coupl(nGC_847))/(8d0*pi**2d0)
      coupl(nGC_2540) = coupl(nGC_197)*(Nc*coupl(nGC_334)*coupl(nGC_338) - Nc* &
                        coupl(nGC_343)*coupl(nGC_895) - Nc*coupl(nGC_346)*coupl&
                        (nGC_843) - Nc*coupl(nGC_364)*coupl(nGC_785) + Nc*coupl&
                        (nGC_370)*coupl(nGC_374) + Nc*coupl(nGC_382)*coupl(    &
                        nGC_386) - coupl(nGC_352)*coupl(nGC_809) - coupl(      &
                        nGC_358)*coupl(nGC_865) - coupl(nGC_376)*coupl(nGC_793 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3888) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*     &
                        dZdL_QED2/2d0 + coupl(nGC_197)*dZuL_QED2/2d0 + coupl(  &
                        nGC_3182)
      coupl(nGC_3883) = -coupl(nGC_3118) - coupl(nGC_335)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_338)*dZcL_QED2/2d0 - coupl(nGC_338)*dZcR_QED2&
                        /2d0
      coupl(nGC_TS_GC_179_Hl) = -coupl(nGC_179)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3881) = coupl(nGC_3119) + coupl(nGC_338)*dZcL_QCD2/2d0 + coupl(&
                        nGC_338)*dZcR_QCD2/2d0
      coupl(nGC_2986) = coupl(nGC_1993)*db_QED2 + coupl(nGC_1994)*dl3_QED4 +   &
                        coupl(nGC_1995)*dl2_QED4 + coupl(nGC_1996)*dl1_QED4 +  &
                        coupl(nGC_1997)*dl4_QED4 + coupl(nGC_1998)*dl5_QED4 +  &
                        coupl(nGC_1999)*da_QED2
      coupl(nGC_3887) = coupl(nGC_208)*dZZ_QED2/2d0 + coupl(nGC_208)*          &
                        dZtauMinusR_QED2 + coupl(nGC_3188) + coupl(nGC_4)*     &
                        dZAZ_QED2/2d0
      coupl(nGC_TS_GC_179_Hh) = -coupl(nGC_179)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3884) = -coupl(nGC_3119) - coupl(nGC_338)*dZcL_QCD2/2d0 - coupl&
                        (nGC_338)*dZcR_QCD2/2d0
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
