!******************************************************************************!
!                                                                              !
!    vertices_info22.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info22.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:39             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info22
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl22()
      allocate(vertices(6928)%branchR2(0:0))
      call avR2(6928, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(4559)%branchR2(0:1))
      call avR2(4559, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2592, nGC_2590/))

      call avR2(4559, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2593, nGC_2591/))

      allocate(vertices(4830)%branchR2(0:0))
      call avR2(4830, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(6849)%branchR2(0:0))
      call avR2(6849, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(8424)%branchR2(0:1))
      call avR2(8424, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2584, nGC_2582/))

      call avR2(8424, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2585, nGC_2583/))

      allocate(vertices(1528)%branchR2(0:0))
      call avR2(1528, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(9322)%branchR2(0:0))
      call avR2(9322, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(3300)%branchR2(0:0))
      call avR2(3300, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2607/))

      allocate(vertices(3213)%branchR2(0:0))
      call avR2(3213, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(5833)%branchR2(0:0))
      call avR2(5833, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2686, nGC_2687/))

      allocate(vertices(8666)%branchR2(0:1))
      call avR2(8666, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2699, nGC_2698/))

      call avR2(8666, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2700, nGC_2700/))

      allocate(vertices(4888)%branchR2(0:0))
      call avR2(4888, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(4405)%branchR2(0:0))
      call avR2(4405, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(10231)%branchR2(0:0))
      call avR2(10231, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(5715)%branchR2(0:0))
      call avR2(5715, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(4890)%branchR2(0:0))
      call avR2(4890, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(8358)%branchR2(0:0))
      call avR2(8358, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(298)%branchR2(0:0))
      call avR2(298, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2504/))

      allocate(vertices(10600)%branchR2(0:1))
      call avR2(10600, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2832/))

      call avR2(10600, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2833/))

      allocate(vertices(1080)%branchR2(0:0))
      call avR2(1080, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(9939)%branchR2(0:0))
      call avR2(9939, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(10304)%branchR2(0:0))
      call avR2(10304, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(5931)%branchR2(0:0))
      call avR2(5931, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(4151)%branchR2(0:1))
      call avR2(4151, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2563, nGC_2561/))

      call avR2(4151, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2564, nGC_2562/))

      allocate(vertices(10047)%branchR2(0:0))
      call avR2(10047, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(4347)%branchR2(0:0))
      call avR2(4347, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(10329)%branchR2(0:0))
      call avR2(10329, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(5678)%branchR2(0:0))
      call avR2(5678, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(7139)%branchR2(0:0))
      call avR2(7139, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4053/))

      allocate(vertices(1330)%branchR2(0:0))
      call avR2(1330, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(1828)%branchR2(0:0))
      call avR2(1828, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2673/))

      allocate(vertices(5231)%branchR2(0:0))
      call avR2(5231, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(6036)%branchR2(0:0))
      call avR2(6036, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(10208)%branchR2(0:0))
      call avR2(10208, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(9100)%branchR2(0:0))
      call avR2(9100, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(10244)%branchR2(0:0))
      call avR2(10244, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(6630)%branchR2(0:3))
      call avR2(6630, 0, 29, 1, 0, VFFa0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(6630, 1, 29, 1, 0, VFFa0, (/1, 2/), (/nGC_2762, nGC_2763/))

      call avR2(6630, 2, 28, 1, 0, VFFa0, (/1, 2/), (/nGC_2764, nGC_2765/))

      call avR2(6630, 3, 28, 1, 0, VFFa0, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(10601)%branchR2(0:0))
      call avR2(10601, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(4841)%branchR2(0:0))
      call avR2(4841, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4049/))

      allocate(vertices(5455)%branchR2(0:0))
      call avR2(5455, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(9296)%branchR2(0:0))
      call avR2(9296, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2458/))

      allocate(vertices(2845)%branchR2(0:0))
      call avR2(2845, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(2205)%branchR2(0:0))
      call avR2(2205, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(4457)%branchR2(0:0))
      call avR2(4457, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(1923)%branchR2(0:0))
      call avR2(1923, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2710/))

      allocate(vertices(4894)%branchR2(0:0))
      call avR2(4894, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(8467)%branchR2(0:3))
      call avR2(8467, 0, 22, 1, 0, FVFa0, (/1, 2/), (/nGC_2758, nGC_2759/))

      call avR2(8467, 1, 22, 1, 0, FVFa0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(8467, 2, 23, 1, 0, FVFa0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(8467, 3, 23, 1, 0, FVFa0, (/1, 2/), (/nGC_2756, nGC_2757/))

      allocate(vertices(8197)%branchR2(0:0))
      call avR2(8197, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(8439)%branchR2(0:0))
      call avR2(8439, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(3646)%branchR2(0:0))
      call avR2(3646, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2696, nGC_2697/))

      allocate(vertices(3110)%branchR2(0:1))
      call avR2(3110, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2511, nGC_2513/))

      call avR2(3110, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2512, nGC_2514/))

      allocate(vertices(220)%branchR2(0:0))
      call avR2(220, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(6062)%branchR2(0:1))
      call avR2(6062, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2592, nGC_2590/))

      call avR2(6062, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2593, nGC_2591/))

      allocate(vertices(6648)%branchR2(0:1))
      call avR2(6648, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2509, nGC_2507/))

      call avR2(6648, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2510, nGC_2508/))

      allocate(vertices(6836)%branchR2(0:3))
      call avR2(6836, 0, 22, 1, 0, FVFa0, (/1, 2/), (/nGC_2739, nGC_2741/))

      call avR2(6836, 1, 22, 1, 0, FVFa0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(6836, 2, 23, 1, 0, FVFa0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(6836, 3, 23, 1, 0, FVFa0, (/1, 2/), (/nGC_2736, nGC_2738/))

      allocate(vertices(7669)%branchR2(0:0))
      call avR2(7669, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(2229)%branchR2(0:1))
      call avR2(2229, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2650, nGC_2649/))

      call avR2(2229, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2651, nGC_2651/))

      allocate(vertices(5777)%branchR2(0:1))
      call avR2(5777, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2629, nGC_2627/))

      call avR2(5777, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2630, nGC_2628/))

      allocate(vertices(10602)%branchR2(0:1))
      call avR2(10602, 0, 145, 1, 0, VVVV1, (/2, 2/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      call avR2(10602, 1, 146, 1, 0, VVVV1, (/2, 2/), (/nGC_2936, nGC_2936,    &
      nGC_2936/))

      allocate(vertices(990)%branchR2(0:0))
      call avR2(990, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(1226)%branchR2(0:1))
      call avR2(1226, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2584, nGC_2582/))

      call avR2(1226, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2585, nGC_2583/))

      allocate(vertices(5208)%branchR2(0:0))
      call avR2(5208, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(10603)%branchR2(0:1))
      call avR2(10603, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2898/))

      call avR2(10603, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2897/))

      allocate(vertices(10015)%branchR2(0:0))
      call avR2(10015, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(3056)%branchR2(0:0))
      call avR2(3056, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2614/))

      allocate(vertices(9006)%branchR2(0:0))
      call avR2(9006, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(4808)%branchR2(0:0))
      call avR2(4808, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2922, nGC_2923,       &
      nGC_2923/))

      allocate(vertices(5547)%branchR2(0:0))
      call avR2(5547, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(1142)%branchR2(0:1))
      call avR2(1142, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_2702/))

      call avR2(1142, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(2532)%branchR2(0:0))
      call avR2(2532, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(10194)%branchR2(0:0))
      call avR2(10194, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(5386)%branchR2(0:0))
      call avR2(5386, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2733, nGC_2732/))

      allocate(vertices(2481)%branchR2(0:0))
      call avR2(2481, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(7822)%branchR2(0:0))
      call avR2(7822, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(10403)%branchR2(0:0))
      call avR2(10403, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(1685)%branchR2(0:0))
      call avR2(1685, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(10276)%branchR2(0:0))
      call avR2(10276, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(4825)%branchR2(0:0))
      call avR2(4825, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(1791)%branchR2(0:0))
      call avR2(1791, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2594/))

      allocate(vertices(1604)%branchR2(0:0))
      call avR2(1604, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4048/))

      allocate(vertices(23)%branchR2(0:0))
      call avR2(23, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2917/))

      allocate(vertices(10604)%branchR2(0:1))
      call avR2(10604, 0, 136, 1, 0, VVVV1, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      call avR2(10604, 1, 135, 1, 0, VVVV1, (/2, 2/), (/nGC_2840, nGC_2840,    &
      nGC_2840/))

      allocate(vertices(1431)%branchR2(0:3))
      call avR2(1431, 0, 22, 1, 0, FVFa0, (/1, 2/), (/nGC_2764, nGC_2765/))

      call avR2(1431, 1, 22, 1, 0, FVFa0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(1431, 2, 23, 1, 0, FVFa0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(1431, 3, 23, 1, 0, FVFa0, (/1, 2/), (/nGC_2762, nGC_2763/))

      allocate(vertices(6221)%branchR2(0:1))
      call avR2(6221, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2699, nGC_2698/))

      call avR2(6221, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2700, nGC_2700/))

      allocate(vertices(1448)%branchR2(0:0))
      call avR2(1448, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(3983)%branchR2(0:0))
      call avR2(3983, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(6274)%branchR2(0:0))
      call avR2(6274, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4046/))

      allocate(vertices(10605)%branchR2(0:0))
      call avR2(10605, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(7575)%branchR2(0:0))
      call avR2(7575, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(10606)%branchR2(0:0))
      call avR2(10606, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(6144)%branchR2(0:0))
      call avR2(6144, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2706/))

      allocate(vertices(683)%branchR2(0:0))
      call avR2(683, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(8900)%branchR2(0:0))
      call avR2(8900, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(3690)%branchR2(0:0))
      call avR2(3690, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2520/))

      allocate(vertices(2161)%branchR2(0:0))
      call avR2(2161, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(9690)%branchR2(0:0))
      call avR2(9690, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2414, nGC_2413/))

      allocate(vertices(6222)%branchR2(0:0))
      call avR2(6222, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2527/))

      allocate(vertices(4580)%branchR2(0:0))
      call avR2(4580, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2875/))

      allocate(vertices(5648)%branchR2(0:0))
      call avR2(5648, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2772, nGC_2771,       &
      nGC_2773/))

      allocate(vertices(5388)%branchR2(0:3))
      call avR2(5388, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2753, nGC_2754/))

      call avR2(5388, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(5388, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(5388, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2750, nGC_2751/))

      allocate(vertices(4577)%branchR2(0:0))
      call avR2(4577, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2580/))

      allocate(vertices(4104)%branchR2(0:1))
      call avR2(4104, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2702/))

      call avR2(4104, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(224)%branchR2(0:0))
      call avR2(224, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(5218)%branchR2(0:0))
      call avR2(5218, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(3116)%branchR2(0:0))
      call avR2(3116, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2482, nGC_2481/))

      allocate(vertices(6832)%branchR2(0:0))
      call avR2(6832, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(428)%branchR2(0:0))
      call avR2(428, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(7862)%branchR2(0:0))
      call avR2(7862, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(10057)%branchR2(0:0))
      call avR2(10057, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(7329)%branchR2(0:1))
      call avR2(7329, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_2719, nGC_2720/))

      call avR2(7329, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(8973)%branchR2(0:0))
      call avR2(8973, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2405, nGC_2404/))

      allocate(vertices(1581)%branchR2(0:0))
      call avR2(1581, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2722, nGC_2721/))

      allocate(vertices(7115)%branchR2(0:0))
      call avR2(7115, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(4791)%branchR2(0:0))
      call avR2(4791, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(766)%branchR2(0:0))
      call avR2(766, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(3122)%branchR2(0:0))
      call avR2(3122, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(3926)%branchR2(0:0))
      call avR2(3926, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(1494)%branchR2(0:0))
      call avR2(1494, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(9567)%branchR2(0:0))
      call avR2(9567, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4054/))

      allocate(vertices(9195)%branchR2(0:0))
      call avR2(9195, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(3074)%branchR2(0:0))
      call avR2(3074, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(4883)%branchR2(0:0))
      call avR2(4883, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2595/))

      allocate(vertices(6270)%branchR2(0:0))
      call avR2(6270, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(4089)%branchR2(0:0))
      call avR2(4089, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(9769)%branchR2(0:0))
      call avR2(9769, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(3126)%branchR2(0:0))
      call avR2(3126, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(10191)%branchR2(0:0))
      call avR2(10191, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(3171)%branchR2(0:0))
      call avR2(3171, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(8993)%branchR2(0:0))
      call avR2(8993, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(10607)%branchR2(0:1))
      call avR2(10607, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2920/))

      call avR2(10607, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2919/))

      allocate(vertices(10608)%branchR2(0:1))
      call avR2(10608, 0, 141, 1, 0, VVVV1, (/2, 2/), (/nGC_2928, nGC_2928,    &
      nGC_2928/))

      call avR2(10608, 1, 142, 1, 0, VVVV1, (/2, 2/), (/nGC_2927, nGC_2927,    &
      nGC_2927/))

      allocate(vertices(2798)%branchR2(0:0))
      call avR2(2798, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(1788)%branchR2(0:0))
      call avR2(1788, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2537/))

      allocate(vertices(10466)%branchR2(0:0))
      call avR2(10466, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(588)%branchR2(0:0))
      call avR2(588, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(9811)%branchR2(0:0))
      call avR2(9811, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(3440)%branchR2(0:0))
      call avR2(3440, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(2696)%branchR2(0:0))
      call avR2(2696, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(1951)%branchR2(0:0))
      call avR2(1951, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(5060)%branchR2(0:0))
      call avR2(5060, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4043/))

      allocate(vertices(1827)%branchR2(0:0))
      call avR2(1827, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(8635)%branchR2(0:0))
      call avR2(8635, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(9841)%branchR2(0:0))
      call avR2(9841, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(9829)%branchR2(0:0))
      call avR2(9829, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(4916)%branchR2(0:0))
      call avR2(4916, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(3168)%branchR2(0:0))
      call avR2(3168, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2598/))

      allocate(vertices(4032)%branchR2(0:0))
      call avR2(4032, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4053/))

      allocate(vertices(7858)%branchR2(0:0))
      call avR2(7858, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2924/))

      allocate(vertices(7938)%branchR2(0:0))
      call avR2(7938, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(4965)%branchR2(0:0))
      call avR2(4965, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2875/))

      allocate(vertices(6155)%branchR2(0:0))
      call avR2(6155, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(5076)%branchR2(0:0))
      call avR2(5076, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2581/))

      allocate(vertices(4695)%branchR2(0:1))
      call avR2(4695, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(4695, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(10609)%branchR2(0:0))
      call avR2(10609, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(5901)%branchR2(0:0))
      call avR2(5901, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(1554)%branchR2(0:0))
      call avR2(1554, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(6186)%branchR2(0:0))
      call avR2(6186, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(7928)%branchR2(0:1))
      call avR2(7928, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_2715, nGC_2717/))

      call avR2(7928, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(1671)%branchR2(0:0))
      call avR2(1671, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(1239)%branchR2(0:0))
      call avR2(1239, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(3774)%branchR2(0:0))
      call avR2(3774, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(10610)%branchR2(0:1))
      call avR2(10610, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2901/))

      call avR2(10610, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(3451)%branchR2(0:0))
      call avR2(3451, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(10611)%branchR2(0:1))
      call avR2(10611, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2850/))

      call avR2(10611, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(9027)%branchR2(0:0))
      call avR2(9027, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(6023)%branchR2(0:0))
      call avR2(6023, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2869/))

      allocate(vertices(7936)%branchR2(0:1))
      call avR2(7936, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2601, nGC_2602/))

      call avR2(7936, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2583, nGC_2585/))

      allocate(vertices(9633)%branchR2(0:0))
      call avR2(9633, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(7438)%branchR2(0:0))
      call avR2(7438, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(4540)%branchR2(0:0))
      call avR2(4540, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2506/))

      allocate(vertices(2971)%branchR2(0:0))
      call avR2(2971, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(5791)%branchR2(0:1))
      call avR2(5791, 0, 19, 1, 0, FaVF1, (/0, 3/), (/nGC_2708/))

      call avR2(5791, 1, 19, 1, 0, FaVF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(1056)%branchR2(0:0))
      call avR2(1056, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(2976)%branchR2(0:0))
      call avR2(2976, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(6560)%branchR2(0:1))
      call avR2(6560, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2699, nGC_2698/))

      call avR2(6560, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2700, nGC_2700/))

      allocate(vertices(2375)%branchR2(0:0))
      call avR2(2375, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(8885)%branchR2(0:0))
      call avR2(8885, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(406)%branchR2(0:0))
      call avR2(406, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2596/))

      allocate(vertices(5655)%branchR2(0:0))
      call avR2(5655, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(3396)%branchR2(0:0))
      call avR2(3396, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(9358)%branchR2(0:0))
      call avR2(9358, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(6037)%branchR2(0:1))
      call avR2(6037, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2555, nGC_2553/))

      call avR2(6037, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2556, nGC_2554/))

      allocate(vertices(6827)%branchR2(0:0))
      call avR2(6827, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(7756)%branchR2(0:0))
      call avR2(7756, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(8481)%branchR2(0:0))
      call avR2(8481, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2578/))

      allocate(vertices(8737)%branchR2(0:0))
      call avR2(8737, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2672/))

      allocate(vertices(7228)%branchR2(0:0))
      call avR2(7228, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(2907)%branchR2(0:1))
      call avR2(2907, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2653, nGC_2652/))

      call avR2(2907, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2654, nGC_2654/))

      allocate(vertices(3200)%branchR2(0:0))
      call avR2(3200, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(8480)%branchR2(0:0))
      call avR2(8480, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(577)%branchR2(0:0))
      call avR2(577, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(3592)%branchR2(0:0))
      call avR2(3592, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(3495)%branchR2(0:0))
      call avR2(3495, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(2084)%branchR2(0:1))
      call avR2(2084, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2633, nGC_2631/))

      call avR2(2084, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2634, nGC_2632/))

      allocate(vertices(3738)%branchR2(0:0))
      call avR2(3738, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2579/))

      allocate(vertices(6556)%branchR2(0:0))
      call avR2(6556, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(6543)%branchR2(0:0))
      call avR2(6543, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2595/))

      allocate(vertices(3055)%branchR2(0:0))
      call avR2(3055, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(9189)%branchR2(0:0))
      call avR2(9189, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(8941)%branchR2(0:0))
      call avR2(8941, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(2227)%branchR2(0:3))
      call avR2(2227, 0, 24, 1, 0, FaVF0, (/1, 2/), (/nGC_2764, nGC_2765/))

      call avR2(2227, 1, 24, 1, 0, FaVF0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(2227, 2, 25, 1, 0, FaVF0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(2227, 3, 25, 1, 0, FaVF0, (/1, 2/), (/nGC_2762, nGC_2763/))

      allocate(vertices(4465)%branchR2(0:0))
      call avR2(4465, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(7212)%branchR2(0:0))
      call avR2(7212, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(9982)%branchR2(0:0))
      call avR2(9982, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(8251)%branchR2(0:0))
      call avR2(8251, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(7227)%branchR2(0:1))
      call avR2(7227, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_2702/))

      call avR2(7227, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(3442)%branchR2(0:0))
      call avR2(3442, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(4177)%branchR2(0:0))
      call avR2(4177, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(7199)%branchR2(0:0))
      call avR2(7199, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(9979)%branchR2(0:0))
      call avR2(9979, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2469/))

      allocate(vertices(7589)%branchR2(0:0))
      call avR2(7589, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(950)%branchR2(0:0))
      call avR2(950, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(3579)%branchR2(0:0))
      call avR2(3579, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(922)%branchR2(0:0))
      call avR2(922, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(10612)%branchR2(0:0))
      call avR2(10612, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(647)%branchR2(0:0))
      call avR2(647, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4055/))

      allocate(vertices(6583)%branchR2(0:0))
      call avR2(6583, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(9352)%branchR2(0:0))
      call avR2(9352, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(6285)%branchR2(0:0))
      call avR2(6285, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2642/))

      allocate(vertices(9375)%branchR2(0:0))
      call avR2(9375, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(7831)%branchR2(0:0))
      call avR2(7831, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(5802)%branchR2(0:0))
      call avR2(5802, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(7173)%branchR2(0:0))
      call avR2(7173, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(383)%branchR2(0:0))
      call avR2(383, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(2680)%branchR2(0:0))
      call avR2(2680, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(5848)%branchR2(0:1))
      call avR2(5848, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2650, nGC_2649/))

      call avR2(5848, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2651, nGC_2651/))

      allocate(vertices(1811)%branchR2(0:0))
      call avR2(1811, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2595/))

      allocate(vertices(10613)%branchR2(0:1))
      call avR2(10613, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2930/))

      call avR2(10613, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2929/))

      allocate(vertices(526)%branchR2(0:1))
      call avR2(526, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2730, nGC_2731/))

      call avR2(526, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(3461)%branchR2(0:0))
      call avR2(3461, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(6843)%branchR2(0:0))
      call avR2(6843, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(2452)%branchR2(0:0))
      call avR2(2452, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2706/))

      allocate(vertices(10614)%branchR2(0:0))
      call avR2(10614, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(7797)%branchR2(0:0))
      call avR2(7797, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(7759)%branchR2(0:0))
      call avR2(7759, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(7587)%branchR2(0:1))
      call avR2(7587, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2708/))

      call avR2(7587, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(1024)%branchR2(0:0))
      call avR2(1024, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(7795)%branchR2(0:0))
      call avR2(7795, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4031/))

      allocate(vertices(9114)%branchR2(0:0))
      call avR2(9114, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2468/))

      allocate(vertices(7409)%branchR2(0:0))
      call avR2(7409, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(2022)%branchR2(0:0))
      call avR2(2022, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2805, nGC_2803,       &
      nGC_2804/))

      allocate(vertices(3750)%branchR2(0:0))
      call avR2(3750, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(7930)%branchR2(0:0))
      call avR2(7930, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(364)%branchR2(0:0))
      call avR2(364, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2595/))

      allocate(vertices(10615)%branchR2(0:1))
      call avR2(10615, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2930/))

      call avR2(10615, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2929/))

      allocate(vertices(9996)%branchR2(0:0))
      call avR2(9996, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(4172)%branchR2(0:0))
      call avR2(4172, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(1606)%branchR2(0:0))
      call avR2(1606, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(6733)%branchR2(0:3))
      call avR2(6733, 0, 29, 1, 0, VFFa0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(6733, 1, 29, 1, 0, VFFa0, (/1, 2/), (/nGC_2736, nGC_2738/))

      call avR2(6733, 2, 28, 1, 0, VFFa0, (/1, 2/), (/nGC_2739, nGC_2741/))

      call avR2(6733, 3, 28, 1, 0, VFFa0, (/3, 0/), (/nGC_2740, nGC_2740/))

      allocate(vertices(7270)%branchR2(0:0))
      call avR2(7270, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(5617)%branchR2(0:0))
      call avR2(5617, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(7536)%branchR2(0:0))
      call avR2(7536, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(6936)%branchR2(0:0))
      call avR2(6936, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2597/))

      allocate(vertices(763)%branchR2(0:0))
      call avR2(763, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(8425)%branchR2(0:0))
      call avR2(8425, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(757)%branchR2(0:0))
      call avR2(757, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2594/))

      allocate(vertices(2721)%branchR2(0:0))
      call avR2(2721, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(2998)%branchR2(0:1))
      call avR2(2998, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2547, nGC_2545/))

      call avR2(2998, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2548, nGC_2546/))

      allocate(vertices(3815)%branchR2(0:1))
      call avR2(3815, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2604, nGC_2603/))

      call avR2(3815, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2589, nGC_2587/))

      allocate(vertices(367)%branchR2(0:0))
      call avR2(367, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(5771)%branchR2(0:0))
      call avR2(5771, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(8707)%branchR2(0:0))
      call avR2(8707, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(7841)%branchR2(0:0))
      call avR2(7841, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4055/))

      allocate(vertices(813)%branchR2(0:0))
      call avR2(813, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(4131)%branchR2(0:1))
      call avR2(4131, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2715, nGC_2717/))

      call avR2(4131, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(9491)%branchR2(0:0))
      call avR2(9491, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(9292)%branchR2(0:0))
      call avR2(9292, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(9794)%branchR2(0:0))
      call avR2(9794, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(10616)%branchR2(0:1))
      call avR2(10616, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2932/))

      call avR2(10616, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2931/))

      allocate(vertices(2486)%branchR2(0:0))
      call avR2(2486, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(9580)%branchR2(0:0))
      call avR2(9580, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(1543)%branchR2(0:0))
      call avR2(1543, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2581/))

      allocate(vertices(6991)%branchR2(0:0))
      call avR2(6991, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(8598)%branchR2(0:0))
      call avR2(8598, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(5317)%branchR2(0:1))
      call avR2(5317, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2573, nGC_2571/))

      call avR2(5317, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2574, nGC_2572/))

      allocate(vertices(9809)%branchR2(0:0))
      call avR2(9809, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(3317)%branchR2(0:0))
      call avR2(3317, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2926, nGC_2925,       &
      nGC_2926/))

      allocate(vertices(1266)%branchR2(0:0))
      call avR2(1266, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(7027)%branchR2(0:0))
      call avR2(7027, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(6582)%branchR2(0:0))
      call avR2(6582, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2543/))

      allocate(vertices(3144)%branchR2(0:0))
      call avR2(3144, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(5194)%branchR2(0:0))
      call avR2(5194, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(1508)%branchR2(0:0))
      call avR2(1508, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(8894)%branchR2(0:0))
      call avR2(8894, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(9473)%branchR2(0:0))
      call avR2(9473, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(9934)%branchR2(0:0))
      call avR2(9934, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(8262)%branchR2(0:0))
      call avR2(8262, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2803, nGC_2804,       &
      nGC_2805/))

      allocate(vertices(10617)%branchR2(0:0))
      call avR2(10617, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2820, nGC_2820,      &
      nGC_2820/))

      allocate(vertices(4332)%branchR2(0:0))
      call avR2(4332, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2482, nGC_2481/))

      allocate(vertices(1495)%branchR2(0:0))
      call avR2(1495, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(8269)%branchR2(0:0))
      call avR2(8269, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(380)%branchR2(0:0))
      call avR2(380, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(10396)%branchR2(0:0))
      call avR2(10396, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2459/))

      allocate(vertices(6381)%branchR2(0:0))
      call avR2(6381, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2521/))

      allocate(vertices(7794)%branchR2(0:0))
      call avR2(7794, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(7053)%branchR2(0:0))
      call avR2(7053, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2495/))

      allocate(vertices(10070)%branchR2(0:0))
      call avR2(10070, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(747)%branchR2(0:0))
      call avR2(747, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2607/))

      allocate(vertices(5873)%branchR2(0:0))
      call avR2(5873, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(1345)%branchR2(0:0))
      call avR2(1345, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(4783)%branchR2(0:0))
      call avR2(4783, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(9628)%branchR2(0:0))
      call avR2(9628, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(9748)%branchR2(0:0))
      call avR2(9748, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(7565)%branchR2(0:1))
      call avR2(7565, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2699, nGC_2698/))

      call avR2(7565, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2700, nGC_2700/))

      allocate(vertices(2702)%branchR2(0:0))
      call avR2(2702, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(653)%branchR2(0:0))
      call avR2(653, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2577/))

      allocate(vertices(4673)%branchR2(0:0))
      call avR2(4673, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(1104)%branchR2(0:1))
      call avR2(1104, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(1104, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(6839)%branchR2(0:0))
      call avR2(6839, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(4498)%branchR2(0:0))
      call avR2(4498, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2541/))

      allocate(vertices(3030)%branchR2(0:0))
      call avR2(3030, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(5899)%branchR2(0:0))
      call avR2(5899, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(7085)%branchR2(0:0))
      call avR2(7085, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(3042)%branchR2(0:0))
      call avR2(3042, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(3672)%branchR2(0:0))
      call avR2(3672, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(221)%branchR2(0:0))
      call avR2(221, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2520/))

      allocate(vertices(9400)%branchR2(0:0))
      call avR2(9400, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(3421)%branchR2(0:0))
      call avR2(3421, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(10482)%branchR2(0:0))
      call avR2(10482, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(808)%branchR2(0:0))
      call avR2(808, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2594/))

      allocate(vertices(3820)%branchR2(0:0))
      call avR2(3820, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(3430)%branchR2(0:0))
      call avR2(3430, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(10618)%branchR2(0:0))
      call avR2(10618, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2883/))

      allocate(vertices(4650)%branchR2(0:0))
      call avR2(4650, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(10619)%branchR2(0:0))
      call avR2(10619, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2536/))

      allocate(vertices(9472)%branchR2(0:0))
      call avR2(9472, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2412, nGC_2411/))

      allocate(vertices(2125)%branchR2(0:0))
      call avR2(2125, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2529/))

      allocate(vertices(10291)%branchR2(0:0))
      call avR2(10291, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(1002)%branchR2(0:0))
      call avR2(1002, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(7804)%branchR2(0:0))
      call avR2(7804, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(4999)%branchR2(0:0))
      call avR2(4999, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(7700)%branchR2(0:0))
      call avR2(7700, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(4229)%branchR2(0:0))
      call avR2(4229, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(1884)%branchR2(0:0))
      call avR2(1884, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(10443)%branchR2(0:0))
      call avR2(10443, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2484/))

      allocate(vertices(1751)%branchR2(0:0))
      call avR2(1751, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(9297)%branchR2(0:0))
      call avR2(9297, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4056/))

      allocate(vertices(7102)%branchR2(0:0))
      call avR2(7102, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(8964)%branchR2(0:0))
      call avR2(8964, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4040/))

      allocate(vertices(6332)%branchR2(0:0))
      call avR2(6332, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(4590)%branchR2(0:0))
      call avR2(4590, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(2447)%branchR2(0:1))
      call avR2(2447, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2612, nGC_2610/))

      call avR2(2447, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2613, nGC_2611/))

      allocate(vertices(7849)%branchR2(0:1))
      call avR2(7849, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2530, nGC_2531/))

      call avR2(7849, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2508, nGC_2510/))

      allocate(vertices(2159)%branchR2(0:0))
      call avR2(2159, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(4118)%branchR2(0:0))
      call avR2(4118, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2709/))

      allocate(vertices(242)%branchR2(0:0))
      call avR2(242, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2869/))

      allocate(vertices(4564)%branchR2(0:0))
      call avR2(4564, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2727/))

      allocate(vertices(1657)%branchR2(0:0))
      call avR2(1657, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(2950)%branchR2(0:0))
      call avR2(2950, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(10620)%branchR2(0:0))
      call avR2(10620, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(4585)%branchR2(0:0))
      call avR2(4585, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(3831)%branchR2(0:0))
      call avR2(3831, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2672/))

      allocate(vertices(2671)%branchR2(0:0))
      call avR2(2671, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(7184)%branchR2(0:0))
      call avR2(7184, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(8840)%branchR2(0:0))
      call avR2(8840, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(1654)%branchR2(0:0))
      call avR2(1654, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(6097)%branchR2(0:0))
      call avR2(6097, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2519/))

      allocate(vertices(1879)%branchR2(0:0))
      call avR2(1879, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(1779)%branchR2(0:0))
      call avR2(1779, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2684, nGC_2685/))

      allocate(vertices(4867)%branchR2(0:0))
      call avR2(4867, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2726/))

      allocate(vertices(8031)%branchR2(0:0))
      call avR2(8031, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(5114)%branchR2(0:0))
      call avR2(5114, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(7808)%branchR2(0:0))
      call avR2(7808, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(925)%branchR2(0:0))
      call avR2(925, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(1971)%branchR2(0:0))
      call avR2(1971, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(10621)%branchR2(0:1))
      call avR2(10621, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2898/))

      call avR2(10621, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2897/))

      allocate(vertices(2247)%branchR2(0:0))
      call avR2(2247, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(5480)%branchR2(0:0))
      call avR2(5480, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4044/))

      allocate(vertices(2701)%branchR2(0:0))
      call avR2(2701, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(7870)%branchR2(0:0))
      call avR2(7870, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(9056)%branchR2(0:0))
      call avR2(9056, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(10622)%branchR2(0:1))
      call avR2(10622, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2900/))

      call avR2(10622, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2901/))

      allocate(vertices(8336)%branchR2(0:0))
      call avR2(8336, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(3928)%branchR2(0:0))
      call avR2(3928, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(9229)%branchR2(0:0))
      call avR2(9229, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(9181)%branchR2(0:0))
      call avR2(9181, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(3549)%branchR2(0:0))
      call avR2(3549, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2594/))

      allocate(vertices(3181)%branchR2(0:0))
      call avR2(3181, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(586)%branchR2(0:0))
      call avR2(586, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(742)%branchR2(0:0))
      call avR2(742, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2544/))

      allocate(vertices(9959)%branchR2(0:0))
      call avR2(9959, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(891)%branchR2(0:0))
      call avR2(891, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(10623)%branchR2(0:1))
      call avR2(10623, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2897/))

      call avR2(10623, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2898/))

      allocate(vertices(8381)%branchR2(0:1))
      call avR2(8381, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_2704/))

      call avR2(8381, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(1340)%branchR2(0:0))
      call avR2(1340, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(157)%branchR2(0:0))
      call avR2(157, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2520/))

      allocate(vertices(1602)%branchR2(0:0))
      call avR2(1602, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(8879)%branchR2(0:0))
      call avR2(8879, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(6479)%branchR2(0:0))
      call avR2(6479, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(6135)%branchR2(0:0))
      call avR2(6135, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(8841)%branchR2(0:0))
      call avR2(8841, 0, 13, 1, 0, FaF4, (/0, 2/), (/nGC_2440, nGC_2441,       &
      nGC_2442, nGC_2442/))

      allocate(vertices(10624)%branchR2(0:5))
      call avR2(10624, 0, 149, 1, 0, VVVV1, (/3, 1/), (/nGC_2863, nGC_2863,    &
      nGC_2863/))

      call avR2(10624, 1, 148, 1, 0, VVVV1, (/3, 1/), (/nGC_2863, nGC_2863,    &
      nGC_2863/))

      call avR2(10624, 2, 151, 1, 0, VVVV1, (/3, 1/), (/nGC_2863, nGC_2863,    &
      nGC_2863/))

      call avR2(10624, 3, 152, 1, 0, VVVV1, (/3, 1/), (/nGC_2862, nGC_2862,    &
      nGC_2862/))

      call avR2(10624, 4, 150, 1, 0, VVVV1, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      call avR2(10624, 5, 147, 1, 0, VVVV1, (/3, 1/), (/nGC_2862, nGC_2862,    &
      nGC_2862/))

      allocate(vertices(5703)%branchR2(0:0))
      call avR2(5703, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(4613)%branchR2(0:1))
      call avR2(4613, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2573, nGC_2571/))

      call avR2(4613, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2574, nGC_2572/))

      allocate(vertices(2126)%branchR2(0:0))
      call avR2(2126, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(9044)%branchR2(0:0))
      call avR2(9044, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(2615)%branchR2(0:0))
      call avR2(2615, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(4071)%branchR2(0:0))
      call avR2(4071, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(3153)%branchR2(0:1))
      call avR2(3153, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2477, nGC_2478/))

      call avR2(3153, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(6989)%branchR2(0:0))
      call avR2(6989, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(392)%branchR2(0:1))
      call avR2(392, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2586, nGC_2588/))

      call avR2(392, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2587, nGC_2589/))

      allocate(vertices(6197)%branchR2(0:0))
      call avR2(6197, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(1240)%branchR2(0:0))
      call avR2(1240, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2818/))

      allocate(vertices(9426)%branchR2(0:0))
      call avR2(9426, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(211)%branchR2(0:0))
      call avR2(211, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(9096)%branchR2(0:0))
      call avR2(9096, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(10427)%branchR2(0:0))
      call avR2(10427, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(6345)%branchR2(0:0))
      call avR2(6345, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(8083)%branchR2(0:0))
      call avR2(8083, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(2517)%branchR2(0:0))
      call avR2(2517, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(1856)%branchR2(0:0))
      call avR2(1856, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(1668)%branchR2(0:0))
      call avR2(1668, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(5568)%branchR2(0:0))
      call avR2(5568, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2522/))

      allocate(vertices(10625)%branchR2(0:0))
      call avR2(10625, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(10626)%branchR2(0:1))
      call avR2(10626, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2850/))

      call avR2(10626, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(9585)%branchR2(0:1))
      call avR2(9585, 0, 16, 1, 0, VV0, (/2, 0/), (/nGC_2448, nGC_2446,        &
      nGC_2447/))

      call avR2(9585, 1, 15, 1, 0, VV0, (/2, 0/), (/nGC_2445, nGC_2443,        &
      nGC_2444/))

      allocate(vertices(8130)%branchR2(0:0))
      call avR2(8130, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(8816)%branchR2(0:0))
      call avR2(8816, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(4807)%branchR2(0:0))
      call avR2(4807, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(10464)%branchR2(0:0))
      call avR2(10464, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(5969)%branchR2(0:0))
      call avR2(5969, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(5823)%branchR2(0:0))
      call avR2(5823, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(5634)%branchR2(0:0))
      call avR2(5634, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2674/))

      allocate(vertices(9133)%branchR2(0:0))
      call avR2(9133, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(3445)%branchR2(0:0))
      call avR2(3445, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(374)%branchR2(0:0))
      call avR2(374, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(9031)%branchR2(0:0))
      call avR2(9031, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(7348)%branchR2(0:0))
      call avR2(7348, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(5672)%branchR2(0:0))
      call avR2(5672, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2504/))

      allocate(vertices(5449)%branchR2(0:0))
      call avR2(5449, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(8201)%branchR2(0:0))
      call avR2(8201, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2463/))

      allocate(vertices(6703)%branchR2(0:0))
      call avR2(6703, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(1639)%branchR2(0:0))
      call avR2(1639, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(9360)%branchR2(0:0))
      call avR2(9360, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2468/))

      allocate(vertices(5040)%branchR2(0:0))
      call avR2(5040, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(5146)%branchR2(0:1))
      call avR2(5146, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(5146, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(5565)%branchR2(0:0))
      call avR2(5565, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(1366)%branchR2(0:0))
      call avR2(1366, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(2573)%branchR2(0:0))
      call avR2(2573, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(8173)%branchR2(0:0))
      call avR2(8173, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(7513)%branchR2(0:0))
      call avR2(7513, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4051/))

      allocate(vertices(10627)%branchR2(0:0))
      call avR2(10627, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(2435)%branchR2(0:0))
      call avR2(2435, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(5542)%branchR2(0:0))
      call avR2(5542, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2923, nGC_2923,       &
      nGC_2922/))

      allocate(vertices(297)%branchR2(0:0))
      call avR2(297, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4053/))

      allocate(vertices(218)%branchR2(0:0))
      call avR2(218, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(4413)%branchR2(0:0))
      call avR2(4413, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(3601)%branchR2(0:0))
      call avR2(3601, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(5243)%branchR2(0:1))
      call avR2(5243, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2567, nGC_2565/))

      call avR2(5243, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2568, nGC_2566/))

      allocate(vertices(3392)%branchR2(0:0))
      call avR2(3392, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2917/))

      allocate(vertices(5219)%branchR2(0:1))
      call avR2(5219, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_2728, nGC_2729/))

      call avR2(5219, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(8314)%branchR2(0:0))
      call avR2(8314, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(10355)%branchR2(0:0))
      call avR2(10355, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(9173)%branchR2(0:0))
      call avR2(9173, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(3491)%branchR2(0:1))
      call avR2(3491, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2682, nGC_2681/))

      call avR2(3491, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2683, nGC_2683/))

      allocate(vertices(7685)%branchR2(0:0))
      call avR2(7685, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(8328)%branchR2(0:0))
      call avR2(8328, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(1735)%branchR2(0:0))
      call avR2(1735, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(10628)%branchR2(0:1))
      call avR2(10628, 0, 125, 1, 0, SVV0, (/2, 1/), (/nGC_2659/))

      call avR2(10628, 1, 126, 1, 0, SVV0, (/2, 1/), (/nGC_2660/))

      allocate(vertices(10629)%branchR2(0:5))
      call avR2(10629, 0, 169, 1, 0, VVVV1, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      call avR2(10629, 1, 167, 1, 0, VVVV1, (/3, 1/), (/nGC_2863, nGC_2863,    &
      nGC_2863/))

      call avR2(10629, 2, 168, 1, 0, VVVV1, (/3, 1/), (/nGC_2862, nGC_2862,    &
      nGC_2862/))

      call avR2(10629, 3, 166, 1, 0, VVVV1, (/3, 1/), (/nGC_2863, nGC_2863,    &
      nGC_2863/))

      call avR2(10629, 4, 170, 1, 0, VVVV1, (/3, 1/), (/nGC_2862, nGC_2862,    &
      nGC_2862/))

      call avR2(10629, 5, 165, 1, 0, VVVV1, (/3, 1/), (/nGC_2863, nGC_2863,    &
      nGC_2863/))

      allocate(vertices(1623)%branchR2(0:0))
      call avR2(1623, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(6407)%branchR2(0:0))
      call avR2(6407, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(9111)%branchR2(0:0))
      call avR2(9111, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4050/))

      allocate(vertices(10127)%branchR2(0:0))
      call avR2(10127, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(6325)%branchR2(0:0))
      call avR2(6325, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(7399)%branchR2(0:0))
      call avR2(7399, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(8625)%branchR2(0:0))
      call avR2(8625, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(8818)%branchR2(0:0))
      call avR2(8818, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(2034)%branchR2(0:0))
      call avR2(2034, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(8420)%branchR2(0:1))
      call avR2(8420, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2617, nGC_2615/))

      call avR2(8420, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2618, nGC_2616/))

      allocate(vertices(8155)%branchR2(0:0))
      call avR2(8155, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2818/))

      allocate(vertices(7487)%branchR2(0:0))
      call avR2(7487, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(5307)%branchR2(0:1))
      call avR2(5307, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2639, nGC_2637/))

      call avR2(5307, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2640, nGC_2638/))

      allocate(vertices(3850)%branchR2(0:0))
      call avR2(3850, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(6787)%branchR2(0:0))
      call avR2(6787, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4057/))

      allocate(vertices(2261)%branchR2(0:0))
      call avR2(2261, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(4824)%branchR2(0:0))
      call avR2(4824, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2579/))

      allocate(vertices(10630)%branchR2(0:1))
      call avR2(10630, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2833/))

      call avR2(10630, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(2095)%branchR2(0:0))
      call avR2(2095, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(2864)%branchR2(0:0))
      call avR2(2864, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(6687)%branchR2(0:0))
      call avR2(6687, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2544/))

      allocate(vertices(3305)%branchR2(0:0))
      call avR2(3305, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(8687)%branchR2(0:0))
      call avR2(8687, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(3201)%branchR2(0:1))
      call avR2(3201, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2517, nGC_2515/))

      call avR2(3201, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2518, nGC_2516/))

      allocate(vertices(4885)%branchR2(0:0))
      call avR2(4885, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(7596)%branchR2(0:0))
      call avR2(7596, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(583)%branchR2(0:0))
      call avR2(583, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(7407)%branchR2(0:0))
      call avR2(7407, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2467/))

      allocate(vertices(2389)%branchR2(0:0))
      call avR2(2389, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(3582)%branchR2(0:0))
      call avR2(3582, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(10631)%branchR2(0:0))
      call avR2(10631, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(4836)%branchR2(0:1))
      call avR2(4836, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2530, nGC_2531/))

      call avR2(4836, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2508, nGC_2510/))

      allocate(vertices(9337)%branchR2(0:0))
      call avR2(9337, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(9621)%branchR2(0:0))
      call avR2(9621, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(6929)%branchR2(0:0))
      call avR2(6929, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2724, nGC_2723/))

      allocate(vertices(3908)%branchR2(0:0))
      call avR2(3908, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2924/))

      allocate(vertices(292)%branchR2(0:0))
      call avR2(292, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(10632)%branchR2(0:1))
      call avR2(10632, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2850/))

      call avR2(10632, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(563)%branchR2(0:1))
      call avR2(563, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2563, nGC_2561/))

      call avR2(563, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2564, nGC_2562/))

      allocate(vertices(1764)%branchR2(0:0))
      call avR2(1764, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10633)%branchR2(0:0))
      call avR2(10633, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(3648)%branchR2(0:0))
      call avR2(3648, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2710/))

      allocate(vertices(9679)%branchR2(0:0))
      call avR2(9679, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(6185)%branchR2(0:0))
      call avR2(6185, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(2519)%branchR2(0:0))
      call avR2(2519, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(8318)%branchR2(0:0))
      call avR2(8318, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4045/))

      allocate(vertices(2509)%branchR2(0:0))
      call avR2(2509, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(8806)%branchR2(0:0))
      call avR2(8806, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(1445)%branchR2(0:0))
      call avR2(1445, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_4032/))

      allocate(vertices(8422)%branchR2(0:23))
      call avR2(8422, 0, 173, 1, 0, VVVV1, (/4, 0/), (/nGC_2945, nGC_2944,     &
      nGC_2944/))

      call avR2(8422, 1, 9, 1, 0, VVVV1, (/4, 0/), (/nGC_2946, nGC_2941,       &
      nGC_2947/))

      call avR2(8422, 2, 186, 1, 0, VVVV1, (/4, 0/), (/nGC_2949, nGC_2949,     &
      nGC_2949/))

      call avR2(8422, 3, 176, 1, 0, VVVV1, (/4, 0/), (/nGC_2944, nGC_2945,     &
      nGC_2944/))

      call avR2(8422, 4, 5, 1, 0, VVVV1, (/4, 0/), (/nGC_2942, nGC_2942,       &
      nGC_2941/))

      call avR2(8422, 5, 182, 1, 0, VVVV1, (/4, 0/), (/nGC_2949, nGC_2949,     &
      nGC_2949/))

      call avR2(8422, 6, 179, 1, 0, VVVV1, (/4, 0/), (/nGC_2943, nGC_2943,     &
      nGC_2943/))

      call avR2(8422, 7, 172, 1, 0, VVVV1, (/4, 0/), (/nGC_2943, nGC_2943,     &
      nGC_2943/))

      call avR2(8422, 8, 8, 1, 0, VVVV1, (/4, 0/), (/nGC_2941, nGC_2946,       &
      nGC_2948/))

      call avR2(8422, 9, 175, 1, 0, VVVV1, (/4, 0/), (/nGC_2944, nGC_2944,     &
      nGC_2945/))

      call avR2(8422, 10, 188, 1, 0, VVVV1, (/4, 0/), (/nGC_2949, nGC_2949,    &
      nGC_2949/))

      call avR2(8422, 11, 185, 1, 0, VVVV1, (/4, 0/), (/nGC_2950, nGC_2950,    &
      nGC_2950/))

      call avR2(8422, 12, 4, 1, 0, VVVV1, (/4, 0/), (/nGC_2942, nGC_2942,      &
      nGC_2941/))

      call avR2(8422, 13, 178, 1, 0, VVVV1, (/4, 0/), (/nGC_2943, nGC_2943,    &
      nGC_2943/))

      call avR2(8422, 14, 7, 1, 0, VVVV1, (/4, 0/), (/nGC_2946, nGC_2941,      &
      nGC_2947/))

      call avR2(8422, 15, 181, 1, 0, VVVV1, (/4, 0/), (/nGC_2943, nGC_2943,    &
      nGC_2943/))

      call avR2(8422, 16, 174, 1, 0, VVVV1, (/4, 0/), (/nGC_2943, nGC_2943,    &
      nGC_2943/))

      call avR2(8422, 17, 171, 1, 0, VVVV1, (/4, 0/), (/nGC_2943, nGC_2943,    &
      nGC_2943/))

      call avR2(8422, 18, 184, 1, 0, VVVV1, (/4, 0/), (/nGC_2949, nGC_2949,    &
      nGC_2949/))

      call avR2(8422, 19, 187, 1, 0, VVVV1, (/4, 0/), (/nGC_2949, nGC_2949,    &
      nGC_2949/))

      call avR2(8422, 20, 6, 1, 0, VVVV1, (/4, 0/), (/nGC_2941, nGC_2946,      &
      nGC_2948/))

      call avR2(8422, 21, 180, 1, 0, VVVV1, (/4, 0/), (/nGC_2943, nGC_2943,    &
      nGC_2943/))

      call avR2(8422, 22, 177, 1, 0, VVVV1, (/4, 0/), (/nGC_2943, nGC_2943,    &
      nGC_2943/))

      call avR2(8422, 23, 183, 1, 0, VVVV1, (/4, 0/), (/nGC_2949, nGC_2949,    &
      nGC_2949/))

      allocate(vertices(2888)%branchR2(0:0))
      call avR2(2888, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4052/))

      allocate(vertices(2656)%branchR2(0:0))
      call avR2(2656, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(5426)%branchR2(0:1))
      call avR2(5426, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2691, nGC_2690/))

      call avR2(5426, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2692, nGC_2692/))

      allocate(vertices(6538)%branchR2(0:0))
      call avR2(6538, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2865/))

      allocate(vertices(1628)%branchR2(0:0))
      call avR2(1628, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(6810)%branchR2(0:0))
      call avR2(6810, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(1620)%branchR2(0:1))
      call avR2(1620, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2534, nGC_2535/))

      call avR2(1620, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2516, nGC_2518/))

      allocate(vertices(8923)%branchR2(0:0))
      call avR2(8923, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(1408)%branchR2(0:0))
      call avR2(1408, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(8761)%branchR2(0:0))
      call avR2(8761, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(8193)%branchR2(0:1))
      call avR2(8193, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2617, nGC_2615/))

      call avR2(8193, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2618, nGC_2616/))

      allocate(vertices(2836)%branchR2(0:0))
      call avR2(2836, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(991)%branchR2(0:0))
      call avR2(991, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(3431)%branchR2(0:0))
      call avR2(3431, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2609/))

      allocate(vertices(10436)%branchR2(0:0))
      call avR2(10436, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(5192)%branchR2(0:0))
      call avR2(5192, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(3804)%branchR2(0:0))
      call avR2(3804, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2726/))

      allocate(vertices(10348)%branchR2(0:0))
      call avR2(10348, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(10634)%branchR2(0:1))
      call avR2(10634, 0, 139, 1, 0, VVVV1, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      call avR2(10634, 1, 140, 1, 0, VVVV1, (/2, 2/), (/nGC_2840, nGC_2840,    &
      nGC_2840/))

      allocate(vertices(7733)%branchR2(0:0))
      call avR2(7733, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(7946)%branchR2(0:0))
      call avR2(7946, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(1195)%branchR2(0:0))
      call avR2(1195, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(6425)%branchR2(0:0))
      call avR2(6425, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(5436)%branchR2(0:0))
      call avR2(5436, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(1912)%branchR2(0:0))
      call avR2(1912, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(1982)%branchR2(0:0))
      call avR2(1982, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(6230)%branchR2(0:1))
      call avR2(6230, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2633, nGC_2631/))

      call avR2(6230, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2634, nGC_2632/))

      allocate(vertices(6257)%branchR2(0:0))
      call avR2(6257, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(10091)%branchR2(0:0))
      call avR2(10091, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(3973)%branchR2(0:0))
      call avR2(3973, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(8980)%branchR2(0:0))
      call avR2(8980, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(9305)%branchR2(0:0))
      call avR2(9305, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(4274)%branchR2(0:0))
      call avR2(4274, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2520/))

      allocate(vertices(565)%branchR2(0:0))
      call avR2(565, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(10180)%branchR2(0:0))
      call avR2(10180, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(7560)%branchR2(0:0))
      call avR2(7560, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2521/))

      allocate(vertices(3874)%branchR2(0:0))
      call avR2(3874, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(10051)%branchR2(0:0))
      call avR2(10051, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(4985)%branchR2(0:0))
      call avR2(4985, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2625, nGC_2626/))

      allocate(vertices(7433)%branchR2(0:3))
      call avR2(7433, 0, 24, 1, 0, FaVF0, (/1, 2/), (/nGC_2744, nGC_2745/))

      call avR2(7433, 1, 24, 1, 0, FaVF0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(7433, 2, 25, 1, 0, FaVF0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(7433, 3, 25, 1, 0, FaVF0, (/1, 2/), (/nGC_2742, nGC_2743/))

      allocate(vertices(7913)%branchR2(0:0))
      call avR2(7913, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2480, nGC_2479/))

      allocate(vertices(9117)%branchR2(0:0))
      call avR2(9117, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(4146)%branchR2(0:0))
      call avR2(4146, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(1958)%branchR2(0:0))
      call avR2(1958, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(7257)%branchR2(0:0))
      call avR2(7257, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(8933)%branchR2(0:0))
      call avR2(8933, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2428, nGC_2426,        &
      nGC_2427/))

      allocate(vertices(3380)%branchR2(0:0))
      call avR2(3380, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(2079)%branchR2(0:1))
      call avR2(2079, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2573, nGC_2571/))

      call avR2(2079, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2574, nGC_2572/))

      allocate(vertices(4059)%branchR2(0:0))
      call avR2(4059, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(6903)%branchR2(0:0))
      call avR2(6903, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(9983)%branchR2(0:0))
      call avR2(9983, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(1208)%branchR2(0:0))
      call avR2(1208, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(7241)%branchR2(0:0))
      call avR2(7241, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(9393)%branchR2(0:0))
      call avR2(9393, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(320)%branchR2(0:0))
      call avR2(320, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(6662)%branchR2(0:0))
      call avR2(6662, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2557, nGC_2558/))

      allocate(vertices(7004)%branchR2(0:0))
      call avR2(7004, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(3898)%branchR2(0:0))
      call avR2(3898, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(6218)%branchR2(0:0))
      call avR2(6218, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(10635)%branchR2(0:0))
      call avR2(10635, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(10636)%branchR2(0:0))
      call avR2(10636, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(8648)%branchR2(0:1))
      call avR2(8648, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(8648, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(4876)%branchR2(0:0))
      call avR2(4876, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(9759)%branchR2(0:0))
      call avR2(9759, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(5600)%branchR2(0:1))
      call avR2(5600, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2676, nGC_2675/))

      call avR2(5600, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2677, nGC_2677/))

      allocate(vertices(446)%branchR2(0:0))
      call avR2(446, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(10637)%branchR2(0:0))
      call avR2(10637, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(3724)%branchR2(0:0))
      call avR2(3724, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(3356)%branchR2(0:1))
      call avR2(3356, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2511, nGC_2513/))

      call avR2(3356, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2512, nGC_2514/))

      allocate(vertices(1200)%branchR2(0:0))
      call avR2(1200, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(9747)%branchR2(0:0))
      call avR2(9747, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(2891)%branchR2(0:0))
      call avR2(2891, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(7551)%branchR2(0:0))
      call avR2(7551, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(3681)%branchR2(0:0))
      call avR2(3681, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(360)%branchR2(0:0))
      call avR2(360, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(9270)%branchR2(0:0))
      call avR2(9270, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(913)%branchR2(0:0))
      call avR2(913, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(5968)%branchR2(0:0))
      call avR2(5968, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2818/))

      allocate(vertices(10409)%branchR2(0:0))
      call avR2(10409, 0, 13, 1, 0, FFa3, (/0, 2/), (/nGC_2440, nGC_2441,      &
      nGC_2455, nGC_2455/))

      allocate(vertices(3539)%branchR2(0:0))
      call avR2(3539, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(4499)%branchR2(0:0))
      call avR2(4499, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(7910)%branchR2(0:0))
      call avR2(7910, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(1545)%branchR2(0:0))
      call avR2(1545, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(10638)%branchR2(0:0))
      call avR2(10638, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(3470)%branchR2(0:0))
      call avR2(3470, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4043/))

      allocate(vertices(61)%branchR2(0:0))
      call avR2(61, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(8784)%branchR2(0:0))
      call avR2(8784, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(867)%branchR2(0:1))
      call avR2(867, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2707/))

      call avR2(867, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(3264)%branchR2(0:0))
      call avR2(3264, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(4244)%branchR2(0:0))
      call avR2(4244, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(9368)%branchR2(0:0))
      call avR2(9368, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(578)%branchR2(0:1))
      call avR2(578, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2629, nGC_2627/))

      call avR2(578, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2630, nGC_2628/))

      allocate(vertices(5183)%branchR2(0:0))
      call avR2(5183, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(2390)%branchR2(0:0))
      call avR2(2390, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(6397)%branchR2(0:0))
      call avR2(6397, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4051/))

      allocate(vertices(10639)%branchR2(0:0))
      call avR2(10639, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2536/))

      allocate(vertices(6417)%branchR2(0:0))
      call avR2(6417, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(5493)%branchR2(0:0))
      call avR2(5493, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2597/))

      allocate(vertices(1412)%branchR2(0:0))
      call avR2(1412, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(3193)%branchR2(0:1))
      call avR2(3193, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2670, nGC_2669/))

      call avR2(3193, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2671, nGC_2671/))

      allocate(vertices(4921)%branchR2(0:0))
      call avR2(4921, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(5862)%branchR2(0:0))
      call avR2(5862, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2542/))

      allocate(vertices(3789)%branchR2(0:0))
      call avR2(3789, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(7754)%branchR2(0:0))
      call avR2(7754, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2733, nGC_2732/))

      allocate(vertices(4399)%branchR2(0:0))
      call avR2(4399, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(1273)%branchR2(0:1))
      call avR2(1273, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2670, nGC_2669/))

      call avR2(1273, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2671, nGC_2671/))

      allocate(vertices(954)%branchR2(0:0))
      call avR2(954, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(10421)%branchR2(0:0))
      call avR2(10421, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(1436)%branchR2(0:0))
      call avR2(1436, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(2560)%branchR2(0:0))
      call avR2(2560, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(7069)%branchR2(0:0))
      call avR2(7069, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(10640)%branchR2(0:0))
      call avR2(10640, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(2737)%branchR2(0:0))
      call avR2(2737, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2724, nGC_2723/))

      allocate(vertices(885)%branchR2(0:0))
      call avR2(885, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2865/))

      allocate(vertices(2539)%branchR2(0:0))
      call avR2(2539, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(4106)%branchR2(0:0))
      call avR2(4106, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2494/))

      allocate(vertices(3215)%branchR2(0:0))
      call avR2(3215, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2818/))

      allocate(vertices(8681)%branchR2(0:0))
      call avR2(8681, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2569, nGC_2570/))

      allocate(vertices(214)%branchR2(0:0))
      call avR2(214, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(1353)%branchR2(0:0))
      call avR2(1353, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(2572)%branchR2(0:0))
      call avR2(2572, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2725/))

      allocate(vertices(5287)%branchR2(0:0))
      call avR2(5287, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2577/))

      allocate(vertices(688)%branchR2(0:0))
      call avR2(688, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2595/))

      allocate(vertices(1964)%branchR2(0:0))
      call avR2(1964, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(3172)%branchR2(0:0))
      call avR2(3172, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(1651)%branchR2(0:0))
      call avR2(1651, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(10641)%branchR2(0:0))
      call avR2(10641, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(10642)%branchR2(0:0))
      call avR2(10642, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(10377)%branchR2(0:0))
      call avR2(10377, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(2262)%branchR2(0:0))
      call avR2(2262, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(6299)%branchR2(0:0))
      call avR2(6299, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2710/))

      allocate(vertices(6483)%branchR2(0:0))
      call avR2(6483, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(6696)%branchR2(0:0))
      call avR2(6696, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(8047)%branchR2(0:0))
      call avR2(8047, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(192)%branchR2(0:0))
      call avR2(192, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2635, nGC_2636/))

      allocate(vertices(5757)%branchR2(0:0))
      call avR2(5757, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(3558)%branchR2(0:1))
      call avR2(3558, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_2707/))

      call avR2(3558, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(8205)%branchR2(0:0))
      call avR2(8205, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(1739)%branchR2(0:0))
      call avR2(1739, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2594/))

      allocate(vertices(4932)%branchR2(0:0))
      call avR2(4932, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(398)%branchR2(0:0))
      call avR2(398, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(2028)%branchR2(0:0))
      call avR2(2028, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(8749)%branchR2(0:0))
      call avR2(8749, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(8781)%branchR2(0:0))
      call avR2(8781, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(3907)%branchR2(0:1))
      call avR2(3907, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2605, nGC_2606/))

      call avR2(3907, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2591, nGC_2593/))

      allocate(vertices(5686)%branchR2(0:0))
      call avR2(5686, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(5965)%branchR2(0:3))
      call avR2(5965, 0, 29, 1, 0, VFFa0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(5965, 1, 29, 1, 0, VFFa0, (/1, 2/), (/nGC_2750, nGC_2751/))

      call avR2(5965, 2, 28, 1, 0, VFFa0, (/1, 2/), (/nGC_2753, nGC_2754/))

      call avR2(5965, 3, 28, 1, 0, VFFa0, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(8429)%branchR2(0:1))
      call avR2(8429, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2551, nGC_2549/))

      call avR2(8429, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2552, nGC_2550/))

      allocate(vertices(3662)%branchR2(0:0))
      call avR2(3662, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(4908)%branchR2(0:0))
      call avR2(4908, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2522/))

      allocate(vertices(7176)%branchR2(0:0))
      call avR2(7176, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(6868)%branchR2(0:1))
      call avR2(6868, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2691, nGC_2690/))

      call avR2(6868, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2692, nGC_2692/))

      allocate(vertices(505)%branchR2(0:0))
      call avR2(505, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(4167)%branchR2(0:0))
      call avR2(4167, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2818/))

      allocate(vertices(10643)%branchR2(0:1))
      call avR2(10643, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2833/))

      call avR2(10643, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(3782)%branchR2(0:0))
      call avR2(3782, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(1356)%branchR2(0:1))
      call avR2(1356, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2551, nGC_2549/))

      call avR2(1356, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2552, nGC_2550/))

      allocate(vertices(8239)%branchR2(0:0))
      call avR2(8239, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(9211)%branchR2(0:0))
      call avR2(9211, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(8374)%branchR2(0:0))
      call avR2(8374, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(4265)%branchR2(0:0))
      call avR2(4265, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2722, nGC_2721/))

      allocate(vertices(1047)%branchR2(0:0))
      call avR2(1047, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(7453)%branchR2(0:0))
      call avR2(7453, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(2550)%branchR2(0:0))
      call avR2(2550, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(4205)%branchR2(0:1))
      call avR2(4205, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(4205, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(499)%branchR2(0:1))
      call avR2(499, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_2492, nGC_2493/))

      call avR2(499, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(9606)%branchR2(0:0))
      call avR2(9606, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(2172)%branchR2(0:0))
      call avR2(2172, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(5180)%branchR2(0:0))
      call avR2(5180, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(9926)%branchR2(0:0))
      call avR2(9926, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(1230)%branchR2(0:0))
      call avR2(1230, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(2553)%branchR2(0:0))
      call avR2(2553, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(2025)%branchR2(0:0))
      call avR2(2025, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(7481)%branchR2(0:1))
      call avR2(7481, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2492, nGC_2493/))

      call avR2(7481, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(7558)%branchR2(0:0))
      call avR2(7558, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(3826)%branchR2(0:0))
      call avR2(3826, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(4544)%branchR2(0:0))
      call avR2(4544, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(3861)%branchR2(0:0))
      call avR2(3861, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(9492)%branchR2(0:0))
      call avR2(9492, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(5139)%branchR2(0:0))
      call avR2(5139, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(8669)%branchR2(0:0))
      call avR2(8669, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2625, nGC_2626/))

      allocate(vertices(7876)%branchR2(0:0))
      call avR2(7876, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(10644)%branchR2(0:0))
      call avR2(10644, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(9431)%branchR2(0:0))
      call avR2(9431, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4058/))

      allocate(vertices(144)%branchR2(0:0))
      call avR2(144, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(9484)%branchR2(0:0))
      call avR2(9484, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(10645)%branchR2(0:0))
      call avR2(10645, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2774/))

      allocate(vertices(5935)%branchR2(0:0))
      call avR2(5935, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2519/))

      allocate(vertices(2155)%branchR2(0:1))
      call avR2(2155, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2647, nGC_2646/))

      call avR2(2155, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2648, nGC_2648/))

      allocate(vertices(9282)%branchR2(0:0))
      call avR2(9282, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(10006)%branchR2(0:0))
      call avR2(10006, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(1902)%branchR2(0:0))
      call avR2(1902, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(4025)%branchR2(0:3))
      call avR2(4025, 0, 27, 1, 0, FaFV1, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(4025, 1, 27, 1, 0, FaFV1, (/1, 2/), (/nGC_2746, nGC_2747/))

      call avR2(4025, 2, 26, 1, 0, FaFV1, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(4025, 3, 26, 1, 0, FaFV1, (/1, 2/), (/nGC_2748, nGC_2749/))

      allocate(vertices(9008)%branchR2(0:0))
      call avR2(9008, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(3880)%branchR2(0:0))
      call avR2(3880, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(1919)%branchR2(0:0))
      call avR2(1919, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(878)%branchR2(0:0))
      call avR2(878, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2527/))

      allocate(vertices(7941)%branchR2(0:0))
      call avR2(7941, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(6067)%branchR2(0:1))
      call avR2(6067, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2679, nGC_2678/))

      call avR2(6067, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2680, nGC_2680/))

      allocate(vertices(908)%branchR2(0:0))
      call avR2(908, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(2427)%branchR2(0:0))
      call avR2(2427, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(5232)%branchR2(0:0))
      call avR2(5232, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(5989)%branchR2(0:0))
      call avR2(5989, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(8721)%branchR2(0:0))
      call avR2(8721, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(1837)%branchR2(0:0))
      call avR2(1837, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(6169)%branchR2(0:1))
      call avR2(6169, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2650, nGC_2649/))

      call avR2(6169, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2651, nGC_2651/))

      allocate(vertices(5701)%branchR2(0:0))
      call avR2(5701, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(10189)%branchR2(0:0))
      call avR2(10189, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2469/))

      allocate(vertices(3044)%branchR2(0:0))
      call avR2(3044, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2803, nGC_2804,       &
      nGC_2805/))

      allocate(vertices(2218)%branchR2(0:0))
      call avR2(2218, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(7592)%branchR2(0:0))
      call avR2(7592, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(2913)%branchR2(0:1))
      call avR2(2913, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_2471, nGC_2472/))

      call avR2(2913, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(1732)%branchR2(0:0))
      call avR2(1732, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(10646)%branchR2(0:1))
      call avR2(10646, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2898/))

      call avR2(10646, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2897/))

      allocate(vertices(9135)%branchR2(0:0))
      call avR2(9135, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2422, nGC_2421/))

      allocate(vertices(4374)%branchR2(0:0))
      call avR2(4374, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(1766)%branchR2(0:0))
      call avR2(1766, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(10647)%branchR2(0:1))
      call avR2(10647, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2833/))

      call avR2(10647, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(2474)%branchR2(0:0))
      call avR2(2474, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(8582)%branchR2(0:0))
      call avR2(8582, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(2066)%branchR2(0:0))
      call avR2(2066, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(8556)%branchR2(0:0))
      call avR2(8556, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2596/))

      allocate(vertices(2487)%branchR2(0:0))
      call avR2(2487, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(9502)%branchR2(0:0))
      call avR2(9502, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(3468)%branchR2(0:0))
      call avR2(3468, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(3259)%branchR2(0:0))
      call avR2(3259, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(6320)%branchR2(0:1))
      call avR2(6320, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_2707/))

      call avR2(6320, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(9756)%branchR2(0:0))
      call avR2(9756, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(5591)%branchR2(0:0))
      call avR2(5591, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(483)%branchR2(0:0))
      call avR2(483, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(2821)%branchR2(0:0))
      call avR2(2821, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2470/))

      allocate(vertices(3346)%branchR2(0:0))
      call avR2(3346, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2596/))

      allocate(vertices(275)%branchR2(0:0))
      call avR2(275, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(6048)%branchR2(0:1))
      call avR2(6048, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2617, nGC_2615/))

      call avR2(6048, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2618, nGC_2616/))

      allocate(vertices(6502)%branchR2(0:0))
      call avR2(6502, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(7462)%branchR2(0:0))
      call avR2(7462, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(9298)%branchR2(0:0))
      call avR2(9298, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2483/))

      allocate(vertices(10648)%branchR2(0:1))
      call avR2(10648, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2901/))

      call avR2(10648, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(6792)%branchR2(0:0))
      call avR2(6792, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(751)%branchR2(0:0))
      call avR2(751, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2480, nGC_2479/))

      allocate(vertices(1518)%branchR2(0:0))
      call avR2(1518, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(9124)%branchR2(0:0))
      call avR2(9124, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(3790)%branchR2(0:0))
      call avR2(3790, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2706/))

      allocate(vertices(4086)%branchR2(0:0))
      call avR2(4086, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(10649)%branchR2(0:0))
      call avR2(10649, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(9620)%branchR2(0:0))
      call avR2(9620, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4058/))

      allocate(vertices(8917)%branchR2(0:0))
      call avR2(8917, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(4572)%branchR2(0:0))
      call avR2(4572, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(375)%branchR2(0:0))
      call avR2(375, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(9032)%branchR2(0:0))
      call avR2(9032, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(2883)%branchR2(0:0))
      call avR2(2883, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(4258)%branchR2(0:0))
      call avR2(4258, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(1265)%branchR2(0:0))
      call avR2(1265, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(2209)%branchR2(0:0))
      call avR2(2209, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2804, nGC_2805,       &
      nGC_2803/))

      allocate(vertices(1855)%branchR2(0:0))
      call avR2(1855, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2645/))

      allocate(vertices(7508)%branchR2(0:0))
      call avR2(7508, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2541/))

      allocate(vertices(1729)%branchR2(0:0))
      call avR2(1729, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(9107)%branchR2(0:0))
      call avR2(9107, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2502/))

      allocate(vertices(4002)%branchR2(0:0))
      call avR2(4002, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2529/))

      allocate(vertices(9571)%branchR2(0:0))
      call avR2(9571, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(6724)%branchR2(0:0))
      call avR2(6724, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(4909)%branchR2(0:1))
      call avR2(4909, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2592, nGC_2590/))

      call avR2(4909, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2593, nGC_2591/))

      allocate(vertices(7333)%branchR2(0:0))
      call avR2(7333, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(7041)%branchR2(0:0))
      call avR2(7041, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(10650)%branchR2(0:1))
      call avR2(10650, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2898/))

      call avR2(10650, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2897/))

      allocate(vertices(7735)%branchR2(0:0))
      call avR2(7735, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(1774)%branchR2(0:0))
      call avR2(1774, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2521/))

      allocate(vertices(5412)%branchR2(0:0))
      call avR2(5412, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4044/))

      allocate(vertices(3452)%branchR2(0:1))
      call avR2(3452, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2563, nGC_2561/))

      call avR2(3452, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2564, nGC_2562/))

      allocate(vertices(10095)%branchR2(0:0))
      call avR2(10095, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(5711)%branchR2(0:0))
      call avR2(5711, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(9734)%branchR2(0:0))
      call avR2(9734, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(3217)%branchR2(0:0))
      call avR2(3217, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2520/))

      allocate(vertices(3670)%branchR2(0:0))
      call avR2(3670, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2924/))

      allocate(vertices(5113)%branchR2(0:0))
      call avR2(5113, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(6512)%branchR2(0:0))
      call avR2(6512, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(981)%branchR2(0:0))
      call avR2(981, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(1430)%branchR2(0:0))
      call avR2(1430, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(1048)%branchR2(0:0))
      call avR2(1048, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(9764)%branchR2(0:0))
      call avR2(9764, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(5490)%branchR2(0:0))
      call avR2(5490, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(5503)%branchR2(0:0))
      call avR2(5503, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(9551)%branchR2(0:0))
      call avR2(9551, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(10651)%branchR2(0:1))
      call avR2(10651, 0, 137, 1, 0, VVVV1, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      call avR2(10651, 1, 138, 1, 0, VVVV1, (/2, 2/), (/nGC_2840, nGC_2840,    &
      nGC_2840/))

      allocate(vertices(3031)%branchR2(0:0))
      call avR2(3031, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(1738)%branchR2(0:0))
      call avR2(1738, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(8377)%branchR2(0:0))
      call avR2(8377, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(7342)%branchR2(0:0))
      call avR2(7342, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4059/))

      allocate(vertices(5349)%branchR2(0:0))
      call avR2(5349, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(7662)%branchR2(0:0))
      call avR2(7662, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2796/))

    end subroutine fill_vertices_mdl22
end module vertices_info22
