!******************************************************************************!
!                                                                              !
!    vertices_info23.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info23.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:39             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info23
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl23()
      allocate(vertices(2018)%branchR2(0:1))
      call avR2(2018, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2534, nGC_2535/))

      call avR2(2018, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2516, nGC_2518/))

      allocate(vertices(3169)%branchR2(0:0))
      call avR2(3169, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2462/))

      allocate(vertices(8348)%branchR2(0:0))
      call avR2(8348, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(271)%branchR2(0:0))
      call avR2(271, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(8326)%branchR2(0:0))
      call avR2(8326, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(9972)%branchR2(0:0))
      call avR2(9972, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2525/))

      allocate(vertices(10652)%branchR2(0:0))
      call avR2(10652, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(8792)%branchR2(0:0))
      call avR2(8792, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2684, nGC_2685/))

      allocate(vertices(10207)%branchR2(0:0))
      call avR2(10207, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(2962)%branchR2(0:0))
      call avR2(2962, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(10653)%branchR2(0:0))
      call avR2(10653, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(8291)%branchR2(0:0))
      call avR2(8291, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(10654)%branchR2(0:1))
      call avR2(10654, 0, 139, 1, 0, VVVV1, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      call avR2(10654, 1, 140, 1, 0, VVVV1, (/2, 2/), (/nGC_2840, nGC_2840,    &
      nGC_2840/))

      allocate(vertices(9726)%branchR2(0:0))
      call avR2(9726, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4034/))

      allocate(vertices(958)%branchR2(0:0))
      call avR2(958, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(5879)%branchR2(0:0))
      call avR2(5879, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2538/))

      allocate(vertices(1073)%branchR2(0:1))
      call avR2(1073, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2517, nGC_2515/))

      call avR2(1073, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2518, nGC_2516/))

      allocate(vertices(10065)%branchR2(0:0))
      call avR2(10065, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(8506)%branchR2(0:0))
      call avR2(8506, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(7283)%branchR2(0:0))
      call avR2(7283, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(10362)%branchR2(0:0))
      call avR2(10362, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(3528)%branchR2(0:0))
      call avR2(3528, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(89)%branchR2(0:1))
      call avR2(89, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(89, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(2292)%branchR2(0:0))
      call avR2(2292, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2521/))

      allocate(vertices(3329)%branchR2(0:0))
      call avR2(3329, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(8627)%branchR2(0:0))
      call avR2(8627, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(5977)%branchR2(0:0))
      call avR2(5977, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(10655)%branchR2(0:0))
      call avR2(10655, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(4289)%branchR2(0:0))
      call avR2(4289, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(8238)%branchR2(0:0))
      call avR2(8238, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2543/))

      allocate(vertices(5974)%branchR2(0:0))
      call avR2(5974, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(544)%branchR2(0:0))
      call avR2(544, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2581/))

      allocate(vertices(2285)%branchR2(0:0))
      call avR2(2285, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(4902)%branchR2(0:0))
      call avR2(4902, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2578/))

      allocate(vertices(6572)%branchR2(0:0))
      call avR2(6572, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2772, nGC_2771,       &
      nGC_2773/))

      allocate(vertices(9849)%branchR2(0:0))
      call avR2(9849, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(781)%branchR2(0:1))
      call avR2(781, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2586, nGC_2588/))

      call avR2(781, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2587, nGC_2589/))

      allocate(vertices(3449)%branchR2(0:0))
      call avR2(3449, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(7122)%branchR2(0:0))
      call avR2(7122, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(3519)%branchR2(0:0))
      call avR2(3519, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(1676)%branchR2(0:0))
      call avR2(1676, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(5033)%branchR2(0:0))
      call avR2(5033, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(1361)%branchR2(0:0))
      call avR2(1361, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(2855)%branchR2(0:0))
      call avR2(2855, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(2681)%branchR2(0:0))
      call avR2(2681, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(6416)%branchR2(0:1))
      call avR2(6416, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2662, nGC_2661/))

      call avR2(6416, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2663, nGC_2663/))

      allocate(vertices(3137)%branchR2(0:0))
      call avR2(3137, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(9773)%branchR2(0:0))
      call avR2(9773, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(4781)%branchR2(0:0))
      call avR2(4781, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2596/))

      allocate(vertices(2849)%branchR2(0:0))
      call avR2(2849, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(8783)%branchR2(0:0))
      call avR2(8783, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(4920)%branchR2(0:0))
      call avR2(4920, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(7244)%branchR2(0:0))
      call avR2(7244, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(3860)%branchR2(0:0))
      call avR2(3860, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2569, nGC_2570/))

      allocate(vertices(9641)%branchR2(0:0))
      call avR2(9641, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(4482)%branchR2(0:0))
      call avR2(4482, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(7035)%branchR2(0:0))
      call avR2(7035, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2725/))

      allocate(vertices(9667)%branchR2(0:0))
      call avR2(9667, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(7874)%branchR2(0:0))
      call avR2(7874, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(9420)%branchR2(0:0))
      call avR2(9420, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(1000)%branchR2(0:1))
      call avR2(1000, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2694, nGC_2693/))

      call avR2(1000, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2695, nGC_2695/))

      allocate(vertices(9779)%branchR2(0:0))
      call avR2(9779, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2420, nGC_2419/))

      allocate(vertices(10656)%branchR2(0:1))
      call avR2(10656, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2850/))

      call avR2(10656, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(2021)%branchR2(0:0))
      call avR2(2021, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(1253)%branchR2(0:1))
      call avR2(1253, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2511, nGC_2513/))

      call avR2(1253, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2512, nGC_2514/))

      allocate(vertices(7550)%branchR2(0:0))
      call avR2(7550, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(10657)%branchR2(0:1))
      call avR2(10657, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2850/))

      call avR2(10657, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(10658)%branchR2(0:0))
      call avR2(10658, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(6030)%branchR2(0:0))
      call avR2(6030, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(9004)%branchR2(0:1))
      call avR2(9004, 0, 14, 1, 0, FFa2, (/0, 2/), (/nGC_2433, nGC_2430,       &
      nGC_2451, nGC_2451/))

      call avR2(9004, 1, 14, 1, 0, FFa2, (/2, 0/), (/nGC_2429, nGC_2429,       &
      nGC_2452, nGC_2452/))

      allocate(vertices(1907)%branchR2(0:0))
      call avR2(1907, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(6201)%branchR2(0:0))
      call avR2(6201, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2506/))

      allocate(vertices(5744)%branchR2(0:0))
      call avR2(5744, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(1138)%branchR2(0:0))
      call avR2(1138, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(4551)%branchR2(0:0))
      call avR2(4551, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2543/))

      allocate(vertices(10659)%branchR2(0:1))
      call avR2(10659, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2901/))

      call avR2(10659, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(7380)%branchR2(0:0))
      call avR2(7380, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(5963)%branchR2(0:0))
      call avR2(5963, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2657, nGC_2658/))

      allocate(vertices(3046)%branchR2(0:0))
      call avR2(3046, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2482, nGC_2481/))

      allocate(vertices(4621)%branchR2(0:0))
      call avR2(4621, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2623, nGC_2624/))

      allocate(vertices(1143)%branchR2(0:0))
      call avR2(1143, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(6633)%branchR2(0:0))
      call avR2(6633, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2599/))

      allocate(vertices(9413)%branchR2(0:0))
      call avR2(9413, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(1520)%branchR2(0:0))
      call avR2(1520, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(6263)%branchR2(0:0))
      call avR2(6263, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(5825)%branchR2(0:0))
      call avR2(5825, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(2444)%branchR2(0:1))
      call avR2(2444, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2605, nGC_2606/))

      call avR2(2444, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2591, nGC_2593/))

      allocate(vertices(1534)%branchR2(0:0))
      call avR2(1534, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2726/))

      allocate(vertices(6436)%branchR2(0:0))
      call avR2(6436, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(4116)%branchR2(0:0))
      call avR2(4116, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2655, nGC_2656/))

      allocate(vertices(4845)%branchR2(0:0))
      call avR2(4845, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2875/))

      allocate(vertices(10660)%branchR2(0:1))
      call avR2(10660, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2833/))

      call avR2(10660, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(2610)%branchR2(0:0))
      call avR2(2610, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(4201)%branchR2(0:0))
      call avR2(4201, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(10661)%branchR2(0:1))
      call avR2(10661, 0, 141, 1, 0, VVVV1, (/2, 2/), (/nGC_2811, nGC_2811,    &
      nGC_2811/))

      call avR2(10661, 1, 142, 1, 0, VVVV1, (/2, 2/), (/nGC_2810, nGC_2810,    &
      nGC_2810/))

      allocate(vertices(10662)%branchR2(0:1))
      call avR2(10662, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2920/))

      call avR2(10662, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2919/))

      allocate(vertices(3370)%branchR2(0:0))
      call avR2(3370, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2462/))

      allocate(vertices(10663)%branchR2(0:0))
      call avR2(10663, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(8559)%branchR2(0:0))
      call avR2(8559, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(1148)%branchR2(0:0))
      call avR2(1148, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2918/))

      allocate(vertices(421)%branchR2(0:0))
      call avR2(421, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2925, nGC_2926,        &
      nGC_2926/))

      allocate(vertices(9817)%branchR2(0:0))
      call avR2(9817, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(1851)%branchR2(0:0))
      call avR2(1851, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2519/))

      allocate(vertices(755)%branchR2(0:0))
      call avR2(755, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(7699)%branchR2(0:0))
      call avR2(7699, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(6064)%branchR2(0:1))
      call avR2(6064, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(6064, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(6575)%branchR2(0:0))
      call avR2(6575, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(10664)%branchR2(0:1))
      call avR2(10664, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2930/))

      call avR2(10664, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2929/))

      allocate(vertices(7106)%branchR2(0:0))
      call avR2(7106, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(2428)%branchR2(0:0))
      call avR2(2428, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(5191)%branchR2(0:1))
      call avR2(5191, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2511, nGC_2513/))

      call avR2(5191, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2512, nGC_2514/))

      allocate(vertices(8908)%branchR2(0:0))
      call avR2(8908, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(927)%branchR2(0:1))
      call avR2(927, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_2707/))

      call avR2(927, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(2629)%branchR2(0:0))
      call avR2(2629, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2733, nGC_2732/))

      allocate(vertices(4587)%branchR2(0:0))
      call avR2(4587, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(2299)%branchR2(0:0))
      call avR2(2299, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2523/))

      allocate(vertices(3550)%branchR2(0:0))
      call avR2(3550, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(22)%branchR2(0:0))
      call avR2(22, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(2024)%branchR2(0:0))
      call avR2(2024, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(10665)%branchR2(0:1))
      call avR2(10665, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2833/))

      call avR2(10665, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(7824)%branchR2(0:0))
      call avR2(7824, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2595/))

      allocate(vertices(9507)%branchR2(0:0))
      call avR2(9507, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(6444)%branchR2(0:0))
      call avR2(6444, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2600/))

      allocate(vertices(9832)%branchR2(0:0))
      call avR2(9832, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(10666)%branchR2(0:1))
      call avR2(10666, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2850/))

      call avR2(10666, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(6610)%branchR2(0:0))
      call avR2(6610, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(9528)%branchR2(0:0))
      call avR2(9528, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2526/))

      allocate(vertices(4113)%branchR2(0:0))
      call avR2(4113, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2722, nGC_2721/))

      allocate(vertices(4510)%branchR2(0:0))
      call avR2(4510, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(7581)%branchR2(0:0))
      call avR2(7581, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2865/))

      allocate(vertices(10667)%branchR2(0:1))
      call avR2(10667, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2900/))

      call avR2(10667, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2901/))

      allocate(vertices(8464)%branchR2(0:0))
      call avR2(8464, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2805, nGC_2804,       &
      nGC_2803/))

      allocate(vertices(5288)%branchR2(0:0))
      call avR2(5288, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(10668)%branchR2(0:1))
      call avR2(10668, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2833/))

      call avR2(10668, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(1089)%branchR2(0:0))
      call avR2(1089, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(4250)%branchR2(0:1))
      call avR2(4250, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2679, nGC_2678/))

      call avR2(4250, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2680, nGC_2680/))

      allocate(vertices(10669)%branchR2(0:0))
      call avR2(10669, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2774/))

      allocate(vertices(4567)%branchR2(0:0))
      call avR2(4567, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2696, nGC_2697/))

      allocate(vertices(9278)%branchR2(0:0))
      call avR2(9278, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(5086)%branchR2(0:1))
      call avR2(5086, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2509, nGC_2507/))

      call avR2(5086, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2510, nGC_2508/))

      allocate(vertices(7133)%branchR2(0:0))
      call avR2(7133, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(3542)%branchR2(0:0))
      call avR2(3542, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(6859)%branchR2(0:0))
      call avR2(6859, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(9745)%branchR2(0:0))
      call avR2(9745, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(87)%branchR2(0:0))
      call avR2(87, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(9187)%branchR2(0:0))
      call avR2(9187, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(10670)%branchR2(0:0))
      call avR2(10670, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(7152)%branchR2(0:0))
      call avR2(7152, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2581/))

      allocate(vertices(6392)%branchR2(0:0))
      call avR2(6392, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(6795)%branchR2(0:0))
      call avR2(6795, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(4938)%branchR2(0:0))
      call avR2(4938, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2467/))

      allocate(vertices(7207)%branchR2(0:0))
      call avR2(7207, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(3115)%branchR2(0:0))
      call avR2(3115, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(1803)%branchR2(0:1))
      call avR2(1803, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_2707/))

      call avR2(1803, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(6102)%branchR2(0:0))
      call avR2(6102, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(3001)%branchR2(0:0))
      call avR2(3001, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(9601)%branchR2(0:0))
      call avR2(9601, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(7468)%branchR2(0:1))
      call avR2(7468, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_2719, nGC_2720/))

      call avR2(7468, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(7535)%branchR2(0:0))
      call avR2(7535, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(6112)%branchR2(0:0))
      call avR2(6112, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(10671)%branchR2(0:1))
      call avR2(10671, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2929/))

      call avR2(10671, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2930/))

      allocate(vertices(9205)%branchR2(0:0))
      call avR2(9205, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(7425)%branchR2(0:0))
      call avR2(7425, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2686, nGC_2687/))

      allocate(vertices(10672)%branchR2(0:0))
      call avR2(10672, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(9661)%branchR2(0:0))
      call avR2(9661, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2540/))

      allocate(vertices(10673)%branchR2(0:0))
      call avR2(10673, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2778, nGC_2778,      &
      nGC_2778/))

      allocate(vertices(9627)%branchR2(0:0))
      call avR2(9627, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(2124)%branchR2(0:0))
      call avR2(2124, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(10674)%branchR2(0:0))
      call avR2(10674, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(4286)%branchR2(0:0))
      call avR2(4286, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(7762)%branchR2(0:0))
      call avR2(7762, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(3627)%branchR2(0:0))
      call avR2(3627, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(5613)%branchR2(0:0))
      call avR2(5613, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(4526)%branchR2(0:0))
      call avR2(4526, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(4601)%branchR2(0:0))
      call avR2(4601, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2569, nGC_2570/))

      allocate(vertices(10675)%branchR2(0:1))
      call avR2(10675, 0, 137, 1, 0, VVVV1, (/2, 2/), (/nGC_2928, nGC_2928,    &
      nGC_2928/))

      call avR2(10675, 1, 138, 1, 0, VVVV1, (/2, 2/), (/nGC_2927, nGC_2927,    &
      nGC_2927/))

      allocate(vertices(2096)%branchR2(0:0))
      call avR2(2096, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2524/))

      allocate(vertices(1038)%branchR2(0:0))
      call avR2(1038, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4049/))

      allocate(vertices(2174)%branchR2(0:0))
      call avR2(2174, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(3536)%branchR2(0:0))
      call avR2(3536, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(1347)%branchR2(0:0))
      call avR2(1347, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(3175)%branchR2(0:0))
      call avR2(3175, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(905)%branchR2(0:0))
      call avR2(905, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4057/))

      allocate(vertices(6528)%branchR2(0:0))
      call avR2(6528, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(10676)%branchR2(0:0))
      call avR2(10676, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2464/))

      allocate(vertices(8542)%branchR2(0:0))
      call avR2(8542, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2600/))

      allocate(vertices(311)%branchR2(0:0))
      call avR2(311, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(5621)%branchR2(0:1))
      call avR2(5621, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_2704/))

      call avR2(5621, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(1511)%branchR2(0:1))
      call avR2(1511, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2471, nGC_2472/))

      call avR2(1511, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(4179)%branchR2(0:0))
      call avR2(4179, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(10103)%branchR2(0:0))
      call avR2(10103, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4054/))

      allocate(vertices(9486)%branchR2(0:0))
      call avR2(9486, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2410, nGC_2409/))

      allocate(vertices(10121)%branchR2(0:0))
      call avR2(10121, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(9160)%branchR2(0:0))
      call avR2(9160, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(10677)%branchR2(0:1))
      call avR2(10677, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2898/))

      call avR2(10677, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2897/))

      allocate(vertices(4173)%branchR2(0:0))
      call avR2(4173, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4059/))

      allocate(vertices(2586)%branchR2(0:0))
      call avR2(2586, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2521/))

      allocate(vertices(10473)%branchR2(0:0))
      call avR2(10473, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(722)%branchR2(0:1))
      call avR2(722, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2650, nGC_2649/))

      call avR2(722, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2651, nGC_2651/))

      allocate(vertices(10165)%branchR2(0:0))
      call avR2(10165, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(7033)%branchR2(0:0))
      call avR2(7033, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(75)%branchR2(0:0))
      call avR2(75, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2580/))

      allocate(vertices(187)%branchR2(0:0))
      call avR2(187, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(1794)%branchR2(0:0))
      call avR2(1794, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(3316)%branchR2(0:0))
      call avR2(3316, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(315)%branchR2(0:0))
      call avR2(315, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(6013)%branchR2(0:0))
      call avR2(6013, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(9037)%branchR2(0:0))
      call avR2(9037, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2485/))

      allocate(vertices(10678)%branchR2(0:1))
      call avR2(10678, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2885/))

      call avR2(10678, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2884/))

      allocate(vertices(4096)%branchR2(0:0))
      call avR2(4096, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(3489)%branchR2(0:0))
      call avR2(3489, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(205)%branchR2(0:0))
      call avR2(205, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4042/))

      allocate(vertices(1776)%branchR2(0:0))
      call avR2(1776, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(9303)%branchR2(0:0))
      call avR2(9303, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(1726)%branchR2(0:0))
      call avR2(1726, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2607/))

      allocate(vertices(2647)%branchR2(0:0))
      call avR2(2647, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(8550)%branchR2(0:0))
      call avR2(8550, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2923, nGC_2923,       &
      nGC_2922/))

      allocate(vertices(7155)%branchR2(0:0))
      call avR2(7155, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2569, nGC_2570/))

      allocate(vertices(3544)%branchR2(0:0))
      call avR2(3544, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(5659)%branchR2(0:1))
      call avR2(5659, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_2702/))

      call avR2(5659, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(10280)%branchR2(0:0))
      call avR2(10280, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(9007)%branchR2(0:0))
      call avR2(9007, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(10679)%branchR2(0:1))
      call avR2(10679, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2850/))

      call avR2(10679, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(6385)%branchR2(0:1))
      call avR2(6385, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2647, nGC_2646/))

      call avR2(6385, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2648, nGC_2648/))

      allocate(vertices(5640)%branchR2(0:0))
      call avR2(5640, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(3575)%branchR2(0:0))
      call avR2(3575, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(6333)%branchR2(0:0))
      call avR2(6333, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(904)%branchR2(0:3))
      call avR2(904, 0, 24, 1, 0, FaVF0, (/1, 2/), (/nGC_2758, nGC_2759/))

      call avR2(904, 1, 24, 1, 0, FaVF0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(904, 2, 25, 1, 0, FaVF0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(904, 3, 25, 1, 0, FaVF0, (/1, 2/), (/nGC_2756, nGC_2757/))

      allocate(vertices(9948)%branchR2(0:0))
      call avR2(9948, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(3340)%branchR2(0:0))
      call avR2(3340, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(4903)%branchR2(0:0))
      call avR2(4903, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(6177)%branchR2(0:0))
      call avR2(6177, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2495/))

      allocate(vertices(2621)%branchR2(0:0))
      call avR2(2621, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(10202)%branchR2(0:0))
      call avR2(10202, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(6122)%branchR2(0:0))
      call avR2(6122, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(1237)%branchR2(0:0))
      call avR2(1237, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(9533)%branchR2(0:0))
      call avR2(9533, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(9843)%branchR2(0:0))
      call avR2(9843, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2420, nGC_2419/))

      allocate(vertices(10680)%branchR2(0:0))
      call avR2(10680, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2778, nGC_2778,      &
      nGC_2778/))

      allocate(vertices(10681)%branchR2(0:0))
      call avR2(10681, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2465/))

      allocate(vertices(10205)%branchR2(0:0))
      call avR2(10205, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(10012)%branchR2(0:0))
      call avR2(10012, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(6101)%branchR2(0:1))
      call avR2(6101, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_2704/))

      call avR2(6101, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(10682)%branchR2(0:1))
      call avR2(10682, 0, 141, 1, 0, VVVV1, (/2, 2/), (/nGC_2928, nGC_2928,    &
      nGC_2928/))

      call avR2(10682, 1, 142, 1, 0, VVVV1, (/2, 2/), (/nGC_2927, nGC_2927,    &
      nGC_2927/))

      allocate(vertices(9066)%branchR2(0:0))
      call avR2(9066, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(4328)%branchR2(0:0))
      call avR2(4328, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(3064)%branchR2(0:3))
      call avR2(3064, 0, 22, 1, 0, FVFa0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(3064, 1, 22, 1, 0, FVFa0, (/1, 2/), (/nGC_2748, nGC_2749/))

      call avR2(3064, 2, 23, 1, 0, FVFa0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(3064, 3, 23, 1, 0, FVFa0, (/1, 2/), (/nGC_2746, nGC_2747/))

      allocate(vertices(8955)%branchR2(0:0))
      call avR2(8955, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(2412)%branchR2(0:1))
      call avR2(2412, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2509, nGC_2507/))

      call avR2(2412, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2510, nGC_2508/))

      allocate(vertices(4013)%branchR2(0:0))
      call avR2(4013, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(10683)%branchR2(0:0))
      call avR2(10683, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(2338)%branchR2(0:1))
      call avR2(2338, 0, 19, 1, 0, FaVF1, (/0, 3/), (/nGC_2704/))

      call avR2(2338, 1, 19, 1, 0, FaVF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(10684)%branchR2(0:1))
      call avR2(10684, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2932/))

      call avR2(10684, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2931/))

      allocate(vertices(1259)%branchR2(0:0))
      call avR2(1259, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(1460)%branchR2(0:0))
      call avR2(1460, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2625, nGC_2626/))

      allocate(vertices(7573)%branchR2(0:0))
      call avR2(7573, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(5379)%branchR2(0:0))
      call avR2(5379, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2875/))

      allocate(vertices(1895)%branchR2(0:0))
      call avR2(1895, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(5189)%branchR2(0:1))
      call avR2(5189, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2612, nGC_2610/))

      call avR2(5189, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2613, nGC_2611/))

      allocate(vertices(10685)%branchR2(0:1))
      call avR2(10685, 0, 137, 1, 0, VVVV1, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      call avR2(10685, 1, 138, 1, 0, VVVV1, (/2, 2/), (/nGC_2840, nGC_2840,    &
      nGC_2840/))

      allocate(vertices(3902)%branchR2(0:0))
      call avR2(3902, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2528/))

      allocate(vertices(4208)%branchR2(0:0))
      call avR2(4208, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(442)%branchR2(0:3))
      call avR2(442, 0, 24, 1, 0, FaVF0, (/1, 2/), (/nGC_2753, nGC_2754/))

      call avR2(442, 1, 24, 1, 0, FaVF0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(442, 2, 25, 1, 0, FaVF0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(442, 3, 25, 1, 0, FaVF0, (/1, 2/), (/nGC_2750, nGC_2751/))

      allocate(vertices(4488)%branchR2(0:1))
      call avR2(4488, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2633, nGC_2631/))

      call avR2(4488, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2634, nGC_2632/))

      allocate(vertices(5598)%branchR2(0:0))
      call avR2(5598, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4060/))

      allocate(vertices(5700)%branchR2(0:0))
      call avR2(5700, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(184)%branchR2(0:0))
      call avR2(184, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(1896)%branchR2(0:0))
      call avR2(1896, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(5011)%branchR2(0:1))
      call avR2(5011, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_2734, nGC_2735/))

      call avR2(5011, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(29)%branchR2(0:0))
      call avR2(29, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(6079)%branchR2(0:0))
      call avR2(6079, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2773, nGC_2772,       &
      nGC_2771/))

      allocate(vertices(10686)%branchR2(0:1))
      call avR2(10686, 0, 128, 1, 0, VVS0, (/2, 1/), (/nGC_2660/))

      call avR2(10686, 1, 127, 1, 0, VVS0, (/2, 1/), (/nGC_2659/))

      allocate(vertices(5793)%branchR2(0:0))
      call avR2(5793, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2917/))

      allocate(vertices(335)%branchR2(0:0))
      call avR2(335, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(10687)%branchR2(0:1))
      call avR2(10687, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2898/))

      call avR2(10687, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2897/))

      allocate(vertices(1466)%branchR2(0:0))
      call avR2(1466, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(8754)%branchR2(0:0))
      call avR2(8754, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(574)%branchR2(0:3))
      call avR2(574, 0, 24, 1, 0, FaVF0, (/1, 2/), (/nGC_2739, nGC_2741/))

      call avR2(574, 1, 24, 1, 0, FaVF0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(574, 2, 25, 1, 0, FaVF0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(574, 3, 25, 1, 0, FaVF0, (/1, 2/), (/nGC_2736, nGC_2738/))

      allocate(vertices(8323)%branchR2(0:0))
      call avR2(8323, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(9622)%branchR2(0:0))
      call avR2(9622, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(7927)%branchR2(0:0))
      call avR2(7927, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2710/))

      allocate(vertices(10688)%branchR2(0:1))
      call avR2(10688, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2850/))

      call avR2(10688, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(7603)%branchR2(0:0))
      call avR2(7603, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(3165)%branchR2(0:0))
      call avR2(3165, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(10689)%branchR2(0:1))
      call avR2(10689, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2885/))

      call avR2(10689, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2884/))

      allocate(vertices(5411)%branchR2(0:0))
      call avR2(5411, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(4302)%branchR2(0:0))
      call avR2(4302, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(1560)%branchR2(0:0))
      call avR2(1560, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2467/))

      allocate(vertices(9388)%branchR2(0:0))
      call avR2(9388, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(7926)%branchR2(0:0))
      call avR2(7926, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(4948)%branchR2(0:0))
      call avR2(4948, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(9873)%branchR2(0:0))
      call avR2(9873, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(5295)%branchR2(0:0))
      call avR2(5295, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(4981)%branchR2(0:0))
      call avR2(4981, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(8284)%branchR2(0:0))
      call avR2(8284, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(4175)%branchR2(0:3))
      call avR2(4175, 0, 22, 1, 0, FVFa0, (/1, 2/), (/nGC_2753, nGC_2754/))

      call avR2(4175, 1, 22, 1, 0, FVFa0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(4175, 2, 23, 1, 0, FVFa0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(4175, 3, 23, 1, 0, FVFa0, (/1, 2/), (/nGC_2750, nGC_2751/))

      allocate(vertices(6966)%branchR2(0:0))
      call avR2(6966, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(9182)%branchR2(0:0))
      call avR2(9182, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(4608)%branchR2(0:0))
      call avR2(4608, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(1478)%branchR2(0:1))
      call avR2(1478, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2547, nGC_2545/))

      call avR2(1478, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2548, nGC_2546/))

      allocate(vertices(318)%branchR2(0:0))
      call avR2(318, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(10690)%branchR2(0:1))
      call avR2(10690, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2850/))

      call avR2(10690, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(8782)%branchR2(0:0))
      call avR2(8782, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2524/))

      allocate(vertices(854)%branchR2(0:1))
      call avR2(854, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2509, nGC_2507/))

      call avR2(854, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2510, nGC_2508/))

      allocate(vertices(10691)%branchR2(0:1))
      call avR2(10691, 0, 144, 1, 0, VVVV1, (/2, 2/), (/nGC_2927, nGC_2927,    &
      nGC_2927/))

      call avR2(10691, 1, 143, 1, 0, VVVV1, (/2, 2/), (/nGC_2928, nGC_2928,    &
      nGC_2928/))

      allocate(vertices(9005)%branchR2(0:0))
      call avR2(9005, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(7776)%branchR2(0:0))
      call avR2(7776, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2733, nGC_2732/))

      allocate(vertices(5279)%branchR2(0:0))
      call avR2(5279, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(2419)%branchR2(0:1))
      call avR2(2419, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2621, nGC_2619/))

      call avR2(2419, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2622, nGC_2620/))

      allocate(vertices(7761)%branchR2(0:0))
      call avR2(7761, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(7204)%branchR2(0:1))
      call avR2(7204, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2682, nGC_2681/))

      call avR2(7204, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2683, nGC_2683/))

      allocate(vertices(5508)%branchR2(0:0))
      call avR2(5508, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(4611)%branchR2(0:0))
      call avR2(4611, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2575/))

      allocate(vertices(4123)%branchR2(0:0))
      call avR2(4123, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(9736)%branchR2(0:0))
      call avR2(9736, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(8152)%branchR2(0:0))
      call avR2(8152, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(1224)%branchR2(0:0))
      call avR2(1224, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(8813)%branchR2(0:1))
      call avR2(8813, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2567, nGC_2565/))

      call avR2(8813, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2568, nGC_2566/))

      allocate(vertices(3904)%branchR2(0:1))
      call avR2(3904, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_2730, nGC_2731/))

      call avR2(3904, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(10692)%branchR2(0:0))
      call avR2(10692, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2779/))

      allocate(vertices(10693)%branchR2(0:0))
      call avR2(10693, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2779/))

      allocate(vertices(9091)%branchR2(0:0))
      call avR2(9091, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(10694)%branchR2(0:0))
      call avR2(10694, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(3749)%branchR2(0:0))
      call avR2(3749, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(10695)%branchR2(0:1))
      call avR2(10695, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2850/))

      call avR2(10695, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(3203)%branchR2(0:0))
      call avR2(3203, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2727/))

      allocate(vertices(10696)%branchR2(0:5))
      call avR2(10696, 0, 160, 1, 0, VVVV1, (/3, 1/), (/nGC_2939, nGC_2939,    &
      nGC_2939/))

      call avR2(10696, 1, 163, 1, 0, VVVV1, (/3, 1/), (/nGC_2940, nGC_2940,    &
      nGC_2940/))

      call avR2(10696, 2, 162, 1, 0, VVVV1, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      call avR2(10696, 3, 164, 1, 0, VVVV1, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      call avR2(10696, 4, 161, 1, 0, VVVV1, (/3, 1/), (/nGC_2939, nGC_2939,    &
      nGC_2939/))

      call avR2(10696, 5, 159, 1, 0, VVVV1, (/3, 1/), (/nGC_2939, nGC_2939,    &
      nGC_2939/))

      allocate(vertices(8539)%branchR2(0:0))
      call avR2(8539, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(418)%branchR2(0:0))
      call avR2(418, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(6601)%branchR2(0:0))
      call avR2(6601, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(6853)%branchR2(0:1))
      call avR2(6853, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2707/))

      call avR2(6853, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(7154)%branchR2(0:0))
      call avR2(7154, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(8672)%branchR2(0:1))
      call avR2(8672, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2604, nGC_2603/))

      call avR2(8672, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2589, nGC_2587/))

      allocate(vertices(6029)%branchR2(0:0))
      call avR2(6029, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2519/))

      allocate(vertices(1990)%branchR2(0:1))
      call avR2(1990, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2551, nGC_2549/))

      call avR2(1990, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2552, nGC_2550/))

      allocate(vertices(9647)%branchR2(0:0))
      call avR2(9647, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(314)%branchR2(0:0))
      call avR2(314, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(3163)%branchR2(0:0))
      call avR2(3163, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(6742)%branchR2(0:0))
      call avR2(6742, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(5760)%branchR2(0:0))
      call avR2(5760, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2684, nGC_2685/))

      allocate(vertices(10371)%branchR2(0:0))
      call avR2(10371, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(9695)%branchR2(0:0))
      call avR2(9695, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(4947)%branchR2(0:0))
      call avR2(4947, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(4231)%branchR2(0:1))
      call avR2(4231, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2604, nGC_2603/))

      call avR2(4231, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2589, nGC_2587/))

      allocate(vertices(8450)%branchR2(0:0))
      call avR2(8450, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(3453)%branchR2(0:0))
      call avR2(3453, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(2706)%branchR2(0:0))
      call avR2(2706, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(4779)%branchR2(0:0))
      call avR2(4779, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4036/))

      allocate(vertices(7323)%branchR2(0:0))
      call avR2(7323, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(9244)%branchR2(0:0))
      call avR2(9244, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(190)%branchR2(0:0))
      call avR2(190, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(6888)%branchR2(0:0))
      call avR2(6888, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4048/))

      allocate(vertices(4797)%branchR2(0:3))
      call avR2(4797, 0, 30, 1, 0, VFaF0, (/1, 2/), (/nGC_2764, nGC_2765/))

      call avR2(4797, 1, 30, 1, 0, VFaF0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(4797, 2, 31, 1, 0, VFaF0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(4797, 3, 31, 1, 0, VFaF0, (/1, 2/), (/nGC_2762, nGC_2763/))

      allocate(vertices(2440)%branchR2(0:1))
      call avR2(2440, 0, 3, 1, 0, VVV1, (/3, 0/), (/nGC_4061/))

      call avR2(2440, 1, 2, 1, 0, VVV1, (/3, 0/), (/nGC_4062/))

      allocate(vertices(4970)%branchR2(0:0))
      call avR2(4970, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(10142)%branchR2(0:0))
      call avR2(10142, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(1687)%branchR2(0:0))
      call avR2(1687, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(6661)%branchR2(0:1))
      call avR2(6661, 0, 19, 1, 0, FaVF1, (/0, 3/), (/nGC_2707/))

      call avR2(6661, 1, 19, 1, 0, FaVF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(4505)%branchR2(0:0))
      call avR2(4505, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(2900)%branchR2(0:0))
      call avR2(2900, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(7954)%branchR2(0:0))
      call avR2(7954, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(984)%branchR2(0:1))
      call avR2(984, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2691, nGC_2690/))

      call avR2(984, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2692, nGC_2692/))

      allocate(vertices(3423)%branchR2(0:0))
      call avR2(3423, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2684, nGC_2685/))

      allocate(vertices(8092)%branchR2(0:0))
      call avR2(8092, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2709/))

      allocate(vertices(4080)%branchR2(0:0))
      call avR2(4080, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(7658)%branchR2(0:1))
      call avR2(7658, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_2728, nGC_2729/))

      call avR2(7658, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(6548)%branchR2(0:1))
      call avR2(6548, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2629, nGC_2627/))

      call avR2(6548, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2630, nGC_2628/))

      allocate(vertices(376)%branchR2(0:0))
      call avR2(376, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(10697)%branchR2(0:0))
      call avR2(10697, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2779/))

      allocate(vertices(7907)%branchR2(0:0))
      call avR2(7907, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(10698)%branchR2(0:1))
      call avR2(10698, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2934/))

      call avR2(10698, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2933/))

      allocate(vertices(2123)%branchR2(0:1))
      call avR2(2123, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_2734, nGC_2735/))

      call avR2(2123, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(3253)%branchR2(0:0))
      call avR2(3253, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2926, nGC_2925,       &
      nGC_2926/))

      allocate(vertices(9564)%branchR2(0:0))
      call avR2(9564, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2526/))

      allocate(vertices(7242)%branchR2(0:0))
      call avR2(7242, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(7319)%branchR2(0:0))
      call avR2(7319, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2497/))

      allocate(vertices(9569)%branchR2(0:0))
      call avR2(9569, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(491)%branchR2(0:0))
      call avR2(491, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(10323)%branchR2(0:0))
      call avR2(10323, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(8513)%branchR2(0:0))
      call avR2(8513, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_4038/))

      allocate(vertices(4119)%branchR2(0:0))
      call avR2(4119, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(1393)%branchR2(0:1))
      call avR2(1393, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_2477, nGC_2478/))

      call avR2(1393, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(3450)%branchR2(0:0))
      call avR2(3450, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2655, nGC_2656/))

      allocate(vertices(10138)%branchR2(0:0))
      call avR2(10138, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(3590)%branchR2(0:0))
      call avR2(3590, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(4463)%branchR2(0:0))
      call avR2(4463, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(851)%branchR2(0:0))
      call avR2(851, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2528/))

      allocate(vertices(6535)%branchR2(0:0))
      call avR2(6535, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(207)%branchR2(0:1))
      call avR2(207, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2534, nGC_2535/))

      call avR2(207, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2516, nGC_2518/))

      allocate(vertices(2190)%branchR2(0:0))
      call avR2(2190, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(5907)%branchR2(0:0))
      call avR2(5907, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2667, nGC_2668/))

      allocate(vertices(9199)%branchR2(0:0))
      call avR2(9199, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2405, nGC_2404/))

      allocate(vertices(2418)%branchR2(0:0))
      call avR2(2418, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(9524)%branchR2(0:0))
      call avR2(9524, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2468/))

      allocate(vertices(1323)%branchR2(0:0))
      call avR2(1323, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(4462)%branchR2(0:1))
      call avR2(4462, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_2474, nGC_2475/))

      call avR2(4462, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(56)%branchR2(0:0))
      call avR2(56, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(10699)%branchR2(0:1))
      call avR2(10699, 0, 144, 1, 0, VVVV1, (/2, 2/), (/nGC_2936, nGC_2936,    &
      nGC_2936/))

      call avR2(10699, 1, 143, 1, 0, VVVV1, (/2, 2/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      allocate(vertices(4506)%branchR2(0:0))
      call avR2(4506, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(3726)%branchR2(0:0))
      call avR2(3726, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(10700)%branchR2(0:1))
      call avR2(10700, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2901/))

      call avR2(10700, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(517)%branchR2(0:0))
      call avR2(517, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2917/))

      allocate(vertices(3289)%branchR2(0:0))
      call avR2(3289, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2496/))

      allocate(vertices(7727)%branchR2(0:0))
      call avR2(7727, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2686, nGC_2687/))

      allocate(vertices(10159)%branchR2(0:0))
      call avR2(10159, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(507)%branchR2(0:0))
      call avR2(507, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(9797)%branchR2(0:0))
      call avR2(9797, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(6769)%branchR2(0:1))
      call avR2(6769, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2517, nGC_2515/))

      call avR2(6769, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2518, nGC_2516/))

      allocate(vertices(8694)%branchR2(0:0))
      call avR2(8694, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(2639)%branchR2(0:0))
      call avR2(2639, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(10701)%branchR2(0:5))
      call avR2(10701, 0, 149, 1, 0, VVVV1, (/3, 1/), (/nGC_2939, nGC_2939,    &
      nGC_2939/))

      call avR2(10701, 1, 148, 1, 0, VVVV1, (/3, 1/), (/nGC_2939, nGC_2939,    &
      nGC_2939/))

      call avR2(10701, 2, 151, 1, 0, VVVV1, (/3, 1/), (/nGC_2939, nGC_2939,    &
      nGC_2939/))

      call avR2(10701, 3, 152, 1, 0, VVVV1, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      call avR2(10701, 4, 150, 1, 0, VVVV1, (/3, 1/), (/nGC_2940, nGC_2940,    &
      nGC_2940/))

      call avR2(10701, 5, 147, 1, 0, VVVV1, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      allocate(vertices(8366)%branchR2(0:0))
      call avR2(8366, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(10702)%branchR2(0:0))
      call avR2(10702, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(7309)%branchR2(0:0))
      call avR2(7309, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2771, nGC_2772,       &
      nGC_2773/))

      allocate(vertices(5671)%branchR2(0:0))
      call avR2(5671, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(9469)%branchR2(0:0))
      call avR2(9469, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(778)%branchR2(0:0))
      call avR2(778, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(7624)%branchR2(0:0))
      call avR2(7624, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2578/))

      allocate(vertices(3689)%branchR2(0:0))
      call avR2(3689, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(10309)%branchR2(0:0))
      call avR2(10309, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(7335)%branchR2(0:0))
      call avR2(7335, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(10703)%branchR2(0:1))
      call avR2(10703, 0, 136, 1, 0, VVVV1, (/2, 2/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      call avR2(10703, 1, 135, 1, 0, VVVV1, (/2, 2/), (/nGC_2936, nGC_2936,    &
      nGC_2936/))

      allocate(vertices(7512)%branchR2(0:0))
      call avR2(7512, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(8760)%branchR2(0:0))
      call avR2(8760, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(10704)%branchR2(0:1))
      call avR2(10704, 0, 144, 1, 0, VVVV1, (/2, 2/), (/nGC_2840, nGC_2840,    &
      nGC_2840/))

      call avR2(10704, 1, 143, 1, 0, VVVV1, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      allocate(vertices(848)%branchR2(0:0))
      call avR2(848, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2462/))

      allocate(vertices(2056)%branchR2(0:0))
      call avR2(2056, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(3269)%branchR2(0:0))
      call avR2(3269, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(10001)%branchR2(0:0))
      call avR2(10001, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(10705)%branchR2(0:0))
      call avR2(10705, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(2848)%branchR2(0:1))
      call avR2(2848, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2647, nGC_2646/))

      call avR2(2848, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2648, nGC_2648/))

      allocate(vertices(10277)%branchR2(0:0))
      call avR2(10277, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(10706)%branchR2(0:0))
      call avR2(10706, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(5740)%branchR2(0:0))
      call avR2(5740, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(8472)%branchR2(0:0))
      call avR2(8472, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(8799)%branchR2(0:0))
      call avR2(8799, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(9354)%branchR2(0:0))
      call avR2(9354, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(8502)%branchR2(0:0))
      call avR2(8502, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(10707)%branchR2(0:1))
      call avR2(10707, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2901/))

      call avR2(10707, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(5101)%branchR2(0:0))
      call avR2(5101, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(1595)%branchR2(0:0))
      call avR2(1595, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(9168)%branchR2(0:0))
      call avR2(9168, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(4771)%branchR2(0:0))
      call avR2(4771, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2470/))

      allocate(vertices(2703)%branchR2(0:0))
      call avR2(2703, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(3476)%branchR2(0:1))
      call avR2(3476, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(3476, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(9171)%branchR2(0:0))
      call avR2(9171, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(9444)%branchR2(0:0))
      call avR2(9444, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(10708)%branchR2(0:0))
      call avR2(10708, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2774/))

      allocate(vertices(6426)%branchR2(0:3))
      call avR2(6426, 0, 27, 1, 0, FaFV1, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(6426, 1, 27, 1, 0, FaFV1, (/1, 2/), (/nGC_2756, nGC_2757/))

      call avR2(6426, 2, 26, 1, 0, FaFV1, (/1, 2/), (/nGC_2758, nGC_2759/))

      call avR2(6426, 3, 26, 1, 0, FaFV1, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(6578)%branchR2(0:0))
      call avR2(6578, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(7075)%branchR2(0:0))
      call avR2(7075, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(5055)%branchR2(0:1))
      call avR2(5055, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2547, nGC_2545/))

      call avR2(5055, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2548, nGC_2546/))

      allocate(vertices(8843)%branchR2(0:0))
      call avR2(8843, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(6060)%branchR2(0:0))
      call avR2(6060, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2524/))

      allocate(vertices(5205)%branchR2(0:0))
      call avR2(5205, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(2120)%branchR2(0:0))
      call avR2(2120, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(9349)%branchR2(0:0))
      call avR2(9349, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(1888)%branchR2(0:0))
      call avR2(1888, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(783)%branchR2(0:0))
      call avR2(783, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(8016)%branchR2(0:0))
      call avR2(8016, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2519/))

      allocate(vertices(2802)%branchR2(0:0))
      call avR2(2802, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(10709)%branchR2(0:0))
      call avR2(10709, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(4933)%branchR2(0:1))
      call avR2(4933, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_2711, nGC_2713/))

      call avR2(4933, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(79)%branchR2(0:0))
      call avR2(79, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(8742)%branchR2(0:0))
      call avR2(8742, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(4545)%branchR2(0:0))
      call avR2(4545, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4059/))

      allocate(vertices(10198)%branchR2(0:0))
      call avR2(10198, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(10710)%branchR2(0:0))
      call avR2(10710, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(1579)%branchR2(0:0))
      call avR2(1579, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(7052)%branchR2(0:0))
      call avR2(7052, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2804, nGC_2805,       &
      nGC_2803/))

      allocate(vertices(9835)%branchR2(0:0))
      call avR2(9835, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(9941)%branchR2(0:0))
      call avR2(9941, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2468/))

      allocate(vertices(746)%branchR2(0:1))
      call avR2(746, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2682, nGC_2681/))

      call avR2(746, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2683, nGC_2683/))

      allocate(vertices(10711)%branchR2(0:0))
      call avR2(10711, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2779/))

      allocate(vertices(1350)%branchR2(0:0))
      call avR2(1350, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(6970)%branchR2(0:1))
      call avR2(6970, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2719, nGC_2720/))

      call avR2(6970, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(5255)%branchR2(0:0))
      call avR2(5255, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(5384)%branchR2(0:0))
      call avR2(5384, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2772, nGC_2773,       &
      nGC_2771/))

      allocate(vertices(4386)%branchR2(0:1))
      call avR2(4386, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_2471, nGC_2472/))

      call avR2(4386, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(4390)%branchR2(0:0))
      call avR2(4390, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(5612)%branchR2(0:0))
      call avR2(5612, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2557, nGC_2558/))

      allocate(vertices(6693)%branchR2(0:0))
      call avR2(6693, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(5070)%branchR2(0:0))
      call avR2(5070, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(9638)%branchR2(0:0))
      call avR2(9638, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2458/))

      allocate(vertices(8638)%branchR2(0:0))
      call avR2(8638, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(604)%branchR2(0:0))
      call avR2(604, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2594/))

      allocate(vertices(1572)%branchR2(0:0))
      call avR2(1572, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(7082)%branchR2(0:0))
      call avR2(7082, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2644/))

      allocate(vertices(10712)%branchR2(0:1))
      call avR2(10712, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2898/))

      call avR2(10712, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2897/))

      allocate(vertices(10133)%branchR2(0:0))
      call avR2(10133, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(1588)%branchR2(0:0))
      call avR2(1588, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(8110)%branchR2(0:0))
      call avR2(8110, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(9397)%branchR2(0:0))
      call avR2(9397, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(6191)%branchR2(0:0))
      call avR2(6191, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(6988)%branchR2(0:0))
      call avR2(6988, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2772, nGC_2773,       &
      nGC_2771/))

      allocate(vertices(8639)%branchR2(0:0))
      call avR2(8639, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(10713)%branchR2(0:1))
      call avR2(10713, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2850/))

      call avR2(10713, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(9302)%branchR2(0:0))
      call avR2(9302, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(3379)%branchR2(0:0))
      call avR2(3379, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(10714)%branchR2(0:0))
      call avR2(10714, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(3138)%branchR2(0:0))
      call avR2(3138, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(672)%branchR2(0:0))
      call avR2(672, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(2797)%branchR2(0:0))
      call avR2(2797, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2541/))

      allocate(vertices(1752)%branchR2(0:0))
      call avR2(1752, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(7693)%branchR2(0:1))
      call avR2(7693, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2555, nGC_2553/))

      call avR2(7693, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2556, nGC_2554/))

      allocate(vertices(1693)%branchR2(0:0))
      call avR2(1693, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2805, nGC_2803,       &
      nGC_2804/))

      allocate(vertices(3965)%branchR2(0:0))
      call avR2(3965, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(9081)%branchR2(0:0))
      call avR2(9081, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(4609)%branchR2(0:0))
      call avR2(4609, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(5562)%branchR2(0:0))
      call avR2(5562, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(633)%branchR2(0:0))
      call avR2(633, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(4403)%branchR2(0:0))
      call avR2(4403, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(6885)%branchR2(0:0))
      call avR2(6885, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2623, nGC_2624/))

      allocate(vertices(5461)%branchR2(0:0))
      call avR2(5461, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(528)%branchR2(0:0))
      call avR2(528, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2917/))

      allocate(vertices(9767)%branchR2(0:0))
      call avR2(9767, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2469/))

      allocate(vertices(9090)%branchR2(0:0))
      call avR2(9090, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(8819)%branchR2(0:1))
      call avR2(8819, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_2474, nGC_2475/))

      call avR2(8819, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(1006)%branchR2(0:0))
      call avR2(1006, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(9316)%branchR2(0:0))
      call avR2(9316, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(2182)%branchR2(0:0))
      call avR2(2182, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(1868)%branchR2(0:0))
      call avR2(1868, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(10270)%branchR2(0:0))
      call avR2(10270, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(4256)%branchR2(0:0))
      call avR2(4256, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(5109)%branchR2(0:0))
      call avR2(5109, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2524/))

      allocate(vertices(9216)%branchR2(0:0))
      call avR2(9216, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(2927)%branchR2(0:0))
      call avR2(2927, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4055/))

      allocate(vertices(4988)%branchR2(0:0))
      call avR2(4988, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(8327)%branchR2(0:0))
      call avR2(8327, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(2478)%branchR2(0:0))
      call avR2(2478, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2494/))

      allocate(vertices(10715)%branchR2(0:0))
      call avR2(10715, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2777, nGC_2777,      &
      nGC_2777/))

      allocate(vertices(2874)%branchR2(0:1))
      call avR2(2874, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2533, nGC_2532/))

      call avR2(2874, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2514, nGC_2512/))

      allocate(vertices(606)%branchR2(0:0))
      call avR2(606, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(6545)%branchR2(0:0))
      call avR2(6545, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(9188)%branchR2(0:0))
      call avR2(9188, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2485/))

      allocate(vertices(8021)%branchR2(0:0))
      call avR2(8021, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(5555)%branchR2(0:0))
      call avR2(5555, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2482, nGC_2481/))

      allocate(vertices(8476)%branchR2(0:0))
      call avR2(8476, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(4827)%branchR2(0:0))
      call avR2(4827, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(10716)%branchR2(0:1))
      call avR2(10716, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2931/))

      call avR2(10716, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2932/))

      allocate(vertices(4923)%branchR2(0:0))
      call avR2(4923, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(10717)%branchR2(0:1))
      call avR2(10717, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2898/))

      call avR2(10717, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2897/))

      allocate(vertices(10718)%branchR2(0:0))
      call avR2(10718, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2464/))

      allocate(vertices(5681)%branchR2(0:0))
      call avR2(5681, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(7958)%branchR2(0:0))
      call avR2(7958, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(9573)%branchR2(0:0))
      call avR2(9573, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(10719)%branchR2(0:0))
      call avR2(10719, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(7295)%branchR2(0:0))
      call avR2(7295, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(3060)%branchR2(0:0))
      call avR2(3060, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2494/))

      allocate(vertices(4197)%branchR2(0:0))
      call avR2(4197, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2542/))

      allocate(vertices(4675)%branchR2(0:0))
      call avR2(4675, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(1555)%branchR2(0:0))
      call avR2(1555, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2725/))

      allocate(vertices(6998)%branchR2(0:0))
      call avR2(6998, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(561)%branchR2(0:0))
      call avR2(561, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(5519)%branchR2(0:0))
      call avR2(5519, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(2925)%branchR2(0:0))
      call avR2(2925, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(8458)%branchR2(0:0))
      call avR2(8458, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(2311)%branchR2(0:0))
      call avR2(2311, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(524)%branchR2(0:0))
      call avR2(524, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(5448)%branchR2(0:0))
      call avR2(5448, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(1889)%branchR2(0:0))
      call avR2(1889, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2543/))

      allocate(vertices(8534)%branchR2(0:1))
      call avR2(8534, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2517, nGC_2515/))

      call avR2(8534, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2518, nGC_2516/))

      allocate(vertices(3117)%branchR2(0:0))
      call avR2(3117, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2804, nGC_2805,       &
      nGC_2803/))

      allocate(vertices(6909)%branchR2(0:0))
      call avR2(6909, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(4380)%branchR2(0:1))
      call avR2(4380, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2702/))

      call avR2(4380, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(5425)%branchR2(0:0))
      call avR2(5425, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(2525)%branchR2(0:0))
      call avR2(2525, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(3693)%branchR2(0:0))
      call avR2(3693, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(3328)%branchR2(0:0))
      call avR2(3328, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2594/))

      allocate(vertices(10038)%branchR2(0:0))
      call avR2(10038, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(9784)%branchR2(0:0))
      call avR2(9784, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(3578)%branchR2(0:0))
      call avR2(3578, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(8000)%branchR2(0:0))
      call avR2(8000, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(10720)%branchR2(0:0))
      call avR2(10720, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(6273)%branchR2(0:0))
      call avR2(6273, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(8435)%branchR2(0:3))
      call avR2(8435, 0, 29, 1, 0, VFFa0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(8435, 1, 29, 1, 0, VFFa0, (/1, 2/), (/nGC_2756, nGC_2757/))

      call avR2(8435, 2, 28, 1, 0, VFFa0, (/1, 2/), (/nGC_2758, nGC_2759/))

      call avR2(8435, 3, 28, 1, 0, VFFa0, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(5465)%branchR2(0:0))
      call avR2(5465, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(7660)%branchR2(0:0))
      call avR2(7660, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(3026)%branchR2(0:0))
      call avR2(3026, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(71)%branchR2(0:0))
      call avR2(71, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(6005)%branchR2(0:0))
      call avR2(6005, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2923, nGC_2923,       &
      nGC_2922/))

      allocate(vertices(9854)%branchR2(0:0))
      call avR2(9854, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(2286)%branchR2(0:0))
      call avR2(2286, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(1076)%branchR2(0:0))
      call avR2(1076, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(4135)%branchR2(0:0))
      call avR2(4135, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2579/))

      allocate(vertices(4010)%branchR2(0:0))
      call avR2(4010, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(6229)%branchR2(0:0))
      call avR2(6229, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2922, nGC_2923,       &
      nGC_2923/))

      allocate(vertices(5110)%branchR2(0:0))
      call avR2(5110, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(3173)%branchR2(0:1))
      call avR2(3173, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2563, nGC_2561/))

      call avR2(3173, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2564, nGC_2562/))

      allocate(vertices(2118)%branchR2(0:0))
      call avR2(2118, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4037/))

      allocate(vertices(8004)%branchR2(0:0))
      call avR2(8004, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(19)%branchR2(0:1))
      call avR2(19, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2601, nGC_2602/))

      call avR2(19, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2583, nGC_2585/))

      allocate(vertices(6683)%branchR2(0:0))
      call avR2(6683, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(3658)%branchR2(0:0))
      call avR2(3658, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2557, nGC_2558/))

      allocate(vertices(1731)%branchR2(0:0))
      call avR2(1731, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(10721)%branchR2(0:0))
      call avR2(10721, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(8899)%branchR2(0:0))
      call avR2(8899, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(3083)%branchR2(0:0))
      call avR2(3083, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(2534)%branchR2(0:0))
      call avR2(2534, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(5304)%branchR2(0:0))
      call avR2(5304, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4052/))

      allocate(vertices(10722)%branchR2(0:1))
      call avR2(10722, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2932/))

      call avR2(10722, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2931/))

      allocate(vertices(5062)%branchR2(0:0))
      call avR2(5062, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(729)%branchR2(0:1))
      call avR2(729, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2586, nGC_2588/))

      call avR2(729, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2587, nGC_2589/))

      allocate(vertices(10723)%branchR2(0:1))
      call avR2(10723, 0, 141, 1, 0, VVVV1, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      call avR2(10723, 1, 142, 1, 0, VVVV1, (/2, 2/), (/nGC_2840, nGC_2840,    &
      nGC_2840/))

      allocate(vertices(2241)%branchR2(0:0))
      call avR2(2241, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(8823)%branchR2(0:0))
      call avR2(8823, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(5112)%branchR2(0:0))
      call avR2(5112, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(5257)%branchR2(0:0))
      call avR2(5257, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2684, nGC_2685/))

      allocate(vertices(802)%branchR2(0:0))
      call avR2(802, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(7379)%branchR2(0:0))
      call avR2(7379, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(10379)%branchR2(0:0))
      call avR2(10379, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2405, nGC_2404/))

      allocate(vertices(5731)%branchR2(0:0))
      call avR2(5731, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(2932)%branchR2(0:0))
      call avR2(2932, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2470/))

      allocate(vertices(5438)%branchR2(0:0))
      call avR2(5438, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(6415)%branchR2(0:0))
      call avR2(6415, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(2204)%branchR2(0:0))
      call avR2(2204, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(5162)%branchR2(0:1))
      call avR2(5162, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2633, nGC_2631/))

      call avR2(5162, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2634, nGC_2632/))

      allocate(vertices(9589)%branchR2(0:0))
      call avR2(9589, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(10724)%branchR2(0:1))
      call avR2(10724, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2898/))

      call avR2(10724, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2897/))

      allocate(vertices(4000)%branchR2(0:0))
      call avR2(4000, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(9362)%branchR2(0:0))
      call avR2(9362, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4054/))

      allocate(vertices(7912)%branchR2(0:1))
      call avR2(7912, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2676, nGC_2675/))

      call avR2(7912, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2677, nGC_2677/))

      allocate(vertices(9681)%branchR2(0:0))
      call avR2(9681, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(5226)%branchR2(0:0))
      call avR2(5226, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10725)%branchR2(0:0))
      call avR2(10725, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(10726)%branchR2(0:0))
      call avR2(10726, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(7768)%branchR2(0:0))
      call avR2(7768, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(2317)%branchR2(0:0))
      call avR2(2317, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(7726)%branchR2(0:0))
      call avR2(7726, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(6664)%branchR2(0:0))
      call avR2(6664, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(8797)%branchR2(0:0))
      call avR2(8797, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2655, nGC_2656/))

      allocate(vertices(7120)%branchR2(0:0))
      call avR2(7120, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(6462)%branchR2(0:1))
      call avR2(6462, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2563, nGC_2561/))

      call avR2(6462, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2564, nGC_2562/))

      allocate(vertices(8065)%branchR2(0:0))
      call avR2(8065, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2491, nGC_2490/))

      allocate(vertices(7442)%branchR2(0:0))
      call avR2(7442, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2576/))

      allocate(vertices(10727)%branchR2(0:0))
      call avR2(10727, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2935, nGC_2935,      &
      nGC_2935/))

      allocate(vertices(779)%branchR2(0:0))
      call avR2(779, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2529/))

      allocate(vertices(7750)%branchR2(0:0))
      call avR2(7750, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(7357)%branchR2(0:0))
      call avR2(7357, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(7289)%branchR2(0:0))
      call avR2(7289, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(3699)%branchR2(0:0))
      call avR2(3699, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2496/))

      allocate(vertices(4147)%branchR2(0:0))
      call avR2(4147, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(5174)%branchR2(0:0))
      call avR2(5174, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(3629)%branchR2(0:0))
      call avR2(3629, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(1847)%branchR2(0:0))
      call avR2(1847, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2725/))

      allocate(vertices(7250)%branchR2(0:0))
      call avR2(7250, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(258)%branchR2(0:0))
      call avR2(258, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(7520)%branchR2(0:0))
      call avR2(7520, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(2142)%branchR2(0:1))
      call avR2(2142, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_2702/))

      call avR2(2142, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(5467)%branchR2(0:1))
      call avR2(5467, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2612, nGC_2610/))

      call avR2(5467, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2613, nGC_2611/))

      allocate(vertices(3334)%branchR2(0:0))
      call avR2(3334, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(840)%branchR2(0:0))
      call avR2(840, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(4818)%branchR2(0:0))
      call avR2(4818, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(6294)%branchR2(0:0))
      call avR2(6294, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(10728)%branchR2(0:1))
      call avR2(10728, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2898/))

      call avR2(10728, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2897/))

      allocate(vertices(3998)%branchR2(0:0))
      call avR2(3998, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(8006)%branchR2(0:0))
      call avR2(8006, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2672/))

      allocate(vertices(9838)%branchR2(0:0))
      call avR2(9838, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(5013)%branchR2(0:0))
      call avR2(5013, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2667, nGC_2668/))

      allocate(vertices(3778)%branchR2(0:0))
      call avR2(3778, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(2569)%branchR2(0:0))
      call avR2(2569, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(9464)%branchR2(0:0))
      call avR2(9464, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(3769)%branchR2(0:0))
      call avR2(3769, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(10131)%branchR2(0:0))
      call avR2(10131, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(6663)%branchR2(0:0))
      call avR2(6663, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2818/))

      allocate(vertices(1939)%branchR2(0:0))
      call avR2(1939, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2505/))

      allocate(vertices(10431)%branchR2(0:0))
      call avR2(10431, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(6643)%branchR2(0:0))
      call avR2(6643, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(9888)%branchR2(0:0))
      call avR2(9888, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(8479)%branchR2(0:0))
      call avR2(8479, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(3835)%branchR2(0:1))
      call avR2(3835, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_2707/))

      call avR2(3835, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(6447)%branchR2(0:0))
      call avR2(6447, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2580/))

      allocate(vertices(3195)%branchR2(0:1))
      call avR2(3195, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2715, nGC_2717/))

      call avR2(3195, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(90)%branchR2(0:0))
      call avR2(90, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(1570)%branchR2(0:3))
      call avR2(1570, 0, 24, 1, 0, FaVF0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(1570, 1, 24, 1, 0, FaVF0, (/1, 2/), (/nGC_2748, nGC_2749/))

      call avR2(1570, 2, 25, 1, 0, FaVF0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(1570, 3, 25, 1, 0, FaVF0, (/1, 2/), (/nGC_2746, nGC_2747/))

      allocate(vertices(3572)%branchR2(0:0))
      call avR2(3572, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(10729)%branchR2(0:1))
      call avR2(10729, 0, 137, 1, 0, VVVV1, (/2, 2/), (/nGC_2811, nGC_2811,    &
      nGC_2811/))

      call avR2(10729, 1, 138, 1, 0, VVVV1, (/2, 2/), (/nGC_2810, nGC_2810,    &
      nGC_2810/))

      allocate(vertices(10082)%branchR2(0:0))
      call avR2(10082, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4056/))

      allocate(vertices(7688)%branchR2(0:1))
      call avR2(7688, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2676, nGC_2675/))

      call avR2(7688, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2677, nGC_2677/))

      allocate(vertices(2929)%branchR2(0:0))
      call avR2(2929, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(5474)%branchR2(0:0))
      call avR2(5474, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2463/))

      allocate(vertices(8671)%branchR2(0:0))
      call avR2(8671, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(10730)%branchR2(0:0))
      call avR2(10730, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(6027)%branchR2(0:0))
      call avR2(6027, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(8975)%branchR2(0:0))
      call avR2(8975, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2525/))

      allocate(vertices(4866)%branchR2(0:0))
      call avR2(4866, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(7103)%branchR2(0:0))
      call avR2(7103, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(2792)%branchR2(0:1))
      call avR2(2792, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2617, nGC_2615/))

      call avR2(2792, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2618, nGC_2616/))

      allocate(vertices(6614)%branchR2(0:0))
      call avR2(6614, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(7051)%branchR2(0:0))
      call avR2(7051, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2773, nGC_2771,       &
      nGC_2772/))

      allocate(vertices(1589)%branchR2(0:0))
      call avR2(1589, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(10268)%branchR2(0:0))
      call avR2(10268, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(1957)%branchR2(0:0))
      call avR2(1957, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(10325)%branchR2(0:0))
      call avR2(10325, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2485/))

      allocate(vertices(3186)%branchR2(0:1))
      call avR2(3186, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2555, nGC_2553/))

      call avR2(3186, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2556, nGC_2554/))

      allocate(vertices(3360)%branchR2(0:0))
      call avR2(3360, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(2403)%branchR2(0:0))
      call avR2(2403, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2657, nGC_2658/))

      allocate(vertices(8037)%branchR2(0:0))
      call avR2(8037, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2876/))

      allocate(vertices(7421)%branchR2(0:0))
      call avR2(7421, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2482, nGC_2481/))

      allocate(vertices(3612)%branchR2(0:0))
      call avR2(3612, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(10731)%branchR2(0:1))
      call avR2(10731, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2934/))

      call avR2(10731, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2933/))

      allocate(vertices(5543)%branchR2(0:0))
      call avR2(5543, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(4095)%branchR2(0:0))
      call avR2(4095, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(7691)%branchR2(0:0))
      call avR2(7691, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(9343)%branchR2(0:0))
      call avR2(9343, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(9908)%branchR2(0:0))
      call avR2(9908, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2539/))

      allocate(vertices(10732)%branchR2(0:0))
      call avR2(10732, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(5400)%branchR2(0:0))
      call avR2(5400, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(10484)%branchR2(0:0))
      call avR2(10484, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(8444)%branchR2(0:0))
      call avR2(8444, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(9880)%branchR2(0:0))
      call avR2(9880, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(2297)%branchR2(0:0))
      call avR2(2297, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2595/))

      allocate(vertices(8991)%branchR2(0:0))
      call avR2(8991, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(1882)%branchR2(0:0))
      call avR2(1882, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(9554)%branchR2(0:0))
      call avR2(9554, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4039/))

      allocate(vertices(5000)%branchR2(0:0))
      call avR2(5000, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(1471)%branchR2(0:0))
      call avR2(1471, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(6870)%branchR2(0:0))
      call avR2(6870, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(2587)%branchR2(0:0))
      call avR2(2587, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2609/))

      allocate(vertices(2951)%branchR2(0:0))
      call avR2(2951, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2608/))

      allocate(vertices(3177)%branchR2(0:0))
      call avR2(3177, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(10020)%branchR2(0:0))
      call avR2(10020, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(8040)%branchR2(0:0))
      call avR2(8040, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2594/))

      allocate(vertices(7445)%branchR2(0:1))
      call avR2(7445, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_2704/))

      call avR2(7445, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(2234)%branchR2(0:0))
      call avR2(2234, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(4366)%branchR2(0:0))
      call avR2(4366, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(1300)%branchR2(0:0))
      call avR2(1300, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(6586)%branchR2(0:0))
      call avR2(6586, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2643/))

      allocate(vertices(5752)%branchR2(0:0))
      call avR2(5752, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(1437)%branchR2(0:1))
      call avR2(1437, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2555, nGC_2553/))

      call avR2(1437, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2556, nGC_2554/))

      allocate(vertices(10184)%branchR2(0:0))
      call avR2(10184, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4034/))

      allocate(vertices(5889)%branchR2(0:0))
      call avR2(5889, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(10076)%branchR2(0:0))
      call avR2(10076, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(10417)%branchR2(0:0))
      call avR2(10417, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2483/))

      allocate(vertices(9409)%branchR2(0:0))
      call avR2(9409, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(8452)%branchR2(0:0))
      call avR2(8452, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2521/))

      allocate(vertices(5611)%branchR2(0:0))
      call avR2(5611, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(430)%branchR2(0:0))
      call avR2(430, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(9815)%branchR2(0:0))
      call avR2(9815, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(6346)%branchR2(0:0))
      call avR2(6346, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2557, nGC_2558/))

      allocate(vertices(1573)%branchR2(0:0))
      call avR2(1573, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(2202)%branchR2(0:0))
      call avR2(2202, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2818/))

      allocate(vertices(7240)%branchR2(0:0))
      call avR2(7240, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(1158)%branchR2(0:0))
      call avR2(1158, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2559, nGC_2560/))

      allocate(vertices(2121)%branchR2(0:0))
      call avR2(2121, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(1444)%branchR2(0:0))
      call avR2(1444, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(4968)%branchR2(0:0))
      call avR2(4968, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(6514)%branchR2(0:1))
      call avR2(6514, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2711, nGC_2713/))

      call avR2(6514, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(6837)%branchR2(0:0))
      call avR2(6837, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(6716)%branchR2(0:0))
      call avR2(6716, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(6349)%branchR2(0:0))
      call avR2(6349, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(6594)%branchR2(0:0))
      call avR2(6594, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(3391)%branchR2(0:0))
      call avR2(3391, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(3019)%branchR2(0:0))
      call avR2(3019, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(10733)%branchR2(0:1))
      call avR2(10733, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2932/))

      call avR2(10733, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2931/))

      allocate(vertices(1975)%branchR2(0:0))
      call avR2(1975, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(4504)%branchR2(0:0))
      call avR2(4504, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2875/))

      allocate(vertices(7095)%branchR2(0:1))
      call avR2(7095, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2601, nGC_2602/))

      call avR2(7095, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2583, nGC_2585/))

      allocate(vertices(6448)%branchR2(0:1))
      call avR2(6448, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2551, nGC_2549/))

      call avR2(6448, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2552, nGC_2550/))

      allocate(vertices(9257)%branchR2(0:0))
      call avR2(9257, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(4341)%branchR2(0:0))
      call avR2(4341, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(4654)%branchR2(0:0))
      call avR2(4654, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(4738)%branchR2(0:1))
      call avR2(4738, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_2728, nGC_2729/))

      call avR2(4738, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(2668)%branchR2(0:0))
      call avR2(2668, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(3639)%branchR2(0:0))
      call avR2(3639, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(4450)%branchR2(0:0))
      call avR2(4450, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(4005)%branchR2(0:0))
      call avR2(4005, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(10734)%branchR2(0:1))
      call avR2(10734, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2849/))

      call avR2(10734, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2850/))

      allocate(vertices(9693)%branchR2(0:0))
      call avR2(9693, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2468/))

      allocate(vertices(4618)%branchR2(0:0))
      call avR2(4618, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2818/))

      allocate(vertices(10735)%branchR2(0:1))
      call avR2(10735, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2932/))

      call avR2(10735, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2931/))

      allocate(vertices(1156)%branchR2(0:0))
      call avR2(1156, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(7166)%branchR2(0:1))
      call avR2(7166, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2617, nGC_2615/))

      call avR2(7166, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2618, nGC_2616/))

      allocate(vertices(3617)%branchR2(0:0))
      call avR2(3617, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2575/))

      allocate(vertices(4583)%branchR2(0:0))
      call avR2(4583, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(6217)%branchR2(0:0))
      call avR2(6217, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(3529)%branchR2(0:3))
      call avR2(3529, 0, 29, 1, 0, VFFa0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(3529, 1, 29, 1, 0, VFFa0, (/1, 2/), (/nGC_2742, nGC_2743/))

      call avR2(3529, 2, 28, 1, 0, VFFa0, (/1, 2/), (/nGC_2744, nGC_2745/))

      call avR2(3529, 3, 28, 1, 0, VFFa0, (/3, 0/), (/nGC_2740, nGC_2740/))

      allocate(vertices(2192)%branchR2(0:0))
      call avR2(2192, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(2001)%branchR2(0:0))
      call avR2(2001, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(10352)%branchR2(0:0))
      call avR2(10352, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(7127)%branchR2(0:1))
      call avR2(7127, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(7127, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(8769)%branchR2(0:0))
      call avR2(8769, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(10454)%branchR2(0:0))
      call avR2(10454, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(8579)%branchR2(0:0))
      call avR2(8579, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(3434)%branchR2(0:0))
      call avR2(3434, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2804, nGC_2803,       &
      nGC_2805/))

      allocate(vertices(7555)%branchR2(0:0))
      call avR2(7555, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(4780)%branchR2(0:0))
      call avR2(4780, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(1513)%branchR2(0:0))
      call avR2(1513, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_4038/))

      allocate(vertices(9680)%branchR2(0:0))
      call avR2(9680, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(4760)%branchR2(0:1))
      call avR2(4760, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2530, nGC_2531/))

      call avR2(4760, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2508, nGC_2510/))

      allocate(vertices(9218)%branchR2(0:0))
      call avR2(9218, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(2200)%branchR2(0:0))
      call avR2(2200, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2497/))

      allocate(vertices(10736)%branchR2(0:0))
      call avR2(10736, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(2744)%branchR2(0:1))
      call avR2(2744, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(2744, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(5222)%branchR2(0:0))
      call avR2(5222, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(6471)%branchR2(0:0))
      call avR2(6471, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2596/))

      allocate(vertices(4701)%branchR2(0:0))
      call avR2(4701, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4060/))

      allocate(vertices(8847)%branchR2(0:0))
      call avR2(8847, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(4416)%branchR2(0:1))
      call avR2(4416, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2665, nGC_2664/))

      call avR2(4416, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2666, nGC_2666/))

      allocate(vertices(10737)%branchR2(0:0))
      call avR2(10737, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2801/))

    end subroutine fill_vertices_mdl23
end module vertices_info23
