!******************************************************************************!
!                                                                              !
!    vertices_info24.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info24.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:39             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info24
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl24()
      allocate(vertices(7299)%branchR2(0:0))
      call avR2(7299, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(8483)%branchR2(0:0))
      call avR2(8483, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2467/))

      allocate(vertices(10738)%branchR2(0:0))
      call avR2(10738, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2779/))

      allocate(vertices(3069)%branchR2(0:0))
      call avR2(3069, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(1022)%branchR2(0:0))
      call avR2(1022, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(1890)%branchR2(0:1))
      call avR2(1890, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2530, nGC_2531/))

      call avR2(1890, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2508, nGC_2510/))

      allocate(vertices(7498)%branchR2(0:0))
      call avR2(7498, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(6354)%branchR2(0:0))
      call avR2(6354, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(1998)%branchR2(0:0))
      call avR2(1998, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2667, nGC_2668/))

      allocate(vertices(1599)%branchR2(0:0))
      call avR2(1599, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(7211)%branchR2(0:1))
      call avR2(7211, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2584, nGC_2582/))

      call avR2(7211, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2585, nGC_2583/))

      allocate(vertices(9073)%branchR2(0:0))
      call avR2(9073, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(2495)%branchR2(0:0))
      call avR2(2495, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2596/))

      allocate(vertices(4239)%branchR2(0:0))
      call avR2(4239, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(9194)%branchR2(0:0))
      call avR2(9194, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(2186)%branchR2(0:0))
      call avR2(2186, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(2678)%branchR2(0:1))
      call avR2(2678, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2586, nGC_2588/))

      call avR2(2678, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2587, nGC_2589/))

      allocate(vertices(5300)%branchR2(0:0))
      call avR2(5300, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(2280)%branchR2(0:0))
      call avR2(2280, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(4617)%branchR2(0:0))
      call avR2(4617, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(5676)%branchR2(0:0))
      call avR2(5676, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2595/))

      allocate(vertices(6245)%branchR2(0:0))
      call avR2(6245, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2559, nGC_2560/))

      allocate(vertices(3350)%branchR2(0:0))
      call avR2(3350, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(10739)%branchR2(0:1))
      call avR2(10739, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2901/))

      call avR2(10739, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(5905)%branchR2(0:1))
      call avR2(5905, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2586, nGC_2588/))

      call avR2(5905, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2587, nGC_2589/))

      allocate(vertices(2879)%branchR2(0:0))
      call avR2(2879, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(5)%branchR2(0:0))
      call avR2(5, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(1243)%branchR2(0:0))
      call avR2(1243, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(5487)%branchR2(0:0))
      call avR2(5487, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(9128)%branchR2(0:0))
      call avR2(9128, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(7721)%branchR2(0:0))
      call avR2(7721, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(559)%branchR2(0:0))
      call avR2(559, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(3039)%branchR2(0:0))
      call avR2(3039, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(2533)%branchR2(0:0))
      call avR2(2533, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(1976)%branchR2(0:0))
      call avR2(1976, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(9632)%branchR2(0:0))
      call avR2(9632, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2483/))

      allocate(vertices(575)%branchR2(0:0))
      call avR2(575, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(10740)%branchR2(0:0))
      call avR2(10740, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2464/))

      allocate(vertices(5088)%branchR2(0:0))
      call avR2(5088, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(4969)%branchR2(0:0))
      call avR2(4969, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(5729)%branchR2(0:1))
      call avR2(5729, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_2702/))

      call avR2(5729, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(8241)%branchR2(0:0))
      call avR2(8241, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(8940)%branchR2(0:0))
      call avR2(8940, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(7111)%branchR2(0:0))
      call avR2(7111, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4060/))

      allocate(vertices(3927)%branchR2(0:0))
      call avR2(3927, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(1961)%branchR2(0:0))
      call avR2(1961, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2521/))

      allocate(vertices(9221)%branchR2(0:1))
      call avR2(9221, 0, 124, 1, 0, FaF2, (/0, 2/), (/nGC_2433, nGC_2430,      &
      nGC_2438, nGC_2438/))

      call avR2(9221, 1, 124, 1, 0, FaF2, (/2, 0/), (/nGC_2429, nGC_2429,      &
      nGC_2439, nGC_2439/))

      allocate(vertices(2000)%branchR2(0:1))
      call avR2(2000, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2567, nGC_2565/))

      call avR2(2000, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2568, nGC_2566/))

      allocate(vertices(8342)%branchR2(0:0))
      call avR2(8342, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(6247)%branchR2(0:0))
      call avR2(6247, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2498/))

      allocate(vertices(6815)%branchR2(0:0))
      call avR2(6815, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(2816)%branchR2(0:0))
      call avR2(2816, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(7313)%branchR2(0:0))
      call avR2(7313, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(2635)%branchR2(0:0))
      call avR2(2635, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(5683)%branchR2(0:0))
      call avR2(5683, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2575/))

      allocate(vertices(2457)%branchR2(0:0))
      call avR2(2457, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(161)%branchR2(0:1))
      call avR2(161, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2665, nGC_2664/))

      call avR2(161, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2666, nGC_2666/))

      allocate(vertices(1758)%branchR2(0:0))
      call avR2(1758, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(424)%branchR2(0:0))
      call avR2(424, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(3609)%branchR2(0:3))
      call avR2(3609, 0, 27, 1, 0, FaFV1, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(3609, 1, 27, 1, 0, FaFV1, (/1, 2/), (/nGC_2750, nGC_2751/))

      call avR2(3609, 2, 26, 1, 0, FaFV1, (/1, 2/), (/nGC_2753, nGC_2754/))

      call avR2(3609, 3, 26, 1, 0, FaFV1, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(2667)%branchR2(0:0))
      call avR2(2667, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(10373)%branchR2(0:0))
      call avR2(10373, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(156)%branchR2(0:0))
      call avR2(156, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(8794)%branchR2(0:0))
      call avR2(8794, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(10741)%branchR2(0:0))
      call avR2(10741, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(2961)%branchR2(0:0))
      call avR2(2961, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(10742)%branchR2(0:1))
      call avR2(10742, 0, 144, 1, 0, VVVV1, (/2, 2/), (/nGC_2927, nGC_2927,    &
      nGC_2927/))

      call avR2(10742, 1, 143, 1, 0, VVVV1, (/2, 2/), (/nGC_2928, nGC_2928,    &
      nGC_2928/))

      allocate(vertices(4200)%branchR2(0:1))
      call avR2(4200, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2547, nGC_2545/))

      call avR2(4200, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2548, nGC_2546/))

      allocate(vertices(10381)%branchR2(0:0))
      call avR2(10381, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(4997)%branchR2(0:3))
      call avR2(4997, 0, 27, 1, 0, FaFV1, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(4997, 1, 27, 1, 0, FaFV1, (/1, 2/), (/nGC_2736, nGC_2738/))

      call avR2(4997, 2, 26, 1, 0, FaFV1, (/1, 2/), (/nGC_2739, nGC_2741/))

      call avR2(4997, 3, 26, 1, 0, FaFV1, (/3, 0/), (/nGC_2740, nGC_2740/))

      allocate(vertices(6289)%branchR2(0:0))
      call avR2(6289, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(5728)%branchR2(0:0))
      call avR2(5728, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(986)%branchR2(0:0))
      call avR2(986, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2506/))

      allocate(vertices(9429)%branchR2(0:0))
      call avR2(9429, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(10743)%branchR2(0:1))
      call avR2(10743, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2832/))

      call avR2(10743, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2833/))

      allocate(vertices(2581)%branchR2(0:0))
      call avR2(2581, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(2707)%branchR2(0:0))
      call avR2(2707, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(1835)%branchR2(0:0))
      call avR2(1835, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2623, nGC_2624/))

      allocate(vertices(8081)%branchR2(0:0))
      call avR2(8081, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2463/))

      allocate(vertices(1120)%branchR2(0:0))
      call avR2(1120, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(8457)%branchR2(0:3))
      call avR2(8457, 0, 27, 1, 0, FaFV1, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(8457, 1, 27, 1, 0, FaFV1, (/1, 2/), (/nGC_2762, nGC_2763/))

      call avR2(8457, 2, 26, 1, 0, FaFV1, (/1, 2/), (/nGC_2764, nGC_2765/))

      call avR2(8457, 3, 26, 1, 0, FaFV1, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(5094)%branchR2(0:0))
      call avR2(5094, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2528/))

      allocate(vertices(5363)%branchR2(0:0))
      call avR2(5363, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(1326)%branchR2(0:0))
      call avR2(1326, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2523/))

      allocate(vertices(361)%branchR2(0:0))
      call avR2(361, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(10744)%branchR2(0:1))
      call avR2(10744, 0, 125, 1, 0, SVV0, (/2, 1/), (/nGC_2688/))

      call avR2(10744, 1, 126, 1, 0, SVV0, (/2, 1/), (/nGC_2689/))

      allocate(vertices(8218)%branchR2(0:0))
      call avR2(8218, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(6482)%branchR2(0:0))
      call avR2(6482, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2596/))

      allocate(vertices(9428)%branchR2(0:0))
      call avR2(9428, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2450/))

      allocate(vertices(6213)%branchR2(0:0))
      call avR2(6213, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(1701)%branchR2(0:0))
      call avR2(1701, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2805, nGC_2804,       &
      nGC_2803/))

      allocate(vertices(9640)%branchR2(0:0))
      call avR2(9640, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(6960)%branchR2(0:0))
      call avR2(6960, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(8489)%branchR2(0:0))
      call avR2(8489, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(2315)%branchR2(0:0))
      call avR2(2315, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(6369)%branchR2(0:0))
      call avR2(6369, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2463/))

      allocate(vertices(5275)%branchR2(0:0))
      call avR2(5275, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(4878)%branchR2(0:0))
      call avR2(4878, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(1678)%branchR2(0:0))
      call avR2(1678, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(6018)%branchR2(0:0))
      call avR2(6018, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(10372)%branchR2(0:0))
      call avR2(10372, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(2345)%branchR2(0:3))
      call avR2(2345, 0, 29, 1, 0, VFFa0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(2345, 1, 29, 1, 0, VFFa0, (/1, 2/), (/nGC_2746, nGC_2747/))

      call avR2(2345, 2, 28, 1, 0, VFFa0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(2345, 3, 28, 1, 0, VFFa0, (/1, 2/), (/nGC_2748, nGC_2749/))

      allocate(vertices(10745)%branchR2(0:5))
      call avR2(10745, 0, 158, 1, 0, VVVV1, (/3, 1/), (/nGC_2862, nGC_2862,    &
      nGC_2862/))

      call avR2(10745, 1, 155, 1, 0, VVVV1, (/3, 1/), (/nGC_2863, nGC_2863,    &
      nGC_2863/))

      call avR2(10745, 2, 154, 1, 0, VVVV1, (/3, 1/), (/nGC_2863, nGC_2863,    &
      nGC_2863/))

      call avR2(10745, 3, 157, 1, 0, VVVV1, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      call avR2(10745, 4, 156, 1, 0, VVVV1, (/3, 1/), (/nGC_2862, nGC_2862,    &
      nGC_2862/))

      call avR2(10745, 5, 153, 1, 0, VVVV1, (/3, 1/), (/nGC_2863, nGC_2863,    &
      nGC_2863/))

      allocate(vertices(5995)%branchR2(0:0))
      call avR2(5995, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(10137)%branchR2(0:0))
      call avR2(10137, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2414, nGC_2413/))

      allocate(vertices(5559)%branchR2(0:0))
      call avR2(5559, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(1159)%branchR2(0:0))
      call avR2(1159, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2495/))

      allocate(vertices(889)%branchR2(0:0))
      call avR2(889, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(9913)%branchR2(0:0))
      call avR2(9913, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4047/))

      allocate(vertices(10246)%branchR2(0:0))
      call avR2(10246, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(3834)%branchR2(0:0))
      call avR2(3834, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2543/))

      allocate(vertices(3546)%branchR2(0:0))
      call avR2(3546, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(2256)%branchR2(0:0))
      call avR2(2256, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(6875)%branchR2(0:0))
      call avR2(6875, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2609/))

      allocate(vertices(10471)%branchR2(0:0))
      call avR2(10471, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(7769)%branchR2(0:1))
      call avR2(7769, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_2477, nGC_2478/))

      call avR2(7769, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(10746)%branchR2(0:0))
      call avR2(10746, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(10747)%branchR2(0:1))
      call avR2(10747, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2932/))

      call avR2(10747, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2931/))

      allocate(vertices(1918)%branchR2(0:0))
      call avR2(1918, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(10161)%branchR2(0:0))
      call avR2(10161, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(5639)%branchR2(0:0))
      call avR2(5639, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(10748)%branchR2(0:0))
      call avR2(10748, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(8240)%branchR2(0:0))
      call avR2(8240, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2538/))

      allocate(vertices(9814)%branchR2(0:0))
      call avR2(9814, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2450/))

      allocate(vertices(2778)%branchR2(0:0))
      call avR2(2778, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(5440)%branchR2(0:0))
      call avR2(5440, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(4447)%branchR2(0:1))
      call avR2(4447, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_2708/))

      call avR2(4447, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(4306)%branchR2(0:0))
      call avR2(4306, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2771, nGC_2773,       &
      nGC_2772/))

      allocate(vertices(3348)%branchR2(0:0))
      call avR2(3348, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2724, nGC_2723/))

      allocate(vertices(9144)%branchR2(0:0))
      call avR2(9144, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(7791)%branchR2(0:0))
      call avR2(7791, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10749)%branchR2(0:0))
      call avR2(10749, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(2911)%branchR2(0:0))
      call avR2(2911, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2684, nGC_2685/))

      allocate(vertices(9930)%branchR2(0:0))
      call avR2(9930, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(10163)%branchR2(0:0))
      call avR2(10163, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2450/))

      allocate(vertices(8459)%branchR2(0:1))
      call avR2(8459, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2665, nGC_2664/))

      call avR2(8459, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2666, nGC_2666/))

      allocate(vertices(3915)%branchR2(0:0))
      call avR2(3915, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2869/))

      allocate(vertices(7266)%branchR2(0:0))
      call avR2(7266, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2495/))

      allocate(vertices(6242)%branchR2(0:0))
      call avR2(6242, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(1578)%branchR2(0:0))
      call avR2(1578, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(8208)%branchR2(0:0))
      call avR2(8208, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2519/))

      allocate(vertices(6126)%branchR2(0:0))
      call avR2(6126, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2520/))

      allocate(vertices(2726)%branchR2(0:0))
      call avR2(2726, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2818/))

      allocate(vertices(4661)%branchR2(0:0))
      call avR2(4661, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(2712)%branchR2(0:0))
      call avR2(2712, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2657, nGC_2658/))

      allocate(vertices(8600)%branchR2(0:0))
      call avR2(8600, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2576/))

      allocate(vertices(4574)%branchR2(0:0))
      call avR2(4574, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(9818)%branchR2(0:0))
      call avR2(9818, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2485/))

      allocate(vertices(8966)%branchR2(0:0))
      call avR2(8966, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(9401)%branchR2(0:0))
      call avR2(9401, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(2175)%branchR2(0:0))
      call avR2(2175, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(5042)%branchR2(0:0))
      call avR2(5042, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(4652)%branchR2(0:0))
      call avR2(4652, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(3239)%branchR2(0:0))
      call avR2(3239, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(1061)%branchR2(0:0))
      call avR2(1061, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(2559)%branchR2(0:0))
      call avR2(2559, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(6522)%branchR2(0:1))
      call avR2(6522, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(6522, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(10460)%branchR2(0:0))
      call avR2(10460, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(9830)%branchR2(0:1))
      call avR2(9830, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_2437, nGC_2456,       &
      nGC_2456, nGC_2434/))

      call avR2(9830, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_2429, nGC_2457,       &
      nGC_2457, nGC_2429/))

      allocate(vertices(1075)%branchR2(0:0))
      call avR2(1075, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(5166)%branchR2(0:0))
      call avR2(5166, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(6605)%branchR2(0:0))
      call avR2(6605, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2599/))

      allocate(vertices(6825)%branchR2(0:0))
      call avR2(6825, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(7717)%branchR2(0:0))
      call avR2(7717, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(8120)%branchR2(0:0))
      call avR2(8120, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2860/))

      allocate(vertices(3151)%branchR2(0:0))
      call avR2(3151, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(10005)%branchR2(0:0))
      call avR2(10005, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(4815)%branchR2(0:0))
      call avR2(4815, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(5224)%branchR2(0:0))
      call avR2(5224, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(901)%branchR2(0:0))
      call avR2(901, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(67)%branchR2(0:0))
      call avR2(67, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(236)%branchR2(0:0))
      call avR2(236, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(10750)%branchR2(0:1))
      call avR2(10750, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2850/))

      call avR2(10750, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(1781)%branchR2(0:0))
      call avR2(1781, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(8552)%branchR2(0:0))
      call avR2(8552, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(9699)%branchR2(0:0))
      call avR2(9699, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(7314)%branchR2(0:0))
      call avR2(7314, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(10751)%branchR2(0:0))
      call avR2(10751, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(5382)%branchR2(0:1))
      call avR2(5382, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2551, nGC_2549/))

      call avR2(5382, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2552, nGC_2550/))

      allocate(vertices(9497)%branchR2(0:0))
      call avR2(9497, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(4538)%branchR2(0:1))
      call avR2(4538, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2533, nGC_2532/))

      call avR2(4538, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2514, nGC_2512/))

      allocate(vertices(3721)%branchR2(0:0))
      call avR2(3721, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(137)%branchR2(0:0))
      call avR2(137, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(5020)%branchR2(0:1))
      call avR2(5020, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_2711, nGC_2713/))

      call avR2(5020, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(9607)%branchR2(0:0))
      call avR2(9607, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2468/))

      allocate(vertices(10357)%branchR2(0:0))
      call avR2(10357, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(3383)%branchR2(0:0))
      call avR2(3383, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(8944)%branchR2(0:0))
      call avR2(8944, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(8292)%branchR2(0:0))
      call avR2(8292, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2600/))

      allocate(vertices(10752)%branchR2(0:1))
      call avR2(10752, 0, 144, 1, 0, VVVV1, (/2, 2/), (/nGC_2810, nGC_2810,    &
      nGC_2810/))

      call avR2(10752, 1, 143, 1, 0, VVVV1, (/2, 2/), (/nGC_2811, nGC_2811,    &
      nGC_2811/))

      allocate(vertices(4180)%branchR2(0:0))
      call avR2(4180, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2467/))

      allocate(vertices(10753)%branchR2(0:0))
      call avR2(10753, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(2939)%branchR2(0:0))
      call avR2(2939, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(64)%branchR2(0:0))
      call avR2(64, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(8910)%branchR2(0:0))
      call avR2(8910, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4058/))

      allocate(vertices(6846)%branchR2(0:0))
      call avR2(6846, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(6475)%branchR2(0:0))
      call avR2(6475, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(4142)%branchR2(0:0))
      call avR2(4142, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(1084)%branchR2(0:0))
      call avR2(1084, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(5692)%branchR2(0:0))
      call avR2(5692, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(1946)%branchR2(0:0))
      call avR2(1946, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(3936)%branchR2(0:0))
      call avR2(3936, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(4850)%branchR2(0:1))
      call avR2(4850, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2730, nGC_2731/))

      call avR2(4850, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(9560)%branchR2(0:0))
      call avR2(9560, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(8331)%branchR2(0:0))
      call avR2(8331, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(9786)%branchR2(0:0))
      call avR2(9786, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2459/))

      allocate(vertices(8169)%branchR2(0:0))
      call avR2(8169, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(3870)%branchR2(0:1))
      call avR2(3870, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_2711, nGC_2713/))

      call avR2(3870, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(10754)%branchR2(0:1))
      call avR2(10754, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2897/))

      call avR2(10754, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2898/))

      allocate(vertices(4859)%branchR2(0:0))
      call avR2(4859, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(3188)%branchR2(0:0))
      call avR2(3188, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(6113)%branchR2(0:0))
      call avR2(6113, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(9789)%branchR2(0:0))
      call avR2(9789, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(5667)%branchR2(0:0))
      call avR2(5667, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2576/))

      allocate(vertices(3386)%branchR2(0:0))
      call avR2(3386, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(2714)%branchR2(0:1))
      call avR2(2714, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2555, nGC_2553/))

      call avR2(2714, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2556, nGC_2554/))

      allocate(vertices(9787)%branchR2(0:0))
      call avR2(9787, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(8026)%branchR2(0:1))
      call avR2(8026, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2691, nGC_2690/))

      call avR2(8026, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2692, nGC_2692/))

      allocate(vertices(10755)%branchR2(0:0))
      call avR2(10755, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2788, nGC_2788,      &
      nGC_2787/))

      allocate(vertices(7032)%branchR2(0:0))
      call avR2(7032, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(7143)%branchR2(0:0))
      call avR2(7143, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2495/))

      allocate(vertices(7985)%branchR2(0:1))
      call avR2(7985, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_2492, nGC_2493/))

      call avR2(7985, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(10311)%branchR2(0:0))
      call avR2(10311, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(6833)%branchR2(0:0))
      call avR2(6833, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2527/))

      allocate(vertices(10104)%branchR2(0:0))
      call avR2(10104, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(147)%branchR2(0:0))
      call avR2(147, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(10756)%branchR2(0:0))
      call avR2(10756, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(2016)%branchR2(0:1))
      call avR2(2016, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2584, nGC_2582/))

      call avR2(2016, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2585, nGC_2583/))

      allocate(vertices(8062)%branchR2(0:0))
      call avR2(8062, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4057/))

      allocate(vertices(9570)%branchR2(0:0))
      call avR2(9570, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(9566)%branchR2(0:0))
      call avR2(9566, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2502/))

      allocate(vertices(8388)%branchR2(0:1))
      call avR2(8388, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2679, nGC_2678/))

      call avR2(8388, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2680, nGC_2680/))

      allocate(vertices(10757)%branchR2(0:0))
      call avR2(10757, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(9447)%branchR2(0:0))
      call avR2(9447, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2425, nGC_2423,        &
      nGC_2424/))

      allocate(vertices(3810)%branchR2(0:0))
      call avR2(3810, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2803, nGC_2805,       &
      nGC_2804/))

      allocate(vertices(6347)%branchR2(0:0))
      call avR2(6347, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(1310)%branchR2(0:0))
      call avR2(1310, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2581/))

      allocate(vertices(10758)%branchR2(0:0))
      call avR2(10758, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(10759)%branchR2(0:0))
      call avR2(10759, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(6196)%branchR2(0:0))
      call avR2(6196, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(5898)%branchR2(0:1))
      call avR2(5898, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_2477, nGC_2478/))

      call avR2(5898, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(7911)%branchR2(0:0))
      call avR2(7911, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(240)%branchR2(0:0))
      call avR2(240, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2623, nGC_2624/))

      allocate(vertices(8998)%branchR2(0:0))
      call avR2(8998, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(7681)%branchR2(0:0))
      call avR2(7681, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2724, nGC_2723/))

      allocate(vertices(9126)%branchR2(0:0))
      call avR2(9126, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(6124)%branchR2(0:0))
      call avR2(6124, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(10113)%branchR2(0:0))
      call avR2(10113, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(6125)%branchR2(0:0))
      call avR2(6125, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(803)%branchR2(0:0))
      call avR2(803, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(3574)%branchR2(0:1))
      call avR2(3574, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2534, nGC_2535/))

      call avR2(3574, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2516, nGC_2518/))

      allocate(vertices(10760)%branchR2(0:1))
      call avR2(10760, 0, 145, 1, 0, VVVV1, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      call avR2(10760, 1, 146, 1, 0, VVVV1, (/2, 2/), (/nGC_2840, nGC_2840,    &
      nGC_2840/))

      allocate(vertices(4202)%branchR2(0:0))
      call avR2(4202, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(5420)%branchR2(0:0))
      call avR2(5420, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(10153)%branchR2(0:0))
      call avR2(10153, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2403, nGC_2401,       &
      nGC_2402/))

      allocate(vertices(2727)%branchR2(0:0))
      call avR2(2727, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2520/))

      allocate(vertices(10193)%branchR2(0:0))
      call avR2(10193, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(7340)%branchR2(0:0))
      call avR2(7340, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(8498)%branchR2(0:0))
      call avR2(8498, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2569, nGC_2570/))

      allocate(vertices(8529)%branchR2(0:0))
      call avR2(8529, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(8295)%branchR2(0:0))
      call avR2(8295, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(3564)%branchR2(0:0))
      call avR2(3564, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(10761)%branchR2(0:0))
      call avR2(10761, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2536/))

      allocate(vertices(10762)%branchR2(0:1))
      call avR2(10762, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2920/))

      call avR2(10762, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2919/))

      allocate(vertices(7151)%branchR2(0:0))
      call avR2(7151, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(1672)%branchR2(0:0))
      call avR2(1672, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2491, nGC_2490/))

      allocate(vertices(9593)%branchR2(0:0))
      call avR2(9593, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(10452)%branchR2(0:0))
      call avR2(10452, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(911)%branchR2(0:0))
      call avR2(911, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2655, nGC_2656/))

      allocate(vertices(5048)%branchR2(0:1))
      call avR2(5048, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2621, nGC_2619/))

      call avR2(5048, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2622, nGC_2620/))

      allocate(vertices(10763)%branchR2(0:0))
      call avR2(10763, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(9795)%branchR2(0:0))
      call avR2(9795, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(619)%branchR2(0:0))
      call avR2(619, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2726/))

      allocate(vertices(10764)%branchR2(0:0))
      call avR2(10764, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2787, nGC_2788,      &
      nGC_2788/))

      allocate(vertices(4573)%branchR2(0:0))
      call avR2(4573, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2642/))

      allocate(vertices(10765)%branchR2(0:0))
      call avR2(10765, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(4188)%branchR2(0:1))
      call avR2(4188, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2621, nGC_2619/))

      call avR2(4188, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2622, nGC_2620/))

      allocate(vertices(4748)%branchR2(0:0))
      call avR2(4748, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(10010)%branchR2(0:0))
      call avR2(10010, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(919)%branchR2(0:0))
      call avR2(919, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(8351)%branchR2(0:0))
      call avR2(8351, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(2353)%branchR2(0:0))
      call avR2(2353, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(631)%branchR2(0:0))
      call avR2(631, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(10766)%branchR2(0:1))
      call avR2(10766, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2932/))

      call avR2(10766, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2931/))

      allocate(vertices(400)%branchR2(0:0))
      call avR2(400, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(8234)%branchR2(0:0))
      call avR2(8234, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2529/))

      allocate(vertices(1903)%branchR2(0:0))
      call avR2(1903, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(3876)%branchR2(0:0))
      call avR2(3876, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(2783)%branchR2(0:1))
      call avR2(2783, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2547, nGC_2545/))

      call avR2(2783, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2548, nGC_2546/))

      allocate(vertices(10767)%branchR2(0:0))
      call avR2(10767, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(10439)%branchR2(0:0))
      call avR2(10439, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(2488)%branchR2(0:0))
      call avR2(2488, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(9264)%branchR2(0:0))
      call avR2(9264, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(3628)%branchR2(0:0))
      call avR2(3628, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4042/))

      allocate(vertices(7118)%branchR2(0:0))
      call avR2(7118, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(7366)%branchR2(0:0))
      call avR2(7366, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(10768)%branchR2(0:1))
      call avR2(10768, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2919/))

      call avR2(10768, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2920/))

      allocate(vertices(9889)%branchR2(0:0))
      call avR2(9889, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(10769)%branchR2(0:1))
      call avR2(10769, 0, 139, 1, 0, VVVV1, (/2, 2/), (/nGC_2928, nGC_2928,    &
      nGC_2928/))

      call avR2(10769, 1, 140, 1, 0, VVVV1, (/2, 2/), (/nGC_2927, nGC_2927,    &
      nGC_2927/))

      allocate(vertices(1655)%branchR2(0:0))
      call avR2(1655, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4041/))

      allocate(vertices(2568)%branchR2(0:0))
      call avR2(2568, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(5142)%branchR2(0:0))
      call avR2(5142, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(4365)%branchR2(0:0))
      call avR2(4365, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2541/))

      allocate(vertices(2122)%branchR2(0:0))
      call avR2(2122, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10447)%branchR2(0:0))
      call avR2(10447, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2483/))

      allocate(vertices(9245)%branchR2(0:0))
      call avR2(9245, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(812)%branchR2(0:0))
      call avR2(812, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(1485)%branchR2(0:0))
      call avR2(1485, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2645/))

      allocate(vertices(10441)%branchR2(0:0))
      call avR2(10441, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(9895)%branchR2(0:0))
      call avR2(9895, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(8471)%branchR2(0:0))
      call avR2(8471, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(10770)%branchR2(0:0))
      call avR2(10770, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(1509)%branchR2(0:0))
      call avR2(1509, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2655, nGC_2656/))

      allocate(vertices(1682)%branchR2(0:0))
      call avR2(1682, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(7253)%branchR2(0:0))
      call avR2(7253, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(2223)%branchR2(0:0))
      call avR2(2223, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(3146)%branchR2(0:0))
      call avR2(3146, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2726/))

      allocate(vertices(10066)%branchR2(0:0))
      call avR2(10066, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(10771)%branchR2(0:0))
      call avR2(10771, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2883/))

      allocate(vertices(7701)%branchR2(0:0))
      call avR2(7701, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(10772)%branchR2(0:1))
      call avR2(10772, 0, 137, 1, 0, VVVV1, (/2, 2/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      call avR2(10772, 1, 138, 1, 0, VVVV1, (/2, 2/), (/nGC_2936, nGC_2936,    &
      nGC_2936/))

      allocate(vertices(4667)%branchR2(0:1))
      call avR2(4667, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_2702/))

      call avR2(4667, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(614)%branchR2(0:0))
      call avR2(614, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(2076)%branchR2(0:0))
      call avR2(2076, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(9222)%branchR2(0:0))
      call avR2(9222, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2540/))

      allocate(vertices(5372)%branchR2(0:0))
      call avR2(5372, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2644/))

      allocate(vertices(1433)%branchR2(0:0))
      call avR2(1433, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(5913)%branchR2(0:0))
      call avR2(5913, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2494/))

      allocate(vertices(8248)%branchR2(0:0))
      call avR2(8248, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(3335)%branchR2(0:0))
      call avR2(3335, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2722, nGC_2721/))

      allocate(vertices(6259)%branchR2(0:0))
      call avR2(6259, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(5960)%branchR2(0:1))
      call avR2(5960, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_2719, nGC_2720/))

      call avR2(5960, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(5551)%branchR2(0:0))
      call avR2(5551, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(5241)%branchR2(0:1))
      call avR2(5241, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2621, nGC_2619/))

      call avR2(5241, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2622, nGC_2620/))

      allocate(vertices(6679)%branchR2(0:0))
      call avR2(6679, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(1711)%branchR2(0:0))
      call avR2(1711, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(2197)%branchR2(0:0))
      call avR2(2197, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(816)%branchR2(0:0))
      call avR2(816, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(1810)%branchR2(0:0))
      call avR2(1810, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(3214)%branchR2(0:0))
      call avR2(3214, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(4739)%branchR2(0:0))
      call avR2(4739, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2805, nGC_2804,       &
      nGC_2803/))

      allocate(vertices(3914)%branchR2(0:1))
      call avR2(3914, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2691, nGC_2690/))

      call avR2(3914, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2692, nGC_2692/))

      allocate(vertices(4125)%branchR2(0:0))
      call avR2(4125, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(5538)%branchR2(0:1))
      call avR2(5538, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2694, nGC_2693/))

      call avR2(5538, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2695, nGC_2695/))

      allocate(vertices(10773)%branchR2(0:1))
      call avR2(10773, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2931/))

      call avR2(10773, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2932/))

      allocate(vertices(782)%branchR2(0:0))
      call avR2(782, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2657, nGC_2658/))

      allocate(vertices(8860)%branchR2(0:0))
      call avR2(8860, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(6162)%branchR2(0:0))
      call avR2(6162, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(9532)%branchR2(0:0))
      call avR2(9532, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(9727)%branchR2(0:0))
      call avR2(9727, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(10774)%branchR2(0:0))
      call avR2(10774, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(6038)%branchR2(0:0))
      call avR2(6038, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(10775)%branchR2(0:0))
      call avR2(10775, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(10176)%branchR2(0:0))
      call avR2(10176, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(6283)%branchR2(0:0))
      call avR2(6283, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(4165)%branchR2(0:0))
      call avR2(4165, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2559, nGC_2560/))

      allocate(vertices(4657)%branchR2(0:0))
      call avR2(4657, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(4588)%branchR2(0:1))
      call avR2(4588, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2604, nGC_2603/))

      call avR2(4588, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2589, nGC_2587/))

      allocate(vertices(10776)%branchR2(0:0))
      call avR2(10776, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(7969)%branchR2(0:0))
      call avR2(7969, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(4711)%branchR2(0:0))
      call avR2(4711, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2544/))

      allocate(vertices(1186)%branchR2(0:0))
      call avR2(1186, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2600/))

      allocate(vertices(10777)%branchR2(0:0))
      call avR2(10777, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(9443)%branchR2(0:0))
      call avR2(9443, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(1051)%branchR2(0:0))
      call avR2(1051, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2519/))

      allocate(vertices(9179)%branchR2(0:0))
      call avR2(9179, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2418, nGC_2417/))

      allocate(vertices(5029)%branchR2(0:0))
      call avR2(5029, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(10077)%branchR2(0:0))
      call avR2(10077, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2400, nGC_2399/))

      allocate(vertices(8357)%branchR2(0:0))
      call avR2(8357, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(3067)%branchR2(0:0))
      call avR2(3067, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2722, nGC_2721/))

      allocate(vertices(6086)%branchR2(0:0))
      call avR2(6086, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10030)%branchR2(0:0))
      call avR2(10030, 0, 13, 1, 0, FFa3, (/0, 2/), (/nGC_2440, nGC_2441,      &
      nGC_2442, nGC_2442/))

      allocate(vertices(10264)%branchR2(0:0))
      call avR2(10264, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(3013)%branchR2(0:1))
      call avR2(3013, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_2707/))

      call avR2(3013, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(7447)%branchR2(0:0))
      call avR2(7447, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(1608)%branchR2(0:1))
      call avR2(1608, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2670, nGC_2669/))

      call avR2(1608, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2671, nGC_2671/))

      allocate(vertices(825)%branchR2(0:0))
      call avR2(825, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(10778)%branchR2(0:0))
      call avR2(10778, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2779/))

      allocate(vertices(1742)%branchR2(0:0))
      call avR2(1742, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(9971)%branchR2(0:0))
      call avR2(9971, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2540/))

      allocate(vertices(7275)%branchR2(0:0))
      call avR2(7275, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(4169)%branchR2(0:0))
      call avR2(4169, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(10779)%branchR2(0:1))
      call avR2(10779, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2850/))

      call avR2(10779, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(10780)%branchR2(0:0))
      call avR2(10780, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(7036)%branchR2(0:0))
      call avR2(7036, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(9611)%branchR2(0:0))
      call avR2(9611, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4039/))

      allocate(vertices(10307)%branchR2(0:0))
      call avR2(10307, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(9625)%branchR2(0:0))
      call avR2(9625, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4056/))

      allocate(vertices(4308)%branchR2(0:0))
      call avR2(4308, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(6405)%branchR2(0:0))
      call avR2(6405, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(6132)%branchR2(0:0))
      call avR2(6132, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(5216)%branchR2(0:0))
      call avR2(5216, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(2148)%branchR2(0:1))
      call avR2(2148, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2492, nGC_2493/))

      call avR2(2148, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(1936)%branchR2(0:0))
      call avR2(1936, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2594/))

      allocate(vertices(10197)%branchR2(0:0))
      call avR2(10197, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(10781)%branchR2(0:1))
      call avR2(10781, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2849/))

      call avR2(10781, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2850/))

      allocate(vertices(6470)%branchR2(0:0))
      call avR2(6470, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(7601)%branchR2(0:0))
      call avR2(7601, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(6069)%branchR2(0:0))
      call avR2(6069, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(3800)%branchR2(0:0))
      call avR2(3800, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(9916)%branchR2(0:0))
      call avR2(9916, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(6732)%branchR2(0:1))
      call avR2(6732, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_2715, nGC_2717/))

      call avR2(6732, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(10188)%branchR2(0:0))
      call avR2(10188, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(8957)%branchR2(0:0))
      call avR2(8957, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(7015)%branchR2(0:0))
      call avR2(7015, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(4150)%branchR2(0:0))
      call avR2(4150, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2917/))

      allocate(vertices(3121)%branchR2(0:0))
      call avR2(3121, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(5996)%branchR2(0:0))
      call avR2(5996, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(8053)%branchR2(0:0))
      call avR2(8053, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(8215)%branchR2(0:0))
      call avR2(8215, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(5137)%branchR2(0:0))
      call avR2(5137, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(522)%branchR2(0:0))
      call avR2(522, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(9101)%branchR2(0:0))
      call avR2(9101, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(8247)%branchR2(0:0))
      call avR2(8247, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2491, nGC_2490/))

      allocate(vertices(6694)%branchR2(0:0))
      call avR2(6694, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(3814)%branchR2(0:1))
      call avR2(3814, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2474, nGC_2475/))

      call avR2(3814, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(10129)%branchR2(0:0))
      call avR2(10129, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(6003)%branchR2(0:0))
      call avR2(6003, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(9724)%branchR2(0:0))
      call avR2(9724, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(7971)%branchR2(0:0))
      call avR2(7971, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2575/))

      allocate(vertices(2832)%branchR2(0:0))
      call avR2(2832, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(3339)%branchR2(0:0))
      call avR2(3339, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2710/))

      allocate(vertices(8350)%branchR2(0:0))
      call avR2(8350, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(9435)%branchR2(0:0))
      call avR2(9435, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(8299)%branchR2(0:1))
      call avR2(8299, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2592, nGC_2590/))

      call avR2(8299, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2593, nGC_2591/))

      allocate(vertices(10782)%branchR2(0:1))
      call avR2(10782, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2930/))

      call avR2(10782, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2929/))

      allocate(vertices(8355)%branchR2(0:0))
      call avR2(8355, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(1245)%branchR2(0:3))
      call avR2(1245, 0, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(1245, 1, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2748, nGC_2749/))

      call avR2(1245, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(1245, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2746, nGC_2747/))

      allocate(vertices(8585)%branchR2(0:0))
      call avR2(8585, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(3145)%branchR2(0:1))
      call avR2(3145, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2533, nGC_2532/))

      call avR2(3145, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2514, nGC_2512/))

      allocate(vertices(6244)%branchR2(0:0))
      call avR2(6244, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(1631)%branchR2(0:0))
      call avR2(1631, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(10783)%branchR2(0:1))
      call avR2(10783, 0, 137, 1, 0, VVVV1, (/2, 2/), (/nGC_2928, nGC_2928,    &
      nGC_2928/))

      call avR2(10783, 1, 138, 1, 0, VVVV1, (/2, 2/), (/nGC_2927, nGC_2927,    &
      nGC_2927/))

      allocate(vertices(5147)%branchR2(0:0))
      call avR2(5147, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(8844)%branchR2(0:0))
      call avR2(8844, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(5753)%branchR2(0:0))
      call avR2(5753, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2706/))

      allocate(vertices(6629)%branchR2(0:1))
      call avR2(6629, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2691, nGC_2690/))

      call avR2(6629, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2692, nGC_2692/))

      allocate(vertices(5133)%branchR2(0:1))
      call avR2(5133, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2699, nGC_2698/))

      call avR2(5133, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2700, nGC_2700/))

      allocate(vertices(9410)%branchR2(0:0))
      call avR2(9410, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(9752)%branchR2(0:0))
      call avR2(9752, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(9418)%branchR2(0:0))
      call avR2(9418, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(6706)%branchR2(0:0))
      call avR2(6706, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(6165)%branchR2(0:0))
      call avR2(6165, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(3767)%branchR2(0:0))
      call avR2(3767, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2494/))

      allocate(vertices(1096)%branchR2(0:0))
      call avR2(1096, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(4275)%branchR2(0:0))
      call avR2(4275, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(827)%branchR2(0:0))
      call avR2(827, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4046/))

      allocate(vertices(531)%branchR2(0:3))
      call avR2(531, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2744, nGC_2745/))

      call avR2(531, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(531, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(531, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2742, nGC_2743/))

      allocate(vertices(9184)%branchR2(0:0))
      call avR2(9184, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(4685)%branchR2(0:0))
      call avR2(4685, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2705/))

      allocate(vertices(10784)%branchR2(0:1))
      call avR2(10784, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2901/))

      call avR2(10784, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(8242)%branchR2(0:0))
      call avR2(8242, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2599/))

      allocate(vertices(7499)%branchR2(0:0))
      call avR2(7499, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(174)%branchR2(0:0))
      call avR2(174, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(7362)%branchR2(0:1))
      call avR2(7362, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2639, nGC_2637/))

      call avR2(7362, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2640, nGC_2638/))

      allocate(vertices(10785)%branchR2(0:1))
      call avR2(10785, 0, 136, 1, 0, VVVV1, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      call avR2(10785, 1, 135, 1, 0, VVVV1, (/2, 2/), (/nGC_2840, nGC_2840,    &
      nGC_2840/))

      allocate(vertices(5991)%branchR2(0:3))
      call avR2(5991, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2764, nGC_2765/))

      call avR2(5991, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(5991, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(5991, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2762, nGC_2763/))

      allocate(vertices(1515)%branchR2(0:0))
      call avR2(1515, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(624)%branchR2(0:0))
      call avR2(624, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2803, nGC_2805,        &
      nGC_2804/))

      allocate(vertices(3047)%branchR2(0:0))
      call avR2(3047, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(5764)%branchR2(0:0))
      call avR2(5764, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(10130)%branchR2(0:0))
      call avR2(10130, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(5453)%branchR2(0:1))
      call avR2(5453, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_2471, nGC_2472/))

      call avR2(5453, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(3012)%branchR2(0:0))
      call avR2(3012, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(263)%branchR2(0:0))
      call avR2(263, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(8884)%branchR2(0:0))
      call avR2(8884, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(6158)%branchR2(0:0))
      call avR2(6158, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(4355)%branchR2(0:0))
      call avR2(4355, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2923, nGC_2922,       &
      nGC_2923/))

      allocate(vertices(1559)%branchR2(0:0))
      call avR2(1559, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(3277)%branchR2(0:0))
      call avR2(3277, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(2290)%branchR2(0:1))
      call avR2(2290, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2728, nGC_2729/))

      call avR2(2290, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(7219)%branchR2(0:0))
      call avR2(7219, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2575/))

      allocate(vertices(955)%branchR2(0:0))
      call avR2(955, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(9455)%branchR2(0:0))
      call avR2(9455, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(5312)%branchR2(0:0))
      call avR2(5312, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2529/))

      allocate(vertices(3922)%branchR2(0:0))
      call avR2(3922, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(8561)%branchR2(0:0))
      call avR2(8561, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(40)%branchR2(0:0))
      call avR2(40, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2726/))

      allocate(vertices(1806)%branchR2(0:0))
      call avR2(1806, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(6317)%branchR2(0:0))
      call avR2(6317, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(9701)%branchR2(0:0))
      call avR2(9701, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(2238)%branchR2(0:0))
      call avR2(2238, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(8141)%branchR2(0:0))
      call avR2(8141, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(6204)%branchR2(0:1))
      call avR2(6204, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2653, nGC_2652/))

      call avR2(6204, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2654, nGC_2654/))

      allocate(vertices(2825)%branchR2(0:0))
      call avR2(2825, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(6355)%branchR2(0:0))
      call avR2(6355, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(10786)%branchR2(0:0))
      call avR2(10786, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(10787)%branchR2(0:1))
      call avR2(10787, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2850/))

      call avR2(10787, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(9466)%branchR2(0:0))
      call avR2(9466, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(8842)%branchR2(0:0))
      call avR2(8842, 0, 13, 1, 0, FFa4, (/0, 2/), (/nGC_2440, nGC_2449,       &
      nGC_2449, nGC_2441/))

      allocate(vertices(3684)%branchR2(0:0))
      call avR2(3684, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(8338)%branchR2(0:0))
      call avR2(8338, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(415)%branchR2(0:0))
      call avR2(415, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(7848)%branchR2(0:0))
      call avR2(7848, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2771, nGC_2772,       &
      nGC_2773/))

      allocate(vertices(1704)%branchR2(0:0))
      call avR2(1704, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(6558)%branchR2(0:1))
      call avR2(6558, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2728, nGC_2729/))

      call avR2(6558, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(9612)%branchR2(0:0))
      call avR2(9612, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(2903)%branchR2(0:0))
      call avR2(2903, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(10788)%branchR2(0:0))
      call avR2(10788, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2820, nGC_2820,      &
      nGC_2820/))

      allocate(vertices(3502)%branchR2(0:0))
      call avR2(3502, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2480, nGC_2479/))

      allocate(vertices(3894)%branchR2(0:0))
      call avR2(3894, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(9755)%branchR2(0:0))
      call avR2(9755, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(2810)%branchR2(0:0))
      call avR2(2810, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(7396)%branchR2(0:0))
      call avR2(7396, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2576/))

      allocate(vertices(9440)%branchR2(0:0))
      call avR2(9440, 0, 13, 1, 0, FaF4, (/0, 2/), (/nGC_2440, nGC_2441,       &
      nGC_2455, nGC_2455/))

      allocate(vertices(10172)%branchR2(0:0))
      call avR2(10172, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(5620)%branchR2(0:0))
      call avR2(5620, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(9515)%branchR2(0:0))
      call avR2(9515, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(4193)%branchR2(0:0))
      call avR2(4193, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2497/))

      allocate(vertices(7817)%branchR2(0:0))
      call avR2(7817, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(10789)%branchR2(0:1))
      call avR2(10789, 0, 139, 1, 0, VVVV1, (/2, 2/), (/nGC_2928, nGC_2928,    &
      nGC_2928/))

      call avR2(10789, 1, 140, 1, 0, VVVV1, (/2, 2/), (/nGC_2927, nGC_2927,    &
      nGC_2927/))

      allocate(vertices(5866)%branchR2(0:1))
      call avR2(5866, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_2708/))

      call avR2(5866, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(8548)%branchR2(0:0))
      call avR2(8548, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

    end subroutine fill_vertices_mdl24
end module vertices_info24
