!******************************************************************************!
!                                                                              !
!    vertices_info21.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info21.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:39             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info21
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl21()
      allocate(vertices(1371)%branchR2(0:0))
      call avR2(1371, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(9718)%branchR2(0:0))
      call avR2(9718, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(3196)%branchR2(0:0))
      call avR2(3196, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(7285)%branchR2(0:0))
      call avR2(7285, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(7608)%branchR2(0:0))
      call avR2(7608, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(5484)%branchR2(0:0))
      call avR2(5484, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(5357)%branchR2(0:1))
      call avR2(5357, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2694, nGC_2693/))

      call avR2(5357, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2695, nGC_2695/))

      allocate(vertices(1893)%branchR2(0:0))
      call avR2(1893, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(10532)%branchR2(0:0))
      call avR2(10532, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(8830)%branchR2(0:0))
      call avR2(8830, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4041/))

      allocate(vertices(5187)%branchR2(0:0))
      call avR2(5187, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(690)%branchR2(0:3))
      call avR2(690, 0, 30, 1, 0, VFaF0, (/1, 2/), (/nGC_2758, nGC_2759/))

      call avR2(690, 1, 30, 1, 0, VFaF0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(690, 2, 31, 1, 0, VFaF0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(690, 3, 31, 1, 0, VFaF0, (/1, 2/), (/nGC_2756, nGC_2757/))

      allocate(vertices(6104)%branchR2(0:1))
      call avR2(6104, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2682, nGC_2681/))

      call avR2(6104, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2683, nGC_2683/))

      allocate(vertices(387)%branchR2(0:0))
      call avR2(387, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(2595)%branchR2(0:0))
      call avR2(2595, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2644/))

      allocate(vertices(10533)%branchR2(0:1))
      call avR2(10533, 0, 144, 1, 0, VVVV1, (/2, 2/), (/nGC_2840, nGC_2840,    &
      nGC_2840/))

      call avR2(10533, 1, 143, 1, 0, VVVV1, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      allocate(vertices(460)%branchR2(0:0))
      call avR2(460, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(10534)%branchR2(0:1))
      call avR2(10534, 0, 128, 1, 0, VVS0, (/2, 1/), (/nGC_2689/))

      call avR2(10534, 1, 127, 1, 0, VVS0, (/2, 1/), (/nGC_2688/))

      allocate(vertices(9510)%branchR2(0:0))
      call avR2(9510, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(1652)%branchR2(0:0))
      call avR2(1652, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2595/))

      allocate(vertices(4184)%branchR2(0:0))
      call avR2(4184, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(8393)%branchR2(0:0))
      call avR2(8393, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(3139)%branchR2(0:0))
      call avR2(3139, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(1107)%branchR2(0:0))
      call avR2(1107, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(10535)%branchR2(0:1))
      call avR2(10535, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2849/))

      call avR2(10535, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2850/))

      allocate(vertices(1974)%branchR2(0:0))
      call avR2(1974, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(5829)%branchR2(0:0))
      call avR2(5829, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(2876)%branchR2(0:0))
      call avR2(2876, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(3424)%branchR2(0:0))
      call avR2(3424, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(6952)%branchR2(0:0))
      call avR2(6952, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(2400)%branchR2(0:0))
      call avR2(2400, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2925, nGC_2926,       &
      nGC_2926/))

      allocate(vertices(2672)%branchR2(0:0))
      call avR2(2672, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(10536)%branchR2(0:1))
      call avR2(10536, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2885/))

      call avR2(10536, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2884/))

      allocate(vertices(6039)%branchR2(0:0))
      call avR2(6039, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(3624)%branchR2(0:0))
      call avR2(3624, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(10478)%branchR2(0:0))
      call avR2(10478, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(358)%branchR2(0:0))
      call avR2(358, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(820)%branchR2(0:0))
      call avR2(820, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(7191)%branchR2(0:0))
      call avR2(7191, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(1419)%branchR2(0:0))
      call avR2(1419, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4042/))

      allocate(vertices(1866)%branchR2(0:0))
      call avR2(1866, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(2003)%branchR2(0:0))
      call avR2(2003, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(10061)%branchR2(0:0))
      call avR2(10061, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(9590)%branchR2(0:0))
      call avR2(9590, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(9929)%branchR2(0:0))
      call avR2(9929, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(554)%branchR2(0:0))
      call avR2(554, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(2384)%branchR2(0:0))
      call avR2(2384, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(6591)%branchR2(0:0))
      call avR2(6591, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2696, nGC_2697/))

      allocate(vertices(4523)%branchR2(0:1))
      call avR2(4523, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2555, nGC_2553/))

      call avR2(4523, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2556, nGC_2554/))

      allocate(vertices(4761)%branchR2(0:1))
      call avR2(4761, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2530, nGC_2531/))

      call avR2(4761, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2508, nGC_2510/))

      allocate(vertices(261)%branchR2(0:0))
      call avR2(261, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(7505)%branchR2(0:0))
      call avR2(7505, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(409)%branchR2(0:0))
      call avR2(409, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2557, nGC_2558/))

      allocate(vertices(1675)%branchR2(0:0))
      call avR2(1675, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(6496)%branchR2(0:0))
      call avR2(6496, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(9019)%branchR2(0:0))
      call avR2(9019, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(6657)%branchR2(0:0))
      call avR2(6657, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(7355)%branchR2(0:0))
      call avR2(7355, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(9423)%branchR2(0:0))
      call avR2(9423, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(4517)%branchR2(0:0))
      call avR2(4517, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(291)%branchR2(0:0))
      call avR2(291, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(658)%branchR2(0:0))
      call avR2(658, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4043/))

      allocate(vertices(4800)%branchR2(0:0))
      call avR2(4800, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2596/))

      allocate(vertices(6544)%branchR2(0:0))
      call avR2(6544, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(2636)%branchR2(0:0))
      call avR2(2636, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(3847)%branchR2(0:0))
      call avR2(3847, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(2612)%branchR2(0:1))
      call avR2(2612, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2629, nGC_2627/))

      call avR2(2612, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2630, nGC_2628/))

      allocate(vertices(3361)%branchR2(0:0))
      call avR2(3361, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(2301)%branchR2(0:1))
      call avR2(2301, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2650, nGC_2649/))

      call avR2(2301, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2651, nGC_2651/))

      allocate(vertices(10071)%branchR2(0:0))
      call avR2(10071, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(5627)%branchR2(0:0))
      call avR2(5627, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2462/))

      allocate(vertices(8584)%branchR2(0:0))
      call avR2(8584, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(645)%branchR2(0:0))
      call avR2(645, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(1840)%branchR2(0:0))
      call avR2(1840, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(8255)%branchR2(0:1))
      call avR2(8255, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2601, nGC_2602/))

      call avR2(8255, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2583, nGC_2585/))

      allocate(vertices(5271)%branchR2(0:0))
      call avR2(5271, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_4032/))

      allocate(vertices(10212)%branchR2(0:0))
      call avR2(10212, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(10249)%branchR2(0:0))
      call avR2(10249, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(4038)%branchR2(0:0))
      call avR2(4038, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2635, nGC_2636/))

      allocate(vertices(1167)%branchR2(0:1))
      call avR2(1167, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_2707/))

      call avR2(1167, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(151)%branchR2(0:0))
      call avR2(151, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(6007)%branchR2(0:0))
      call avR2(6007, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(6738)%branchR2(0:0))
      call avR2(6738, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(2975)%branchR2(0:0))
      call avR2(2975, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(7746)%branchR2(0:0))
      call avR2(7746, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(5025)%branchR2(0:0))
      call avR2(5025, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(2288)%branchR2(0:0))
      call avR2(2288, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(8544)%branchR2(0:0))
      call avR2(8544, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(6322)%branchR2(0:0))
      call avR2(6322, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2522/))

      allocate(vertices(3232)%branchR2(0:0))
      call avR2(3232, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2860/))

      allocate(vertices(9896)%branchR2(0:0))
      call avR2(9896, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(6504)%branchR2(0:0))
      call avR2(6504, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(873)%branchR2(0:1))
      call avR2(873, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2533, nGC_2532/))

      call avR2(873, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2514, nGC_2512/))

      allocate(vertices(4419)%branchR2(0:0))
      call avR2(4419, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(7440)%branchR2(0:0))
      call avR2(7440, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2642/))

      allocate(vertices(10144)%branchR2(0:0))
      call avR2(10144, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(10254)%branchR2(0:0))
      call avR2(10254, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2485/))

      allocate(vertices(5583)%branchR2(0:0))
      call avR2(5583, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(4446)%branchR2(0:1))
      call avR2(4446, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_2471, nGC_2472/))

      call avR2(4446, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(4451)%branchR2(0:0))
      call avR2(4451, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(4042)%branchR2(0:0))
      call avR2(4042, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2701/))

      allocate(vertices(1852)%branchR2(0:0))
      call avR2(1852, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(7652)%branchR2(0:0))
      call avR2(7652, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(10537)%branchR2(0:0))
      call avR2(10537, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(817)%branchR2(0:0))
      call avR2(817, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2463/))

      allocate(vertices(10538)%branchR2(0:1))
      call avR2(10538, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2920/))

      call avR2(10538, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2919/))

      allocate(vertices(5615)%branchR2(0:1))
      call avR2(5615, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2694, nGC_2693/))

      call avR2(5615, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2695, nGC_2695/))

      allocate(vertices(10046)%branchR2(0:0))
      call avR2(10046, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(4479)%branchR2(0:0))
      call avR2(4479, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2497/))

      allocate(vertices(10241)%branchR2(0:0))
      call avR2(10241, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(2397)%branchR2(0:3))
      call avR2(2397, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2758, nGC_2759/))

      call avR2(2397, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(2397, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(2397, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2756, nGC_2757/))

      allocate(vertices(4614)%branchR2(0:0))
      call avR2(4614, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(10326)%branchR2(0:0))
      call avR2(10326, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(8995)%branchR2(0:0))
      call avR2(8995, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2539/))

      allocate(vertices(8802)%branchR2(0:0))
      call avR2(8802, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(10434)%branchR2(0:0))
      call avR2(10434, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(4110)%branchR2(0:0))
      call avR2(4110, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(7050)%branchR2(0:0))
      call avR2(7050, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4035/))

      allocate(vertices(502)%branchR2(0:1))
      call avR2(502, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2584, nGC_2582/))

      call avR2(502, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2585, nGC_2583/))

      allocate(vertices(8504)%branchR2(0:0))
      call avR2(8504, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2924/))

      allocate(vertices(8245)%branchR2(0:0))
      call avR2(8245, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(1737)%branchR2(0:0))
      call avR2(1737, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(7630)%branchR2(0:0))
      call avR2(7630, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2733, nGC_2732/))

      allocate(vertices(9575)%branchR2(0:0))
      call avR2(9575, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(10539)%branchR2(0:0))
      call avR2(10539, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(5468)%branchR2(0:0))
      call avR2(5468, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2522/))

      allocate(vertices(5652)%branchR2(0:0))
      call avR2(5652, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(1292)%branchR2(0:0))
      call avR2(1292, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(9707)%branchR2(0:0))
      call avR2(9707, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2416, nGC_2415/))

      allocate(vertices(1053)%branchR2(0:0))
      call avR2(1053, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(10540)%branchR2(0:0))
      call avR2(10540, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2778, nGC_2778,      &
      nGC_2778/))

      allocate(vertices(5212)%branchR2(0:0))
      call avR2(5212, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(3606)%branchR2(0:0))
      call avR2(3606, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2725/))

      allocate(vertices(1748)%branchR2(0:0))
      call avR2(1748, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(4615)%branchR2(0:1))
      call avR2(4615, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2734, nGC_2735/))

      call avR2(4615, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(3650)%branchR2(0:0))
      call avR2(3650, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(10098)%branchR2(0:0))
      call avR2(10098, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(3981)%branchR2(0:0))
      call avR2(3981, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(10052)%branchR2(0:0))
      call avR2(10052, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2412, nGC_2411/))

      allocate(vertices(2851)%branchR2(0:1))
      call avR2(2851, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2662, nGC_2661/))

      call avR2(2851, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2663, nGC_2663/))

      allocate(vertices(9911)%branchR2(0:0))
      call avR2(9911, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(4926)%branchR2(0:0))
      call avR2(4926, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(6797)%branchR2(0:0))
      call avR2(6797, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(2841)%branchR2(0:0))
      call avR2(2841, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2865/))

      allocate(vertices(9774)%branchR2(0:0))
      call avR2(9774, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2503/))

      allocate(vertices(10541)%branchR2(0:1))
      call avR2(10541, 0, 145, 1, 0, VVVV1, (/2, 2/), (/nGC_2928, nGC_2928,    &
      nGC_2928/))

      call avR2(10541, 1, 146, 1, 0, VVVV1, (/2, 2/), (/nGC_2927, nGC_2927,    &
      nGC_2927/))

      allocate(vertices(4633)%branchR2(0:0))
      call avR2(4633, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(2404)%branchR2(0:0))
      call avR2(2404, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(9574)%branchR2(0:0))
      call avR2(9574, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(9158)%branchR2(0:0))
      call avR2(9158, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(7093)%branchR2(0:0))
      call avR2(7093, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(7821)%branchR2(0:0))
      call avR2(7821, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2497/))

      allocate(vertices(6466)%branchR2(0:0))
      call avR2(6466, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(602)%branchR2(0:0))
      call avR2(602, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(8474)%branchR2(0:0))
      call avR2(8474, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(514)%branchR2(0:0))
      call avR2(514, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2876/))

      allocate(vertices(3886)%branchR2(0:0))
      call avR2(3886, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4035/))

      allocate(vertices(3741)%branchR2(0:0))
      call avR2(3741, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2803, nGC_2804,       &
      nGC_2805/))

      allocate(vertices(9241)%branchR2(0:0))
      call avR2(9241, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(331)%branchR2(0:0))
      call avR2(331, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4033/))

      allocate(vertices(6638)%branchR2(0:0))
      call avR2(6638, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(4709)%branchR2(0:0))
      call avR2(4709, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(8857)%branchR2(0:0))
      call avR2(8857, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(7563)%branchR2(0:0))
      call avR2(7563, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(1287)%branchR2(0:0))
      call avR2(1287, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(4629)%branchR2(0:0))
      call avR2(4629, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(10542)%branchR2(0:0))
      call avR2(10542, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(5939)%branchR2(0:1))
      call avR2(5939, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2676, nGC_2675/))

      call avR2(5939, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2677, nGC_2677/))

      allocate(vertices(8751)%branchR2(0:0))
      call avR2(8751, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(6812)%branchR2(0:0))
      call avR2(6812, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(4519)%branchR2(0:0))
      call avR2(4519, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(6751)%branchR2(0:0))
      call avR2(6751, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(3429)%branchR2(0:1))
      call avR2(3429, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2573, nGC_2571/))

      call avR2(3429, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2574, nGC_2572/))

      allocate(vertices(8042)%branchR2(0:1))
      call avR2(8042, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2704/))

      call avR2(8042, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(3954)%branchR2(0:0))
      call avR2(3954, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(10543)%branchR2(0:5))
      call avR2(10543, 0, 158, 1, 0, VVVV1, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      call avR2(10543, 1, 155, 1, 0, VVVV1, (/3, 1/), (/nGC_2939, nGC_2939,    &
      nGC_2939/))

      call avR2(10543, 2, 154, 1, 0, VVVV1, (/3, 1/), (/nGC_2939, nGC_2939,    &
      nGC_2939/))

      call avR2(10543, 3, 157, 1, 0, VVVV1, (/3, 1/), (/nGC_2940, nGC_2940,    &
      nGC_2940/))

      call avR2(10543, 4, 156, 1, 0, VVVV1, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      call avR2(10543, 5, 153, 1, 0, VVVV1, (/3, 1/), (/nGC_2939, nGC_2939,    &
      nGC_2939/))

      allocate(vertices(9697)%branchR2(0:0))
      call avR2(9697, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(8999)%branchR2(0:0))
      call avR2(8999, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(4115)%branchR2(0:0))
      call avR2(4115, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(5001)%branchR2(0:0))
      call avR2(5001, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2614/))

      allocate(vertices(5151)%branchR2(0:0))
      call avR2(5151, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2495/))

      allocate(vertices(3336)%branchR2(0:0))
      call avR2(3336, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(4468)%branchR2(0:1))
      call avR2(4468, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2612, nGC_2610/))

      call avR2(4468, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2613, nGC_2611/))

      allocate(vertices(5724)%branchR2(0:0))
      call avR2(5724, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(7327)%branchR2(0:0))
      call avR2(7327, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(866)%branchR2(0:1))
      call avR2(866, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2533, nGC_2532/))

      call avR2(866, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2514, nGC_2512/))

      allocate(vertices(7714)%branchR2(0:0))
      call avR2(7714, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(4678)%branchR2(0:0))
      call avR2(4678, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(5172)%branchR2(0:0))
      call avR2(5172, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(6834)%branchR2(0:0))
      call avR2(6834, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(10105)%branchR2(0:0))
      call avR2(10105, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(3727)%branchR2(0:0))
      call avR2(3727, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(3428)%branchR2(0:0))
      call avR2(3428, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(1004)%branchR2(0:0))
      call avR2(1004, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(10258)%branchR2(0:0))
      call avR2(10258, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(2799)%branchR2(0:1))
      call avR2(2799, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2629, nGC_2627/))

      call avR2(2799, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2630, nGC_2628/))

      allocate(vertices(7961)%branchR2(0:0))
      call avR2(7961, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(971)%branchR2(0:0))
      call avR2(971, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(5369)%branchR2(0:1))
      call avR2(5369, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2639, nGC_2637/))

      call avR2(5369, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2640, nGC_2638/))

      allocate(vertices(20)%branchR2(0:0))
      call avR2(20, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(628)%branchR2(0:0))
      call avR2(628, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(493)%branchR2(0:0))
      call avR2(493, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(4091)%branchR2(0:0))
      call avR2(4091, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2608/))

      allocate(vertices(3534)%branchR2(0:0))
      call avR2(3534, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(7655)%branchR2(0:0))
      call avR2(7655, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(7812)%branchR2(0:0))
      call avR2(7812, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(294)%branchR2(0:0))
      call avR2(294, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4044/))

      allocate(vertices(8836)%branchR2(0:0))
      call avR2(8836, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(7609)%branchR2(0:0))
      call avR2(7609, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(6485)%branchR2(0:1))
      call avR2(6485, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_2715, nGC_2717/))

      call avR2(6485, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(5096)%branchR2(0:0))
      call avR2(5096, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(7814)%branchR2(0:0))
      call avR2(7814, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(9691)%branchR2(0:0))
      call avR2(9691, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(7116)%branchR2(0:0))
      call avR2(7116, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4041/))

      allocate(vertices(6979)%branchR2(0:1))
      call avR2(6979, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2621, nGC_2619/))

      call avR2(6979, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2622, nGC_2620/))

      allocate(vertices(616)%branchR2(0:0))
      call avR2(616, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(6993)%branchR2(0:1))
      call avR2(6993, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2665, nGC_2664/))

      call avR2(6993, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2666, nGC_2666/))

      allocate(vertices(5779)%branchR2(0:0))
      call avR2(5779, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(2033)%branchR2(0:0))
      call avR2(2033, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2926, nGC_2926,       &
      nGC_2925/))

      allocate(vertices(10544)%branchR2(0:0))
      call avR2(10544, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(6175)%branchR2(0:0))
      call avR2(6175, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2537/))

      allocate(vertices(9196)%branchR2(0:0))
      call avR2(9196, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(541)%branchR2(0:0))
      call avR2(541, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2497/))

      allocate(vertices(5485)%branchR2(0:0))
      call avR2(5485, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(10545)%branchR2(0:1))
      call avR2(10545, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2885/))

      call avR2(10545, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2884/))

      allocate(vertices(7328)%branchR2(0:0))
      call avR2(7328, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(4160)%branchR2(0:0))
      call avR2(4160, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(10546)%branchR2(0:0))
      call avR2(10546, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(8858)%branchR2(0:0))
      call avR2(8858, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(10547)%branchR2(0:0))
      call avR2(10547, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(10376)%branchR2(0:0))
      call avR2(10376, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(9076)%branchR2(0:0))
      call avR2(9076, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(7827)%branchR2(0:0))
      call avR2(7827, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(3937)%branchR2(0:0))
      call avR2(3937, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(10548)%branchR2(0:0))
      call avR2(10548, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(5641)%branchR2(0:0))
      call avR2(5641, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(6913)%branchR2(0:0))
      call avR2(6913, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(2785)%branchR2(0:1))
      call avR2(2785, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_2708/))

      call avR2(2785, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(5981)%branchR2(0:0))
      call avR2(5981, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(5477)%branchR2(0:0))
      call avR2(5477, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(10549)%branchR2(0:1))
      call avR2(10549, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2932/))

      call avR2(10549, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2931/))

      allocate(vertices(7491)%branchR2(0:0))
      call avR2(7491, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2576/))

      allocate(vertices(1504)%branchR2(0:0))
      call avR2(1504, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2876/))

      allocate(vertices(6803)%branchR2(0:0))
      call avR2(6803, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(5891)%branchR2(0:0))
      call avR2(5891, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(1112)%branchR2(0:0))
      call avR2(1112, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(1753)%branchR2(0:0))
      call avR2(1753, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(7625)%branchR2(0:0))
      call avR2(7625, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(6254)%branchR2(0:0))
      call avR2(6254, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2519/))

      allocate(vertices(700)%branchR2(0:0))
      call avR2(700, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(3051)%branchR2(0:0))
      call avR2(3051, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(7401)%branchR2(0:1))
      call avR2(7401, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2647, nGC_2646/))

      call avR2(7401, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2648, nGC_2648/))

      allocate(vertices(5004)%branchR2(0:0))
      call avR2(5004, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(6793)%branchR2(0:0))
      call avR2(6793, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(273)%branchR2(0:0))
      call avR2(273, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(7221)%branchR2(0:0))
      call avR2(7221, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2596/))

      allocate(vertices(3140)%branchR2(0:0))
      call avR2(3140, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2818/))

      allocate(vertices(881)%branchR2(0:0))
      call avR2(881, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(8883)%branchR2(0:0))
      call avR2(8883, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(10039)%branchR2(0:0))
      call avR2(10039, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2459/))

      allocate(vertices(10550)%branchR2(0:0))
      call avR2(10550, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(7809)%branchR2(0:0))
      call avR2(7809, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(2762)%branchR2(0:0))
      call avR2(2762, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(6615)%branchR2(0:0))
      call avR2(6615, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(7895)%branchR2(0:0))
      call avR2(7895, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(3228)%branchR2(0:0))
      call avR2(3228, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(9340)%branchR2(0:0))
      call avR2(9340, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(4133)%branchR2(0:0))
      call avR2(4133, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(3759)%branchR2(0:1))
      call avR2(3759, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2567, nGC_2565/))

      call avR2(3759, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2568, nGC_2566/))

      allocate(vertices(2988)%branchR2(0:1))
      call avR2(2988, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2719, nGC_2720/))

      call avR2(2988, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(10072)%branchR2(0:0))
      call avR2(10072, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(7124)%branchR2(0:0))
      call avR2(7124, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(9917)%branchR2(0:0))
      call avR2(9917, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2484/))

      allocate(vertices(4045)%branchR2(0:0))
      call avR2(4045, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(10551)%branchR2(0:0))
      call avR2(10551, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(9530)%branchR2(0:0))
      call avR2(9530, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(9110)%branchR2(0:0))
      call avR2(9110, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(5684)%branchR2(0:1))
      call avR2(5684, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2573, nGC_2571/))

      call avR2(5684, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2574, nGC_2572/))

      allocate(vertices(4895)%branchR2(0:0))
      call avR2(4895, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(3757)%branchR2(0:0))
      call avR2(3757, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2667, nGC_2668/))

      allocate(vertices(8640)%branchR2(0:0))
      call avR2(8640, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(8722)%branchR2(0:0))
      call avR2(8722, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(705)%branchR2(0:0))
      call avR2(705, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2608/))

      allocate(vertices(3796)%branchR2(0:1))
      call avR2(3796, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2647, nGC_2646/))

      call avR2(3796, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2648, nGC_2648/))

      allocate(vertices(8965)%branchR2(0:0))
      call avR2(8965, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(10219)%branchR2(0:0))
      call avR2(10219, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2484/))

      allocate(vertices(8869)%branchR2(0:1))
      call avR2(8869, 0, 124, 1, 0, FaF2, (/0, 2/), (/nGC_2437, nGC_2434,      &
      nGC_2435, nGC_2435/))

      call avR2(8869, 1, 124, 1, 0, FaF2, (/2, 0/), (/nGC_2429, nGC_2429,      &
      nGC_2436, nGC_2436/))

      allocate(vertices(4500)%branchR2(0:0))
      call avR2(4500, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(7134)%branchR2(0:0))
      call avR2(7134, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2696, nGC_2697/))

      allocate(vertices(1192)%branchR2(0:0))
      call avR2(1192, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(1614)%branchR2(0:0))
      call avR2(1614, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(1745)%branchR2(0:0))
      call avR2(1745, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4045/))

      allocate(vertices(9399)%branchR2(0:0))
      call avR2(9399, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2525/))

      allocate(vertices(6292)%branchR2(0:0))
      call avR2(6292, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(3654)%branchR2(0:0))
      call avR2(3654, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(8279)%branchR2(0:0))
      call avR2(8279, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(595)%branchR2(0:0))
      call avR2(595, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(6984)%branchR2(0:0))
      call avR2(6984, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(9162)%branchR2(0:0))
      call avR2(9162, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(1640)%branchR2(0:0))
      call avR2(1640, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(8583)%branchR2(0:0))
      call avR2(8583, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(44)%branchR2(0:0))
      call avR2(44, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4046/))

      allocate(vertices(10552)%branchR2(0:1))
      call avR2(10552, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2901/))

      call avR2(10552, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(10123)%branchR2(0:0))
      call avR2(10123, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2425, nGC_2423,       &
      nGC_2424/))

      allocate(vertices(1248)%branchR2(0:0))
      call avR2(1248, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2541/))

      allocate(vertices(10553)%branchR2(0:0))
      call avR2(10553, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2465/))

      allocate(vertices(7523)%branchR2(0:1))
      call avR2(7523, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(7523, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(48)%branchR2(0:0))
      call avR2(48, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(3302)%branchR2(0:0))
      call avR2(3302, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2686, nGC_2687/))

      allocate(vertices(10110)%branchR2(0:0))
      call avR2(10110, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(8419)%branchR2(0:0))
      call avR2(8419, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(5856)%branchR2(0:1))
      call avR2(5856, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2670, nGC_2669/))

      call avR2(5856, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2671, nGC_2671/))

      allocate(vertices(970)%branchR2(0:0))
      call avR2(970, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2595/))

      allocate(vertices(9104)%branchR2(0:0))
      call avR2(9104, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(5036)%branchR2(0:0))
      call avR2(5036, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(6047)%branchR2(0:0))
      call avR2(6047, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(9927)%branchR2(0:0))
      call avR2(9927, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(9448)%branchR2(0:0))
      call avR2(9448, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2526/))

      allocate(vertices(6600)%branchR2(0:0))
      call avR2(6600, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(4001)%branchR2(0:3))
      call avR2(4001, 0, 22, 1, 0, FVFa0, (/1, 2/), (/nGC_2744, nGC_2745/))

      call avR2(4001, 1, 22, 1, 0, FVFa0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(4001, 2, 23, 1, 0, FVFa0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(4001, 3, 23, 1, 0, FVFa0, (/1, 2/), (/nGC_2742, nGC_2743/))

      allocate(vertices(10554)%branchR2(0:0))
      call avR2(10554, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(8268)%branchR2(0:0))
      call avR2(8268, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(7055)%branchR2(0:3))
      call avR2(7055, 0, 30, 1, 0, VFaF0, (/1, 2/), (/nGC_2753, nGC_2754/))

      call avR2(7055, 1, 30, 1, 0, VFaF0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(7055, 2, 31, 1, 0, VFaF0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(7055, 3, 31, 1, 0, VFaF0, (/1, 2/), (/nGC_2750, nGC_2751/))

      allocate(vertices(1229)%branchR2(0:0))
      call avR2(1229, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(2575)%branchR2(0:0))
      call avR2(2575, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(597)%branchR2(0:0))
      call avR2(597, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2773, nGC_2771,        &
      nGC_2772/))

      allocate(vertices(6808)%branchR2(0:1))
      call avR2(6808, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2547, nGC_2545/))

      call avR2(6808, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2548, nGC_2546/))

      allocate(vertices(4473)%branchR2(0:0))
      call avR2(4473, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(132)%branchR2(0:0))
      call avR2(132, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2804, nGC_2803,        &
      nGC_2805/))

      allocate(vertices(84)%branchR2(0:1))
      call avR2(84, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_2715, nGC_2717/))

      call avR2(84, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(8845)%branchR2(0:0))
      call avR2(8845, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(2614)%branchR2(0:0))
      call avR2(2614, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(6841)%branchR2(0:0))
      call avR2(6841, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(9384)%branchR2(0:0))
      call avR2(9384, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(10555)%branchR2(0:5))
      call avR2(10555, 0, 169, 1, 0, VVVV1, (/3, 1/), (/nGC_2940, nGC_2940,    &
      nGC_2940/))

      call avR2(10555, 1, 167, 1, 0, VVVV1, (/3, 1/), (/nGC_2939, nGC_2939,    &
      nGC_2939/))

      call avR2(10555, 2, 168, 1, 0, VVVV1, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      call avR2(10555, 3, 166, 1, 0, VVVV1, (/3, 1/), (/nGC_2939, nGC_2939,    &
      nGC_2939/))

      call avR2(10555, 4, 170, 1, 0, VVVV1, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      call avR2(10555, 5, 165, 1, 0, VVVV1, (/3, 1/), (/nGC_2939, nGC_2939,    &
      nGC_2939/))

      allocate(vertices(8826)%branchR2(0:0))
      call avR2(8826, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(10556)%branchR2(0:1))
      call avR2(10556, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2850/))

      call avR2(10556, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(1454)%branchR2(0:0))
      call avR2(1454, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(500)%branchR2(0:0))
      call avR2(500, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2521/))

      allocate(vertices(6167)%branchR2(0:0))
      call avR2(6167, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(5900)%branchR2(0:0))
      call avR2(5900, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(5560)%branchR2(0:0))
      call avR2(5560, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(8088)%branchR2(0:0))
      call avR2(8088, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2860/))

      allocate(vertices(1955)%branchR2(0:0))
      call avR2(1955, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(1264)%branchR2(0:0))
      call avR2(1264, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(10557)%branchR2(0:1))
      call avR2(10557, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2833/))

      call avR2(10557, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(1952)%branchR2(0:0))
      call avR2(1952, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(9920)%branchR2(0:0))
      call avR2(9920, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(7304)%branchR2(0:0))
      call avR2(7304, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2519/))

      allocate(vertices(9138)%branchR2(0:0))
      call avR2(9138, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4047/))

      allocate(vertices(10558)%branchR2(0:1))
      call avR2(10558, 0, 145, 1, 0, VVVV1, (/2, 2/), (/nGC_2811, nGC_2811,    &
      nGC_2811/))

      call avR2(10558, 1, 146, 1, 0, VVVV1, (/2, 2/), (/nGC_2810, nGC_2810,    &
      nGC_2810/))

      allocate(vertices(2814)%branchR2(0:0))
      call avR2(2814, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(4829)%branchR2(0:0))
      call avR2(4829, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(223)%branchR2(0:0))
      call avR2(223, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(4223)%branchR2(0:0))
      call avR2(4223, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(10083)%branchR2(0:0))
      call avR2(10083, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(6671)%branchR2(0:0))
      call avR2(6671, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(4027)%branchR2(0:0))
      call avR2(4027, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(9960)%branchR2(0:0))
      call avR2(9960, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(9346)%branchR2(0:0))
      call avR2(9346, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(9272)%branchR2(0:0))
      call avR2(9272, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(7046)%branchR2(0:0))
      call avR2(7046, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4048/))

      allocate(vertices(2571)%branchR2(0:0))
      call avR2(2571, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(4556)%branchR2(0:1))
      call avR2(4556, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2662, nGC_2661/))

      call avR2(4556, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2663, nGC_2663/))

      allocate(vertices(8649)%branchR2(0:0))
      call avR2(8649, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(776)%branchR2(0:0))
      call avR2(776, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(1821)%branchR2(0:0))
      call avR2(1821, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4049/))

      allocate(vertices(7121)%branchR2(0:0))
      call avR2(7121, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(1942)%branchR2(0:0))
      call avR2(1942, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2524/))

      allocate(vertices(10559)%branchR2(0:1))
      call avR2(10559, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2934/))

      call avR2(10559, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2933/))

      allocate(vertices(7902)%branchR2(0:0))
      call avR2(7902, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(4109)%branchR2(0:0))
      call avR2(4109, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(5406)%branchR2(0:1))
      call avR2(5406, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2604, nGC_2603/))

      call avR2(5406, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2589, nGC_2587/))

      allocate(vertices(7778)%branchR2(0:0))
      call avR2(7778, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(7694)%branchR2(0:0))
      call avR2(7694, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(5654)%branchR2(0:1))
      call avR2(5654, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2573, nGC_2571/))

      call avR2(5654, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2574, nGC_2572/))

      allocate(vertices(10560)%branchR2(0:0))
      call avR2(10560, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2788, nGC_2787,      &
      nGC_2788/))

      allocate(vertices(5688)%branchR2(0:1))
      call avR2(5688, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_2734, nGC_2735/))

      call avR2(5688, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(2892)%branchR2(0:0))
      call avR2(2892, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(1535)%branchR2(0:0))
      call avR2(1535, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(3736)%branchR2(0:0))
      call avR2(3736, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(589)%branchR2(0:0))
      call avR2(589, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2519/))

      allocate(vertices(4989)%branchR2(0:0))
      call avR2(4989, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2667, nGC_2668/))

      allocate(vertices(10561)%branchR2(0:1))
      call avR2(10561, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2850/))

      call avR2(10561, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(6757)%branchR2(0:0))
      call avR2(6757, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2657, nGC_2658/))

      allocate(vertices(2237)%branchR2(0:0))
      call avR2(2237, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2520/))

      allocate(vertices(10562)%branchR2(0:1))
      call avR2(10562, 0, 136, 1, 0, VVVV1, (/2, 2/), (/nGC_2811, nGC_2811,    &
      nGC_2811/))

      call avR2(10562, 1, 135, 1, 0, VVVV1, (/2, 2/), (/nGC_2810, nGC_2810,    &
      nGC_2810/))

      allocate(vertices(7643)%branchR2(0:0))
      call avR2(7643, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(655)%branchR2(0:0))
      call avR2(655, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(4181)%branchR2(0:0))
      call avR2(4181, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(10474)%branchR2(0:0))
      call avR2(10474, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(5023)%branchR2(0:0))
      call avR2(5023, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(8340)%branchR2(0:0))
      call avR2(8340, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(4972)%branchR2(0:1))
      call avR2(4972, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2517, nGC_2515/))

      call avR2(4972, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2518, nGC_2516/))

      allocate(vertices(1354)%branchR2(0:0))
      call avR2(1354, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(2213)%branchR2(0:0))
      call avR2(2213, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2506/))

      allocate(vertices(8987)%branchR2(0:1))
      call avR2(8987, 0, 14, 1, 0, FFa2, (/0, 2/), (/nGC_2437, nGC_2434,       &
      nGC_2453, nGC_2453/))

      call avR2(8987, 1, 14, 1, 0, FFa2, (/2, 0/), (/nGC_2429, nGC_2429,       &
      nGC_2454, nGC_2454/))

      allocate(vertices(7777)%branchR2(0:0))
      call avR2(7777, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(504)%branchR2(0:0))
      call avR2(504, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(2002)%branchR2(0:1))
      call avR2(2002, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_2474, nGC_2475/))

      call avR2(2002, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(4954)%branchR2(0:0))
      call avR2(4954, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(171)%branchR2(0:0))
      call avR2(171, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(10563)%branchR2(0:0))
      call avR2(10563, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2883/))

      allocate(vertices(9186)%branchR2(0:1))
      call avR2(9186, 0, 14, 1, 0, FFa2, (/0, 2/), (/nGC_2433, nGC_2430,       &
      nGC_2431, nGC_2431/))

      call avR2(9186, 1, 14, 1, 0, FFa2, (/2, 0/), (/nGC_2429, nGC_2429,       &
      nGC_2432, nGC_2432/))

      allocate(vertices(2283)%branchR2(0:0))
      call avR2(2283, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(3631)%branchR2(0:0))
      call avR2(3631, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2494/))

      allocate(vertices(4203)%branchR2(0:0))
      call avR2(4203, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(8637)%branchR2(0:0))
      call avR2(8637, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2594/))

      allocate(vertices(9239)%branchR2(0:0))
      call avR2(9239, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(4671)%branchR2(0:0))
      call avR2(4671, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(7881)%branchR2(0:3))
      call avR2(7881, 0, 30, 1, 0, VFaF0, (/1, 2/), (/nGC_2739, nGC_2741/))

      call avR2(7881, 1, 30, 1, 0, VFaF0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(7881, 2, 31, 1, 0, VFaF0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(7881, 3, 31, 1, 0, VFaF0, (/1, 2/), (/nGC_2736, nGC_2738/))

      allocate(vertices(9678)%branchR2(0:0))
      call avR2(9678, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(9947)%branchR2(0:0))
      call avR2(9947, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(9778)%branchR2(0:0))
      call avR2(9778, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4050/))

      allocate(vertices(9087)%branchR2(0:0))
      call avR2(9087, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(4900)%branchR2(0:1))
      call avR2(4900, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_2730, nGC_2731/))

      call avR2(4900, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(9618)%branchR2(0:0))
      call avR2(9618, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(1498)%branchR2(0:0))
      call avR2(1498, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2577/))

      allocate(vertices(9931)%branchR2(0:0))
      call avR2(9931, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(6670)%branchR2(0:0))
      call avR2(6670, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(8455)%branchR2(0:0))
      call avR2(8455, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(5292)%branchR2(0:0))
      call avR2(5292, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(6419)%branchR2(0:1))
      call avR2(6419, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2694, nGC_2693/))

      call avR2(6419, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2695, nGC_2695/))

      allocate(vertices(1488)%branchR2(0:0))
      call avR2(1488, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(10564)%branchR2(0:0))
      call avR2(10564, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(5946)%branchR2(0:0))
      call avR2(5946, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2596/))

      allocate(vertices(303)%branchR2(0:0))
      call avR2(303, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(10342)%branchR2(0:0))
      call avR2(10342, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2469/))

      allocate(vertices(1181)%branchR2(0:0))
      call avR2(1181, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2803, nGC_2804,       &
      nGC_2805/))

      allocate(vertices(4971)%branchR2(0:0))
      call avR2(4971, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2491, nGC_2490/))

      allocate(vertices(10565)%branchR2(0:1))
      call avR2(10565, 0, 139, 1, 0, VVVV1, (/2, 2/), (/nGC_2811, nGC_2811,    &
      nGC_2811/))

      call avR2(10565, 1, 140, 1, 0, VVVV1, (/2, 2/), (/nGC_2810, nGC_2810,    &
      nGC_2810/))

      allocate(vertices(3184)%branchR2(0:1))
      call avR2(3184, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2601, nGC_2602/))

      call avR2(3184, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2583, nGC_2585/))

      allocate(vertices(10566)%branchR2(0:1))
      call avR2(10566, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2920/))

      call avR2(10566, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2919/))

      allocate(vertices(745)%branchR2(0:0))
      call avR2(745, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(3993)%branchR2(0:1))
      call avR2(3993, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2592, nGC_2590/))

      call avR2(3993, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2593, nGC_2591/))

      allocate(vertices(10343)%branchR2(0:0))
      call avR2(10343, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(4774)%branchR2(0:0))
      call avR2(4774, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(9108)%branchR2(0:0))
      call avR2(9108, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(2852)%branchR2(0:0))
      call avR2(2852, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(5010)%branchR2(0:0))
      call avR2(5010, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(10334)%branchR2(0:1))
      call avR2(10334, 0, 124, 1, 0, FaF2, (/0, 2/), (/nGC_2433, nGC_2430,     &
      nGC_2431, nGC_2431/))

      call avR2(10334, 1, 124, 1, 0, FaF2, (/2, 0/), (/nGC_2429, nGC_2429,     &
      nGC_2432, nGC_2432/))

      allocate(vertices(4278)%branchR2(0:0))
      call avR2(4278, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2596/))

      allocate(vertices(1241)%branchR2(0:0))
      call avR2(1241, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(2646)%branchR2(0:0))
      call avR2(2646, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(8616)%branchR2(0:0))
      call avR2(8616, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(8578)%branchR2(0:0))
      call avR2(8578, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(1540)%branchR2(0:0))
      call avR2(1540, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(9052)%branchR2(0:0))
      call avR2(9052, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(7564)%branchR2(0:1))
      call avR2(7564, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2511, nGC_2513/))

      call avR2(7564, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2512, nGC_2514/))

      allocate(vertices(10000)%branchR2(0:0))
      call avR2(10000, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(2790)%branchR2(0:0))
      call avR2(2790, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(10567)%branchR2(0:1))
      call avR2(10567, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2850/))

      call avR2(10567, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(2342)%branchR2(0:0))
      call avR2(2342, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2724, nGC_2723/))

      allocate(vertices(9067)%branchR2(0:0))
      call avR2(9067, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(10086)%branchR2(0:0))
      call avR2(10086, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2483/))

      allocate(vertices(343)%branchR2(0:0))
      call avR2(343, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(9445)%branchR2(0:0))
      call avR2(9445, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(3944)%branchR2(0:0))
      call avR2(3944, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(5972)%branchR2(0:0))
      call avR2(5972, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2635, nGC_2636/))

      allocate(vertices(3407)%branchR2(0:0))
      call avR2(3407, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2504/))

      allocate(vertices(9915)%branchR2(0:0))
      call avR2(9915, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(6500)%branchR2(0:0))
      call avR2(6500, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2922, nGC_2923,       &
      nGC_2923/))

      allocate(vertices(3522)%branchR2(0:1))
      call avR2(3522, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2676, nGC_2675/))

      call avR2(3522, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2677, nGC_2677/))

      allocate(vertices(2566)%branchR2(0:0))
      call avR2(2566, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(4241)%branchR2(0:0))
      call avR2(4241, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2674/))

      allocate(vertices(390)%branchR2(0:0))
      call avR2(390, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(6391)%branchR2(0:1))
      call avR2(6391, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2639, nGC_2637/))

      call avR2(6391, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2640, nGC_2638/))

      allocate(vertices(2276)%branchR2(0:0))
      call avR2(2276, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(632)%branchR2(0:0))
      call avR2(632, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(10568)%branchR2(0:1))
      call avR2(10568, 0, 136, 1, 0, VVVV1, (/2, 2/), (/nGC_2928, nGC_2928,    &
      nGC_2928/))

      call avR2(10568, 1, 135, 1, 0, VVVV1, (/2, 2/), (/nGC_2927, nGC_2927,    &
      nGC_2927/))

      allocate(vertices(6956)%branchR2(0:0))
      call avR2(6956, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2559, nGC_2560/))

      allocate(vertices(8828)%branchR2(0:0))
      call avR2(8828, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2672/))

      allocate(vertices(7469)%branchR2(0:0))
      call avR2(7469, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(2467)%branchR2(0:0))
      call avR2(2467, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(7937)%branchR2(0:0))
      call avR2(7937, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(9728)%branchR2(0:1))
      call avR2(9728, 0, 124, 1, 0, FaF2, (/0, 2/), (/nGC_2437, nGC_2434,      &
      nGC_2453, nGC_2453/))

      call avR2(9728, 1, 124, 1, 0, FaF2, (/2, 0/), (/nGC_2429, nGC_2429,      &
      nGC_2454, nGC_2454/))

      allocate(vertices(435)%branchR2(0:0))
      call avR2(435, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(3000)%branchR2(0:0))
      call avR2(3000, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(2207)%branchR2(0:0))
      call avR2(2207, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2923, nGC_2923,       &
      nGC_2922/))

      allocate(vertices(10196)%branchR2(0:0))
      call avR2(10196, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(6148)%branchR2(0:0))
      call avR2(6148, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2521/))

      allocate(vertices(8460)%branchR2(0:0))
      call avR2(8460, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10569)%branchR2(0:0))
      call avR2(10569, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(6071)%branchR2(0:0))
      call avR2(6071, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(4409)%branchR2(0:0))
      call avR2(4409, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(2584)%branchR2(0:0))
      call avR2(2584, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2460/))

      allocate(vertices(2698)%branchR2(0:0))
      call avR2(2698, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(10570)%branchR2(0:0))
      call avR2(10570, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(9132)%branchR2(0:0))
      call avR2(9132, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(10571)%branchR2(0:1))
      call avR2(10571, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2934/))

      call avR2(10571, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2933/))

      allocate(vertices(8609)%branchR2(0:1))
      call avR2(8609, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2584, nGC_2582/))

      call avR2(8609, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2585, nGC_2583/))

      allocate(vertices(9659)%branchR2(0:0))
      call avR2(9659, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(2508)%branchR2(0:1))
      call avR2(2508, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2734, nGC_2735/))

      call avR2(2508, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(5767)%branchR2(0:0))
      call avR2(5767, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(2017)%branchR2(0:0))
      call avR2(2017, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(3025)%branchR2(0:1))
      call avR2(3025, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2670, nGC_2669/))

      call avR2(3025, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2671, nGC_2671/))

      allocate(vertices(8690)%branchR2(0:0))
      call avR2(8690, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(10572)%branchR2(0:1))
      call avR2(10572, 0, 145, 1, 0, VVVV1, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      call avR2(10572, 1, 146, 1, 0, VVVV1, (/2, 2/), (/nGC_2840, nGC_2840,    &
      nGC_2840/))

      allocate(vertices(2758)%branchR2(0:0))
      call avR2(2758, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2696, nGC_2697/))

      allocate(vertices(9668)%branchR2(0:1))
      call avR2(9668, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2437, nGC_2456,      &
      nGC_2456, nGC_2434/))

      call avR2(9668, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2429, nGC_2457,      &
      nGC_2457, nGC_2429/))

      allocate(vertices(6420)%branchR2(0:0))
      call avR2(6420, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(9857)%branchR2(0:0))
      call avR2(9857, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(1801)%branchR2(0:1))
      call avR2(1801, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2711, nGC_2713/))

      call avR2(1801, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(5758)%branchR2(0:0))
      call avR2(5758, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(9562)%branchR2(0:0))
      call avR2(9562, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(10397)%branchR2(0:0))
      call avR2(10397, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(9499)%branchR2(0:0))
      call avR2(9499, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(5957)%branchR2(0:0))
      call avR2(5957, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2460/))

      allocate(vertices(6129)%branchR2(0:0))
      call avR2(6129, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(8863)%branchR2(0:0))
      call avR2(8863, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2503/))

      allocate(vertices(262)%branchR2(0:0))
      call avR2(262, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(6451)%branchR2(0:1))
      call avR2(6451, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2509, nGC_2507/))

      call avR2(6451, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2510, nGC_2508/))

      allocate(vertices(644)%branchR2(0:0))
      call avR2(644, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2598/))

      allocate(vertices(10027)%branchR2(0:0))
      call avR2(10027, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(10573)%branchR2(0:0))
      call avR2(10573, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(2070)%branchR2(0:0))
      call avR2(2070, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(10461)%branchR2(0:1))
      call avR2(10461, 0, 14, 1, 0, FFa2, (/0, 2/), (/nGC_2433, nGC_2430,      &
      nGC_2438, nGC_2438/))

      call avR2(10461, 1, 14, 1, 0, FFa2, (/2, 0/), (/nGC_2429, nGC_2429,      &
      nGC_2439, nGC_2439/))

      allocate(vertices(2273)%branchR2(0:0))
      call avR2(2273, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2805, nGC_2804,       &
      nGC_2803/))

      allocate(vertices(1296)%branchR2(0:1))
      call avR2(1296, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2617, nGC_2615/))

      call avR2(1296, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2618, nGC_2616/))

      allocate(vertices(10574)%branchR2(0:0))
      call avR2(10574, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(4448)%branchR2(0:0))
      call avR2(4448, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(8309)%branchR2(0:0))
      call avR2(8309, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4051/))

      allocate(vertices(1743)%branchR2(0:0))
      call avR2(1743, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(10575)%branchR2(0:0))
      call avR2(10575, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(9859)%branchR2(0:0))
      call avR2(9859, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(10576)%branchR2(0:0))
      call avR2(10576, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2774/))

      allocate(vertices(9151)%branchR2(0:0))
      call avR2(9151, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2450/))

      allocate(vertices(7345)%branchR2(0:0))
      call avR2(7345, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(3968)%branchR2(0:0))
      call avR2(3968, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(2295)%branchR2(0:0))
      call avR2(2295, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2869/))

      allocate(vertices(8180)%branchR2(0:0))
      call avR2(8180, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2635, nGC_2636/))

      allocate(vertices(9439)%branchR2(0:0))
      call avR2(9439, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(8756)%branchR2(0:0))
      call avR2(8756, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(7389)%branchR2(0:0))
      call avR2(7389, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2771, nGC_2773,       &
      nGC_2772/))

      allocate(vertices(4333)%branchR2(0:0))
      call avR2(4333, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(630)%branchR2(0:0))
      call avR2(630, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(3731)%branchR2(0:0))
      call avR2(3731, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(8166)%branchR2(0:0))
      call avR2(8166, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(1034)%branchR2(0:0))
      call avR2(1034, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(5709)%branchR2(0:0))
      call avR2(5709, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2522/))

      allocate(vertices(5716)%branchR2(0:0))
      call avR2(5716, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(7722)%branchR2(0:0))
      call avR2(7722, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(5229)%branchR2(0:0))
      call avR2(5229, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(6344)%branchR2(0:0))
      call avR2(6344, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2460/))

      allocate(vertices(7406)%branchR2(0:0))
      call avR2(7406, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(7194)%branchR2(0:0))
      call avR2(7194, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2705/))

      allocate(vertices(1003)%branchR2(0:0))
      call avR2(1003, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(2075)%branchR2(0:0))
      call avR2(2075, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2519/))

      allocate(vertices(10577)%branchR2(0:0))
      call avR2(10577, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(6530)%branchR2(0:1))
      call avR2(6530, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2612, nGC_2610/))

      call avR2(6530, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2613, nGC_2611/))

      allocate(vertices(4674)%branchR2(0:0))
      call avR2(4674, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2924/))

      allocate(vertices(5012)%branchR2(0:0))
      call avR2(5012, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(10578)%branchR2(0:0))
      call avR2(10578, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(326)%branchR2(0:0))
      call avR2(326, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2641/))

      allocate(vertices(9383)%branchR2(0:0))
      call avR2(9383, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(7449)%branchR2(0:0))
      call avR2(7449, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(9392)%branchR2(0:0))
      call avR2(9392, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4040/))

      allocate(vertices(8859)%branchR2(0:0))
      call avR2(8859, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(4407)%branchR2(0:0))
      call avR2(4407, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(6994)%branchR2(0:0))
      call avR2(6994, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(8705)%branchR2(0:0))
      call avR2(8705, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(10579)%branchR2(0:1))
      call avR2(10579, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2934/))

      call avR2(10579, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2933/))

      allocate(vertices(6851)%branchR2(0:0))
      call avR2(6851, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2869/))

      allocate(vertices(9504)%branchR2(0:0))
      call avR2(9504, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(2576)%branchR2(0:0))
      call avR2(2576, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(6328)%branchR2(0:0))
      call avR2(6328, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(2651)%branchR2(0:0))
      call avR2(2651, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2805, nGC_2803,       &
      nGC_2804/))

      allocate(vertices(5242)%branchR2(0:1))
      call avR2(5242, 0, 19, 1, 0, FaVF1, (/0, 3/), (/nGC_2702/))

      call avR2(5242, 1, 19, 1, 0, FaVF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(10028)%branchR2(0:0))
      call avR2(10028, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(10580)%branchR2(0:0))
      call avR2(10580, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(2450)%branchR2(0:0))
      call avR2(2450, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2600/))

      allocate(vertices(83)%branchR2(0:0))
      call avR2(83, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(10089)%branchR2(0:0))
      call avR2(10089, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(7232)%branchR2(0:1))
      call avR2(7232, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2551, nGC_2549/))

      call avR2(7232, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2552, nGC_2550/))

      allocate(vertices(1648)%branchR2(0:0))
      call avR2(1648, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2524/))

      allocate(vertices(9212)%branchR2(0:0))
      call avR2(9212, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(6277)%branchR2(0:3))
      call avR2(6277, 0, 30, 1, 0, VFaF0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(6277, 1, 30, 1, 0, VFaF0, (/1, 2/), (/nGC_2748, nGC_2749/))

      call avR2(6277, 2, 31, 1, 0, VFaF0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(6277, 3, 31, 1, 0, VFaF0, (/1, 2/), (/nGC_2746, nGC_2747/))

      allocate(vertices(7605)%branchR2(0:0))
      call avR2(7605, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(5464)%branchR2(0:0))
      call avR2(5464, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(5488)%branchR2(0:0))
      call avR2(5488, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(7993)%branchR2(0:0))
      call avR2(7993, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(6963)%branchR2(0:1))
      call avR2(6963, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_2477, nGC_2478/))

      call avR2(6963, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(6199)%branchR2(0:0))
      call avR2(6199, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(6473)%branchR2(0:0))
      call avR2(6473, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(3891)%branchR2(0:0))
      call avR2(3891, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2923, nGC_2922,       &
      nGC_2923/))

      allocate(vertices(2220)%branchR2(0:0))
      call avR2(2220, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2559, nGC_2560/))

      allocate(vertices(3809)%branchR2(0:0))
      call avR2(3809, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(3691)%branchR2(0:0))
      call avR2(3691, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(7381)%branchR2(0:0))
      call avR2(7381, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2722, nGC_2721/))

      allocate(vertices(7619)%branchR2(0:0))
      call avR2(7619, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(6398)%branchR2(0:0))
      call avR2(6398, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(3134)%branchR2(0:1))
      call avR2(3134, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2633, nGC_2631/))

      call avR2(3134, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2634, nGC_2632/))

      allocate(vertices(9713)%branchR2(0:0))
      call avR2(9713, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(1892)%branchR2(0:0))
      call avR2(1892, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(10199)%branchR2(0:0))
      call avR2(10199, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(2152)%branchR2(0:0))
      call avR2(2152, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(8677)%branchR2(0:1))
      call avR2(8677, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2682, nGC_2681/))

      call avR2(8677, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2683, nGC_2683/))

      allocate(vertices(6010)%branchR2(0:0))
      call avR2(6010, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(2078)%branchR2(0:0))
      call avR2(2078, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(7312)%branchR2(0:0))
      call avR2(7312, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(5081)%branchR2(0:0))
      call avR2(5081, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2520/))

      allocate(vertices(6501)%branchR2(0:1))
      call avR2(6501, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2605, nGC_2606/))

      call avR2(6501, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2591, nGC_2593/))

      allocate(vertices(1140)%branchR2(0:0))
      call avR2(1140, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(6357)%branchR2(0:0))
      call avR2(6357, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(8778)%branchR2(0:0))
      call avR2(8778, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(8105)%branchR2(0:0))
      call avR2(8105, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(2324)%branchR2(0:0))
      call avR2(2324, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(1799)%branchR2(0:0))
      call avR2(1799, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2724, nGC_2723/))

      allocate(vertices(6326)%branchR2(0:1))
      call avR2(6326, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2679, nGC_2678/))

      call avR2(6326, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2680, nGC_2680/))

      allocate(vertices(8281)%branchR2(0:0))
      call avR2(8281, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(9029)%branchR2(0:0))
      call avR2(9029, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(7300)%branchR2(0:0))
      call avR2(7300, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(9070)%branchR2(0:0))
      call avR2(9070, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(4228)%branchR2(0:0))
      call avR2(4228, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(1904)%branchR2(0:0))
      call avR2(1904, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(3931)%branchR2(0:0))
      call avR2(3931, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(5662)%branchR2(0:0))
      call avR2(5662, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(716)%branchR2(0:0))
      call avR2(716, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2520/))

      allocate(vertices(1641)%branchR2(0:0))
      call avR2(1641, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(3333)%branchR2(0:0))
      call avR2(3333, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(1689)%branchR2(0:0))
      call avR2(1689, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(10581)%branchR2(0:0))
      call avR2(10581, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(6276)%branchR2(0:0))
      call avR2(6276, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(10582)%branchR2(0:1))
      call avR2(10582, 0, 136, 1, 0, VVVV1, (/2, 2/), (/nGC_2928, nGC_2928,    &
      nGC_2928/))

      call avR2(10582, 1, 135, 1, 0, VVVV1, (/2, 2/), (/nGC_2927, nGC_2927,    &
      nGC_2927/))

      allocate(vertices(7358)%branchR2(0:0))
      call avR2(7358, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2865/))

      allocate(vertices(4342)%branchR2(0:0))
      call avR2(4342, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(10283)%branchR2(0:0))
      call avR2(10283, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(2745)%branchR2(0:0))
      call avR2(2745, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(3504)%branchR2(0:0))
      call avR2(3504, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(9336)%branchR2(0:0))
      call avR2(9336, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(5742)%branchR2(0:0))
      call avR2(5742, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2635, nGC_2636/))

      allocate(vertices(9709)%branchR2(0:0))
      call avR2(9709, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(1754)%branchR2(0:0))
      call avR2(1754, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(6645)%branchR2(0:0))
      call avR2(6645, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2701/))

      allocate(vertices(5548)%branchR2(0:0))
      call avR2(5548, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(413)%branchR2(0:0))
      call avR2(413, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(10305)%branchR2(0:0))
      call avR2(10305, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4050/))

      allocate(vertices(7066)%branchR2(0:0))
      call avR2(7066, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(9038)%branchR2(0:0))
      call avR2(9038, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(9225)%branchR2(0:0))
      call avR2(9225, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(8575)%branchR2(0:0))
      call avR2(8575, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(10426)%branchR2(0:0))
      call avR2(10426, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2405, nGC_2404/))

      allocate(vertices(3338)%branchR2(0:0))
      call avR2(3338, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(2484)%branchR2(0:0))
      call avR2(2484, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(9891)%branchR2(0:0))
      call avR2(9891, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(2882)%branchR2(0:0))
      call avR2(2882, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(445)%branchR2(0:0))
      call avR2(445, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4036/))

      allocate(vertices(3174)%branchR2(0:0))
      call avR2(3174, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(6423)%branchR2(0:0))
      call avR2(6423, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(8300)%branchR2(0:0))
      call avR2(8300, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(5381)%branchR2(0:0))
      call avR2(5381, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(9063)%branchR2(0:0))
      call avR2(9063, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(1966)%branchR2(0:0))
      call avR2(1966, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(10583)%branchR2(0:0))
      call avR2(10583, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(3307)%branchR2(0:1))
      call avR2(3307, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2612, nGC_2610/))

      call avR2(3307, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2613, nGC_2611/))

      allocate(vertices(7678)%branchR2(0:1))
      call avR2(7678, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_2734, nGC_2735/))

      call avR2(7678, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(6092)%branchR2(0:0))
      call avR2(6092, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(39)%branchR2(0:0))
      call avR2(39, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(9415)%branchR2(0:0))
      call avR2(9415, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(8511)%branchR2(0:0))
      call avR2(8511, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(7677)%branchR2(0:0))
      call avR2(7677, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(1441)%branchR2(0:0))
      call avR2(1441, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2594/))

      allocate(vertices(2449)%branchR2(0:0))
      call avR2(2449, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(5518)%branchR2(0:0))
      call avR2(5518, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(9080)%branchR2(0:0))
      call avR2(9080, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(1278)%branchR2(0:0))
      call avR2(1278, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(7186)%branchR2(0:0))
      call avR2(7186, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(6975)%branchR2(0:0))
      call avR2(6975, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(2834)%branchR2(0:0))
      call avR2(2834, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(6889)%branchR2(0:0))
      call avR2(6889, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(2160)%branchR2(0:0))
      call avR2(2160, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2727/))

      allocate(vertices(6128)%branchR2(0:0))
      call avR2(6128, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(10584)%branchR2(0:1))
      call avR2(10584, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2833/))

      call avR2(10584, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(6902)%branchR2(0:3))
      call avR2(6902, 0, 27, 1, 0, FaFV1, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(6902, 1, 27, 1, 0, FaFV1, (/1, 2/), (/nGC_2742, nGC_2743/))

      call avR2(6902, 2, 26, 1, 0, FaFV1, (/1, 2/), (/nGC_2744, nGC_2745/))

      call avR2(6902, 3, 26, 1, 0, FaFV1, (/3, 0/), (/nGC_2740, nGC_2740/))

      allocate(vertices(7429)%branchR2(0:0))
      call avR2(7429, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(3766)%branchR2(0:0))
      call avR2(3766, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(2133)%branchR2(0:1))
      call avR2(2133, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2517, nGC_2515/))

      call avR2(2133, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2518, nGC_2516/))

      allocate(vertices(6194)%branchR2(0:0))
      call avR2(6194, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(8017)%branchR2(0:0))
      call avR2(8017, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(2935)%branchR2(0:0))
      call avR2(2935, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2623, nGC_2624/))

      allocate(vertices(9373)%branchR2(0:0))
      call avR2(9373, 0, 13, 1, 0, FaF3, (/0, 2/), (/nGC_2440, nGC_2449,       &
      nGC_2449, nGC_2441/))

      allocate(vertices(4008)%branchR2(0:0))
      call avR2(4008, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(4508)%branchR2(0:0))
      call avR2(4508, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(10585)%branchR2(0:1))
      call avR2(10585, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2901/))

      call avR2(10585, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(8932)%branchR2(0:0))
      call avR2(8932, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(7828)%branchR2(0:0))
      call avR2(7828, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2597/))

      allocate(vertices(9523)%branchR2(0:0))
      call avR2(9523, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(7612)%branchR2(0:0))
      call avR2(7612, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2635, nGC_2636/))

      allocate(vertices(2664)%branchR2(0:0))
      call avR2(2664, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(1593)%branchR2(0:0))
      call avR2(1593, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(10378)%branchR2(0:0))
      call avR2(10378, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4047/))

      allocate(vertices(8297)%branchR2(0:0))
      call avR2(8297, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(5100)%branchR2(0:0))
      call avR2(5100, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2727/))

      allocate(vertices(10586)%branchR2(0:1))
      call avR2(10586, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2850/))

      call avR2(10586, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(8929)%branchR2(0:0))
      call avR2(8929, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2469/))

      allocate(vertices(1288)%branchR2(0:0))
      call avR2(1288, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(6848)%branchR2(0:0))
      call avR2(6848, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(5063)%branchR2(0:0))
      call avR2(5063, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(7213)%branchR2(0:0))
      call avR2(7213, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4031/))

      allocate(vertices(6533)%branchR2(0:0))
      call avR2(6533, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2644/))

      allocate(vertices(947)%branchR2(0:0))
      call avR2(947, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(2349)%branchR2(0:0))
      call avR2(2349, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(103)%branchR2(0:1))
      call avR2(103, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_2711, nGC_2713/))

      call avR2(103, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(9103)%branchR2(0:0))
      call avR2(9103, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(10587)%branchR2(0:1))
      call avR2(10587, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2930/))

      call avR2(10587, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2929/))

      allocate(vertices(1005)%branchR2(0:0))
      call avR2(1005, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(237)%branchR2(0:0))
      call avR2(237, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(6981)%branchR2(0:0))
      call avR2(6981, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(4271)%branchR2(0:0))
      call avR2(4271, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(5263)%branchR2(0:0))
      call avR2(5263, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(6709)%branchR2(0:0))
      call avR2(6709, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(1219)%branchR2(0:0))
      call avR2(1219, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(4252)%branchR2(0:0))
      call avR2(4252, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2506/))

      allocate(vertices(8943)%branchR2(0:0))
      call avR2(8943, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(9788)%branchR2(0:0))
      call avR2(9788, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(7160)%branchR2(0:0))
      call avR2(7160, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2461/))

      allocate(vertices(10588)%branchR2(0:0))
      call avR2(10588, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(5259)%branchR2(0:0))
      call avR2(5259, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2542/))

      allocate(vertices(10589)%branchR2(0:0))
      call avR2(10589, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(6642)%branchR2(0:0))
      call avR2(6642, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(7715)%branchR2(0:0))
      call avR2(7715, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(10590)%branchR2(0:0))
      call avR2(10590, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2820, nGC_2820,      &
      nGC_2820/))

      allocate(vertices(3032)%branchR2(0:0))
      call avR2(3032, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(4569)%branchR2(0:0))
      call avR2(4569, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(926)%branchR2(0:0))
      call avR2(926, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(4276)%branchR2(0:0))
      call avR2(4276, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(2989)%branchR2(0:0))
      call avR2(2989, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(3923)%branchR2(0:1))
      call avR2(3923, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2567, nGC_2565/))

      call avR2(3923, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2568, nGC_2566/))

      allocate(vertices(10591)%branchR2(0:0))
      call avR2(10591, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2883/))

      allocate(vertices(9940)%branchR2(0:0))
      call avR2(9940, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(5251)%branchR2(0:0))
      call avR2(5251, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(4939)%branchR2(0:0))
      call avR2(4939, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(4560)%branchR2(0:0))
      call avR2(4560, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(8974)%branchR2(0:0))
      call avR2(8974, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(10592)%branchR2(0:1))
      call avR2(10592, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2849/))

      call avR2(10592, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2850/))

      allocate(vertices(1773)%branchR2(0:0))
      call avR2(1773, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(4834)%branchR2(0:1))
      call avR2(4834, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2676, nGC_2675/))

      call avR2(4834, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2677, nGC_2677/))

      allocate(vertices(10593)%branchR2(0:0))
      call avR2(10593, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(3291)%branchR2(0:0))
      call avR2(3291, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(5285)%branchR2(0:0))
      call avR2(5285, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(1547)%branchR2(0:1))
      call avR2(1547, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2653, nGC_2652/))

      call avR2(1547, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2654, nGC_2654/))

      allocate(vertices(7129)%branchR2(0:0))
      call avR2(7129, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(10022)%branchR2(0:0))
      call avR2(10022, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2483/))

      allocate(vertices(4931)%branchR2(0:0))
      call avR2(4931, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(293)%branchR2(0:0))
      call avR2(293, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(5632)%branchR2(0:1))
      call avR2(5632, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2563, nGC_2561/))

      call avR2(5632, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2564, nGC_2562/))

      allocate(vertices(8162)%branchR2(0:0))
      call avR2(8162, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(1630)%branchR2(0:0))
      call avR2(1630, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(153)%branchR2(0:0))
      call avR2(153, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(883)%branchR2(0:0))
      call avR2(883, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4045/))

      allocate(vertices(10594)%branchR2(0:0))
      call avR2(10594, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2787, nGC_2788,      &
      nGC_2788/))

      allocate(vertices(10595)%branchR2(0:0))
      call avR2(10595, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(3040)%branchR2(0:0))
      call avR2(3040, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(5014)%branchR2(0:0))
      call avR2(5014, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(3420)%branchR2(0:0))
      call avR2(3420, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(9155)%branchR2(0:0))
      call avR2(9155, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(150)%branchR2(0:0))
      call avR2(150, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2523/))

      allocate(vertices(8404)%branchR2(0:0))
      call avR2(8404, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2865/))

      allocate(vertices(5592)%branchR2(0:0))
      call avR2(5592, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2655, nGC_2656/))

      allocate(vertices(6641)%branchR2(0:0))
      call avR2(6641, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2461/))

      allocate(vertices(10596)%branchR2(0:0))
      call avR2(10596, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(3785)%branchR2(0:0))
      call avR2(3785, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2557, nGC_2558/))

      allocate(vertices(7339)%branchR2(0:0))
      call avR2(7339, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2482, nGC_2481/))

      allocate(vertices(4144)%branchR2(0:1))
      call avR2(4144, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_2719, nGC_2720/))

      call avR2(4144, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(836)%branchR2(0:0))
      call avR2(836, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(2445)%branchR2(0:0))
      call avR2(2445, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(9458)%branchR2(0:0))
      call avR2(9458, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(10597)%branchR2(0:0))
      call avR2(10597, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(2334)%branchR2(0:0))
      call avR2(2334, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(2392)%branchR2(0:1))
      call avR2(2392, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2679, nGC_2678/))

      call avR2(2392, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2680, nGC_2680/))

      allocate(vertices(4937)%branchR2(0:0))
      call avR2(4937, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(10210)%branchR2(0:0))
      call avR2(10210, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(2688)%branchR2(0:0))
      call avR2(2688, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(8133)%branchR2(0:0))
      call avR2(8133, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(3513)%branchR2(0:0))
      call avR2(3513, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(5427)%branchR2(0:0))
      call avR2(5427, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(736)%branchR2(0:0))
      call avR2(736, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2600/))

      allocate(vertices(2193)%branchR2(0:0))
      call avR2(2193, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4052/))

      allocate(vertices(6949)%branchR2(0:0))
      call avR2(6949, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(9869)%branchR2(0:0))
      call avR2(9869, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(4210)%branchR2(0:0))
      call avR2(4210, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(6982)%branchR2(0:0))
      call avR2(6982, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(4924)%branchR2(0:0))
      call avR2(4924, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2569, nGC_2570/))

      allocate(vertices(4847)%branchR2(0:0))
      call avR2(4847, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2804, nGC_2803,       &
      nGC_2805/))

      allocate(vertices(1128)%branchR2(0:0))
      call avR2(1128, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2623, nGC_2624/))

      allocate(vertices(1279)%branchR2(0:0))
      call avR2(1279, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10102)%branchR2(0:0))
      call avR2(10102, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(2716)%branchR2(0:0))
      call avR2(2716, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(6857)%branchR2(0:0))
      call avR2(6857, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2818/))

      allocate(vertices(10598)%branchR2(0:0))
      call avR2(10598, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(6168)%branchR2(0:0))
      call avR2(6168, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(789)%branchR2(0:0))
      call avR2(789, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2537/))

      allocate(vertices(6636)%branchR2(0:1))
      call avR2(6636, 0, 19, 1, 0, FaVF1, (/0, 3/), (/nGC_2702/))

      call avR2(6636, 1, 19, 1, 0, FaVF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(8800)%branchR2(0:0))
      call avR2(8800, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(4353)%branchR2(0:0))
      call avR2(4353, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(10599)%branchR2(0:0))
      call avR2(10599, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(1313)%branchR2(0:0))
      call avR2(1313, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(1268)%branchR2(0:0))
      call avR2(1268, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2696, nGC_2697/))

      allocate(vertices(6446)%branchR2(0:0))
      call avR2(6446, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(8265)%branchR2(0:1))
      call avR2(8265, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2471, nGC_2472/))

      call avR2(8265, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2473, nGC_2473/))

    end subroutine fill_vertices_mdl21
end module vertices_info21
